## org.eclipse.jst.jsf.facesconfig.emf.impl
Class FacesConfigPackageImpl

    java.lang.Object
      EPackageImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.FacesConfigPackageImpl

All Implemented Interfaces:
  FacesConfigPackage

    public class FacesConfigPackageImpl

extends EPackageImpl
implements FacesConfigPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.jst.jsf.facesconfig.emf.FacesConfigPackage
`FacesConfigPackage.Literals`

Field Summary
`static java.lang.String` `copyright`

Fields inherited from interface org.eclipse.jst.jsf.facesconfig.emf.FacesConfigPackage

`ABSOLUTE_ORDERING_TYPE, ABSOLUTE_ORDERING_TYPE__NAME, ABSOLUTE_ORDERING_TYPE__OTHERS, ABSOLUTE_ORDERING_TYPE_FEATURE_COUNT, ACTION_LISTENER_TYPE, ACTION_LISTENER_TYPE__ID, ACTION_LISTENER_TYPE__TEXT_CONTENT, ACTION_LISTENER_TYPE_FEATURE_COUNT, APPLICATION_EXTENSION_TYPE, APPLICATION_EXTENSION_TYPE__CHILD_NODES, APPLICATION_EXTENSION_TYPE__ID, APPLICATION_EXTENSION_TYPE__TEXT_CONTENT, APPLICATION_EXTENSION_TYPE_FEATURE_COUNT, APPLICATION_FACTORY_TYPE, APPLICATION_FACTORY_TYPE__ID, APPLICATION_FACTORY_TYPE__TEXT_CONTENT, APPLICATION_FACTORY_TYPE_FEATURE_COUNT, APPLICATION_TYPE, APPLICATION_TYPE__ACTION_LISTENER, APPLICATION_TYPE__APPLICATION_EXTENSION, APPLICATION_TYPE__DEFAULT_RENDER_KIT_ID, APPLICATION_TYPE__DEFAULT_VALIDATORS, APPLICATION_TYPE__EL_RESOLVER, APPLICATION_TYPE__ID, APPLICATION_TYPE__LOCALE_CONFIG, APPLICATION_TYPE__MESSAGE_BUNDLE, APPLICATION_TYPE__NAVIGATION_HANDLER, APPLICATION_TYPE__PROPERTY_RESOLVER, APPLICATION_TYPE__RESOURCE_BUNDLE, APPLICATION_TYPE__RESOURCE_HANDLER, APPLICATION_TYPE__STATE_MANAGER, APPLICATION_TYPE__SYSTEM_EVENT_LISTENER, APPLICATION_TYPE__VARIABLE_RESOLVER, APPLICATION_TYPE__VIEW_HANDLER, APPLICATION_TYPE_FEATURE_COUNT, ATTRIBUTE_CLASS_TYPE, ATTRIBUTE_CLASS_TYPE__ID, ATTRIBUTE_CLASS_TYPE__TEXT_CONTENT, ATTRIBUTE_CLASS_TYPE_FEATURE_COUNT, ATTRIBUTE_EXTENSION_TYPE, ATTRIBUTE_EXTENSION_TYPE__CHILD_NODES, ATTRIBUTE_EXTENSION_TYPE__ID, ATTRIBUTE_EXTENSION_TYPE__TEXT_CONTENT, ATTRIBUTE_EXTENSION_TYPE_FEATURE_COUNT, ATTRIBUTE_NAME_TYPE, ATTRIBUTE_NAME_TYPE__ID, ATTRIBUTE_NAME_TYPE__TEXT_CONTENT, ATTRIBUTE_NAME_TYPE_FEATURE_COUNT, ATTRIBUTE_TYPE, ATTRIBUTE_TYPE__ATTRIBUTE_CLASS, ATTRIBUTE_TYPE__ATTRIBUTE_EXTENSION, ATTRIBUTE_TYPE__ATTRIBUTE_NAME, ATTRIBUTE_TYPE__DEFAULT_VALUE, ATTRIBUTE_TYPE__DESCRIPTION, ATTRIBUTE_TYPE__DISPLAY_NAME, ATTRIBUTE_TYPE__ICON, ATTRIBUTE_TYPE__ID, ATTRIBUTE_TYPE__SUGGESTED_VALUE, ATTRIBUTE_TYPE_FEATURE_COUNT, BASE_NAME_TYPE, BASE_NAME_TYPE__ID, BASE_NAME_TYPE__TEXT_CONTENT, BASE_NAME_TYPE_FEATURE_COUNT, BEHAVIOR_CLASS_TYPE, BEHAVIOR_CLASS_TYPE__ID, BEHAVIOR_CLASS_TYPE__TEXT_CONTENT, BEHAVIOR_CLASS_TYPE_FEATURE_COUNT, BEHAVIOR_EXTENSION_TYPE, BEHAVIOR_EXTENSION_TYPE__CHILD_NODES, BEHAVIOR_EXTENSION_TYPE__ID, BEHAVIOR_EXTENSION_TYPE__TEXT_CONTENT, BEHAVIOR_EXTENSION_TYPE_FEATURE_COUNT, BEHAVIOR_ID_TYPE, BEHAVIOR_ID_TYPE__ID, BEHAVIOR_ID_TYPE__TEXT_CONTENT, BEHAVIOR_ID_TYPE_FEATURE_COUNT, BEHAVIOR_TYPE, BEHAVIOR_TYPE__ATTRIBUTE, BEHAVIOR_TYPE__BEHAVIOR_CLASS, BEHAVIOR_TYPE__BEHAVIOR_EXTENSION, BEHAVIOR_TYPE__BEHAVIOR_ID, BEHAVIOR_TYPE__DESCRIPTION, BEHAVIOR_TYPE__DISPLAY_NAME, BEHAVIOR_TYPE__ICON, BEHAVIOR_TYPE__PROPERTY, BEHAVIOR_TYPE_FEATURE_COUNT, CLIENT_BEHAVIOR_RENDERER_CLASS_TYPE, CLIENT_BEHAVIOR_RENDERER_CLASS_TYPE__ID, CLIENT_BEHAVIOR_RENDERER_CLASS_TYPE__TEXT_CONTENT, CLIENT_BEHAVIOR_RENDERER_CLASS_TYPE_FEATURE_COUNT, CLIENT_BEHAVIOR_RENDERER_TYPE, CLIENT_BEHAVIOR_RENDERER_TYPE__CLIENT_BEHAVIOR_RENDERER_CLASS, CLIENT_BEHAVIOR_RENDERER_TYPE__CLIENT_BEHAVIOR_RENDERER_TYPE, CLIENT_BEHAVIOR_RENDERER_TYPE_FEATURE_COUNT, CLIENT_BEHAVIOR_RENDERER_TYPE_TYPE, CLIENT_BEHAVIOR_RENDERER_TYPE_TYPE__ID, CLIENT_BEHAVIOR_RENDERER_TYPE_TYPE__TEXT_CONTENT, CLIENT_BEHAVIOR_RENDERER_TYPE_TYPE_FEATURE_COUNT, COMPONENT_CLASS_TYPE, COMPONENT_CLASS_TYPE__ID, COMPONENT_CLASS_TYPE__TEXT_CONTENT, COMPONENT_CLASS_TYPE_FEATURE_COUNT, COMPONENT_EXTENSION_TYPE, COMPONENT_EXTENSION_TYPE__CHILD_NODES, COMPONENT_EXTENSION_TYPE__ID, COMPONENT_EXTENSION_TYPE__TEXT_CONTENT, COMPONENT_EXTENSION_TYPE_FEATURE_COUNT, COMPONENT_FAMILY_TYPE, COMPONENT_FAMILY_TYPE__ID, COMPONENT_FAMILY_TYPE__TEXT_CONTENT, COMPONENT_FAMILY_TYPE_FEATURE_COUNT, COMPONENT_TYPE, COMPONENT_TYPE__ATTRIBUTE, COMPONENT_TYPE__COMPONENT_CLASS, COMPONENT_TYPE__COMPONENT_EXTENSION, COMPONENT_TYPE__COMPONENT_TYPE, COMPONENT_TYPE__DESCRIPTION, COMPONENT_TYPE__DISPLAY_NAME, COMPONENT_TYPE__FACET, COMPONENT_TYPE__ICON, COMPONENT_TYPE__ID, COMPONENT_TYPE__PROPERTY, COMPONENT_TYPE_FEATURE_COUNT, COMPONENT_TYPE_TYPE, COMPONENT_TYPE_TYPE__ID, COMPONENT_TYPE_TYPE__TEXT_CONTENT, COMPONENT_TYPE_TYPE_FEATURE_COUNT, CONVERTER_CLASS_TYPE, CONVERTER_CLASS_TYPE__ID, CONVERTER_CLASS_TYPE__TEXT_CONTENT, CONVERTER_CLASS_TYPE_FEATURE_COUNT, CONVERTER_EXTENSION_TYPE, CONVERTER_EXTENSION_TYPE__CHILD_NODES, CONVERTER_EXTENSION_TYPE__ID, CONVERTER_EXTENSION_TYPE__TEXT_CONTENT, CONVERTER_EXTENSION_TYPE_FEATURE_COUNT, CONVERTER_FOR_CLASS_TYPE, CONVERTER_FOR_CLASS_TYPE__ID, CONVERTER_FOR_CLASS_TYPE__TEXT_CONTENT, CONVERTER_FOR_CLASS_TYPE_FEATURE_COUNT, CONVERTER_ID_TYPE, CONVERTER_ID_TYPE__ID, CONVERTER_ID_TYPE__TEXT_CONTENT, CONVERTER_ID_TYPE_FEATURE_COUNT, CONVERTER_TYPE, CONVERTER_TYPE__ATTRIBUTE, CONVERTER_TYPE__CONVERTER_CLASS, CONVERTER_TYPE__CONVERTER_EXTENSION, CONVERTER_TYPE__CONVERTER_FOR_CLASS, CONVERTER_TYPE__CONVERTER_ID, CONVERTER_TYPE__DESCRIPTION, CONVERTER_TYPE__DISPLAY_NAME, CONVERTER_TYPE__ICON, CONVERTER_TYPE__ID, CONVERTER_TYPE__PROPERTY, CONVERTER_TYPE_FEATURE_COUNT, DEFAULT_LOCALE_TYPE, DEFAULT_LOCALE_TYPE__ID, DEFAULT_LOCALE_TYPE__TEXT_CONTENT, DEFAULT_LOCALE_TYPE_FEATURE_COUNT, DEFAULT_RENDER_KIT_ID_TYPE, DEFAULT_RENDER_KIT_ID_TYPE__ID, DEFAULT_RENDER_KIT_ID_TYPE__TEXT_CONTENT, DEFAULT_RENDER_KIT_ID_TYPE_FEATURE_COUNT, DEFAULT_VALIDATORS_TYPE, DEFAULT_VALIDATORS_TYPE__ID, DEFAULT_VALIDATORS_TYPE__VALIDATOR_ID, DEFAULT_VALIDATORS_TYPE_FEATURE_COUNT, DEFAULT_VALUE_TYPE, DEFAULT_VALUE_TYPE__ID, DEFAULT_VALUE_TYPE__TEXT_CONTENT, DEFAULT_VALUE_TYPE_FEATURE_COUNT, DESCRIPTION_TYPE, DESCRIPTION_TYPE__ID, DESCRIPTION_TYPE__LANG, DESCRIPTION_TYPE__TEXT_CONTENT, DESCRIPTION_TYPE_FEATURE_COUNT, DISPLAY_NAME_TYPE, DISPLAY_NAME_TYPE__ID, DISPLAY_NAME_TYPE__LANG, DISPLAY_NAME_TYPE__TEXT_CONTENT, DISPLAY_NAME_TYPE_FEATURE_COUNT, DOCUMENT_ROOT, DOCUMENT_ROOT__ABSOLUTE_ORDERING, DOCUMENT_ROOT__ACTION_LISTENER, DOCUMENT_ROOT__APPLICATION, DOCUMENT_ROOT__APPLICATION_FACTORY, DOCUMENT_ROOT__ATTRIBUTE, DOCUMENT_ROOT__ATTRIBUTE_CLASS, DOCUMENT_ROOT__ATTRIBUTE_EXTENSION, DOCUMENT_ROOT__ATTRIBUTE_NAME, DOCUMENT_ROOT__BEHAVIOR, DOCUMENT_ROOT__BEHAVIOR_CLASS, DOCUMENT_ROOT__BEHAVIOR_EXTENSION, DOCUMENT_ROOT__BEHAVIOR_ID, DOCUMENT_ROOT__COMPONENT, DOCUMENT_ROOT__COMPONENT_CLASS, DOCUMENT_ROOT__COMPONENT_EXTENSION, DOCUMENT_ROOT__COMPONENT_FAMILY, DOCUMENT_ROOT__COMPONENT_TYPE, DOCUMENT_ROOT__CONVERTER, DOCUMENT_ROOT__CONVERTER_CLASS, DOCUMENT_ROOT__CONVERTER_FOR_CLASS, DOCUMENT_ROOT__CONVERTER_ID, DOCUMENT_ROOT__DEFAULT_LOCALE, DOCUMENT_ROOT__DEFAULT_RENDER_KIT_ID, DOCUMENT_ROOT__DEFAULT_VALIDATORS, DOCUMENT_ROOT__DEFAULT_VALUE, DOCUMENT_ROOT__DESCRIPTION, DOCUMENT_ROOT__DISPLAY_NAME, DOCUMENT_ROOT__EXCEPTION_HANDLER_FACTORY, DOCUMENT_ROOT__EXTERNAL_CONTEXT_FACTORY, DOCUMENT_ROOT__FACES_CONFIG, DOCUMENT_ROOT__FACES_CONTEXT_FACTORY, DOCUMENT_ROOT__FACET, DOCUMENT_ROOT__FACET_EXTENSION, DOCUMENT_ROOT__FACET_NAME, DOCUMENT_ROOT__FACTORY, DOCUMENT_ROOT__FROM_ACTION, DOCUMENT_ROOT__FROM_OUTCOME, DOCUMENT_ROOT__FROM_VIEW_ID, DOCUMENT_ROOT__ICON, DOCUMENT_ROOT__IF, DOCUMENT_ROOT__KEY, DOCUMENT_ROOT__KEY_CLASS, DOCUMENT_ROOT__LARGE_ICON, DOCUMENT_ROOT__LIFECYCLE, DOCUMENT_ROOT__LIFECYCLE_FACTORY, DOCUMENT_ROOT__LIST_ENTRIES, DOCUMENT_ROOT__LOCALE_CONFIG, DOCUMENT_ROOT__MANAGED_BEAN, DOCUMENT_ROOT__MANAGED_BEAN_CLASS, DOCUMENT_ROOT__MANAGED_BEAN_NAME, DOCUMENT_ROOT__MANAGED_BEAN_SCOPE, DOCUMENT_ROOT__MANAGED_PROPERTY, DOCUMENT_ROOT__MAP_ENTRIES, DOCUMENT_ROOT__MAP_ENTRY, DOCUMENT_ROOT__MESSAGE_BUNDLE, DOCUMENT_ROOT__MIXED, DOCUMENT_ROOT__NAME, DOCUMENT_ROOT__NAVIGATION_CASE, DOCUMENT_ROOT__NAVIGATION_HANDLER, DOCUMENT_ROOT__NAVIGATION_RULE, DOCUMENT_ROOT__NULL_VALUE, DOCUMENT_ROOT__ORDERING, DOCUMENT_ROOT__ORDERING_ORDERING, DOCUMENT_ROOT__OTHERS, DOCUMENT_ROOT__PARTIAL_VIEW_CONTEXT_FACTORY, DOCUMENT_ROOT__PHASE_LISTENER, DOCUMENT_ROOT__PROPERTY, DOCUMENT_ROOT__PROPERTY_CLASS, DOCUMENT_ROOT__PROPERTY_EXTENSION, DOCUMENT_ROOT__PROPERTY_NAME, DOCUMENT_ROOT__PROPERTY_RESOLVER, DOCUMENT_ROOT__REDIRECT, DOCUMENT_ROOT__REDIRECT_VIEW_PARAM, DOCUMENT_ROOT__REFERENCED_BEAN, DOCUMENT_ROOT__REFERENCED_BEAN_CLASS, DOCUMENT_ROOT__REFERENCED_BEAN_NAME, DOCUMENT_ROOT__RENDER_KIT, DOCUMENT_ROOT__RENDER_KIT_CLASS, DOCUMENT_ROOT__RENDER_KIT_FACTORY, DOCUMENT_ROOT__RENDER_KIT_ID, DOCUMENT_ROOT__RENDERER, DOCUMENT_ROOT__RENDERER_CLASS, DOCUMENT_ROOT__RENDERER_EXTENSION, DOCUMENT_ROOT__RENDERER_TYPE, DOCUMENT_ROOT__RESOURCE_HANDLER, DOCUMENT_ROOT__SMALL_ICON, DOCUMENT_ROOT__SOURCE_CLASS, DOCUMENT_ROOT__STATE_MANAGER, DOCUMENT_ROOT__SUGGESTED_VALUE, DOCUMENT_ROOT__SUPPORTED_LOCALE, DOCUMENT_ROOT__SYSTEM_EVENT_CLASS, DOCUMENT_ROOT__SYSTEM_EVENT_LISTENER, DOCUMENT_ROOT__SYSTEM_EVENT_LISTENER_CLASS, DOCUMENT_ROOT__TAG_HANDLER_DELEGATE_FACTORY, DOCUMENT_ROOT__TO_VIEW_ID, DOCUMENT_ROOT__VALIDATOR, DOCUMENT_ROOT__VALIDATOR_CLASS, DOCUMENT_ROOT__VALIDATOR_ID, DOCUMENT_ROOT__VALUE, DOCUMENT_ROOT__VALUE_CLASS, DOCUMENT_ROOT__VARIABLE_RESOLVER, DOCUMENT_ROOT__VIEW_DECLARATION_LANGUAGE_FACTORY, DOCUMENT_ROOT__VIEW_HANDLER, DOCUMENT_ROOT__VISIT_CONTEXT_FACTORY, DOCUMENT_ROOT__XMLNS_PREFIX_MAP, DOCUMENT_ROOT__XSI_SCHEMA_LOCATION, DOCUMENT_ROOT_FEATURE_COUNT, DYNAMIC_ATTRIBUTE, DYNAMIC_ATTRIBUTE__NAME, DYNAMIC_ATTRIBUTE__VALUE, DYNAMIC_ATTRIBUTE_FEATURE_COUNT, DYNAMIC_ELEMENT, DYNAMIC_ELEMENT__ATTRIBUTES, DYNAMIC_ELEMENT__CHILD_NODES, DYNAMIC_ELEMENT__NAME, DYNAMIC_ELEMENT__TEXT_CONTENT, DYNAMIC_ELEMENT_FEATURE_COUNT, eINSTANCE, EL_RESOLVER_TYPE, EL_RESOLVER_TYPE__ID, EL_RESOLVER_TYPE__TEXT_CONTENT, EL_RESOLVER_TYPE_FEATURE_COUNT, eNAME, eNS_PREFIX, eNS_URI, EXCEPTION_HANDLER_FACTORY_TYPE, EXCEPTION_HANDLER_FACTORY_TYPE__ID, EXCEPTION_HANDLER_FACTORY_TYPE__TEXT_CONTENT, EXCEPTION_HANDLER_FACTORY_TYPE_FEATURE_COUNT, EXTENSION_TYPE, EXTENSION_TYPE__CHILD_NODES, EXTENSION_TYPE__ID, EXTENSION_TYPE__TEXT_CONTENT, EXTENSION_TYPE_FEATURE_COUNT, EXTERNAL_CONTEXT_FACTORY_TYPE, EXTERNAL_CONTEXT_FACTORY_TYPE__ID, EXTERNAL_CONTEXT_FACTORY_TYPE__TEXT_CONTENT, EXTERNAL_CONTEXT_FACTORY_TYPE_FEATURE_COUNT, FACES_CONFIG_EXTENSION_TYPE, FACES_CONFIG_EXTENSION_TYPE__CHILD_NODES, FACES_CONFIG_EXTENSION_TYPE__ID, FACES_CONFIG_EXTENSION_TYPE__TEXT_CONTENT, FACES_CONFIG_EXTENSION_TYPE_FEATURE_COUNT, FACES_CONFIG_TYPE, FACES_CONFIG_TYPE__ABSOLUTE_ORDERING, FACES_CONFIG_TYPE__APPLICATION, FACES_CONFIG_TYPE__BEHAVIOR, FACES_CONFIG_TYPE__COMPONENT, FACES_CONFIG_TYPE__CONVERTER, FACES_CONFIG_TYPE__FACES_CONFIG_EXTENSION, FACES_CONFIG_TYPE__FACTORY, FACES_CONFIG_TYPE__ID, FACES_CONFIG_TYPE__LIFECYCLE, FACES_CONFIG_TYPE__MANAGED_BEAN, FACES_CONFIG_TYPE__METADATA_COMPLETE, FACES_CONFIG_TYPE__NAME, FACES_CONFIG_TYPE__NAVIGATION_RULE, FACES_CONFIG_TYPE__ORDERING, FACES_CONFIG_TYPE__REFERENCED_BEAN, FACES_CONFIG_TYPE__RENDER_KIT, FACES_CONFIG_TYPE__VALIDATOR, FACES_CONFIG_TYPE__XMLNS, FACES_CONFIG_TYPE_FEATURE_COUNT, FACES_CONTEXT_FACTORY_TYPE, FACES_CONTEXT_FACTORY_TYPE__ID, FACES_CONTEXT_FACTORY_TYPE__TEXT_CONTENT, FACES_CONTEXT_FACTORY_TYPE_FEATURE_COUNT, FACET_EXTENSION_TYPE, FACET_EXTENSION_TYPE__CHILD_NODES, FACET_EXTENSION_TYPE__ID, FACET_EXTENSION_TYPE__TEXT_CONTENT, FACET_EXTENSION_TYPE_FEATURE_COUNT, FACET_NAME_TYPE, FACET_NAME_TYPE__ID, FACET_NAME_TYPE__TEXT_CONTENT, FACET_NAME_TYPE_FEATURE_COUNT, FACET_TYPE, FACET_TYPE__DESCRIPTION, FACET_TYPE__DISPLAY_NAME, FACET_TYPE__FACET_EXTENSION, FACET_TYPE__FACET_NAME, FACET_TYPE__ICON, FACET_TYPE__ID, FACET_TYPE_FEATURE_COUNT, FACTORY_EXTENSION_TYPE, FACTORY_EXTENSION_TYPE__CHILD_NODES, FACTORY_EXTENSION_TYPE__ID, FACTORY_EXTENSION_TYPE__TEXT_CONTENT, FACTORY_EXTENSION_TYPE_FEATURE_COUNT, FACTORY_TYPE, FACTORY_TYPE__APPLICATION_FACTORY, FACTORY_TYPE__EXCEPTION_HANDLER_FACTORY, FACTORY_TYPE__EXTERNAL_CONTEXT_FACTORY, FACTORY_TYPE__FACES_CONTEXT_FACTORY, FACTORY_TYPE__FACTORY_EXTENSION, FACTORY_TYPE__ID, FACTORY_TYPE__LIFECYCLE_FACTORY, FACTORY_TYPE__PARTIAL_VIEW_CONTEXT_FACTORY, FACTORY_TYPE__RENDER_KIT_FACTORY, FACTORY_TYPE__TAG_HANDLER_DELEGATE_FACTORY, FACTORY_TYPE__VIEW_DECLARATION_LANGUAGE_FACTORY, FACTORY_TYPE__VISIT_CONTEXT_FACTORY, FACTORY_TYPE_FEATURE_COUNT, FROM_ACTION_TYPE, FROM_ACTION_TYPE__ID, FROM_ACTION_TYPE__TEXT_CONTENT, FROM_ACTION_TYPE_FEATURE_COUNT, FROM_OUTCOME_TYPE, FROM_OUTCOME_TYPE__ID, FROM_OUTCOME_TYPE__TEXT_CONTENT, FROM_OUTCOME_TYPE_FEATURE_COUNT, FROM_VIEW_ID_TYPE, FROM_VIEW_ID_TYPE__ID, FROM_VIEW_ID_TYPE__TEXT_CONTENT, FROM_VIEW_ID_TYPE_FEATURE_COUNT, ICON_TYPE, ICON_TYPE__ID, ICON_TYPE__LANG, ICON_TYPE__LARGE_ICON, ICON_TYPE__SMALL_ICON, ICON_TYPE_FEATURE_COUNT, IF_TYPE, IF_TYPE__ID, IF_TYPE__TEXT_CONTENT, IF_TYPE_FEATURE_COUNT, KEY_CLASS_TYPE, KEY_CLASS_TYPE__ID, KEY_CLASS_TYPE__TEXT_CONTENT, KEY_CLASS_TYPE_FEATURE_COUNT, KEY_TYPE, KEY_TYPE__ID, KEY_TYPE__TEXT_CONTENT, KEY_TYPE_FEATURE_COUNT, LARGE_ICON_TYPE, LARGE_ICON_TYPE__ID, LARGE_ICON_TYPE__TEXT_CONTENT, LARGE_ICON_TYPE_FEATURE_COUNT, LIFECYCLE_EXTENSION_TYPE, LIFECYCLE_EXTENSION_TYPE__CHILD_NODES, LIFECYCLE_EXTENSION_TYPE__ID, LIFECYCLE_EXTENSION_TYPE__TEXT_CONTENT, LIFECYCLE_EXTENSION_TYPE_FEATURE_COUNT, LIFECYCLE_FACTORY_TYPE, LIFECYCLE_FACTORY_TYPE__ID, LIFECYCLE_FACTORY_TYPE__TEXT_CONTENT, LIFECYCLE_FACTORY_TYPE_FEATURE_COUNT, LIFECYCLE_TYPE, LIFECYCLE_TYPE__ID, LIFECYCLE_TYPE__LIFECYCLE_EXTENSION, LIFECYCLE_TYPE__PHASE_LISTENER, LIFECYCLE_TYPE_FEATURE_COUNT, LIST_ENTRIES_TYPE, LIST_ENTRIES_TYPE__ID, LIST_ENTRIES_TYPE__NULL_VALUE, LIST_ENTRIES_TYPE__VALUE, LIST_ENTRIES_TYPE__VALUE_CLASS, LIST_ENTRIES_TYPE_FEATURE_COUNT, LOCALE_CONFIG_TYPE, LOCALE_CONFIG_TYPE__DEFAULT_LOCALE, LOCALE_CONFIG_TYPE__ID, LOCALE_CONFIG_TYPE__SUPPORTED_LOCALE, LOCALE_CONFIG_TYPE_FEATURE_COUNT, MANAGED_BEAN_CLASS_TYPE, MANAGED_BEAN_CLASS_TYPE__ID, MANAGED_BEAN_CLASS_TYPE__TEXT_CONTENT, MANAGED_BEAN_CLASS_TYPE_FEATURE_COUNT, MANAGED_BEAN_EXTENSION_TYPE, MANAGED_BEAN_EXTENSION_TYPE__CHILD_NODES, MANAGED_BEAN_EXTENSION_TYPE__ID, MANAGED_BEAN_EXTENSION_TYPE__TEXT_CONTENT, MANAGED_BEAN_EXTENSION_TYPE_FEATURE_COUNT, MANAGED_BEAN_NAME_TYPE, MANAGED_BEAN_NAME_TYPE__ID, MANAGED_BEAN_NAME_TYPE__TEXT_CONTENT, MANAGED_BEAN_NAME_TYPE_FEATURE_COUNT, MANAGED_BEAN_SCOPE_TYPE, MANAGED_BEAN_SCOPE_TYPE__ID, MANAGED_BEAN_SCOPE_TYPE__TEXT_CONTENT, MANAGED_BEAN_SCOPE_TYPE_FEATURE_COUNT, MANAGED_BEAN_TYPE, MANAGED_BEAN_TYPE__DESCRIPTION, MANAGED_BEAN_TYPE__DISPLAY_NAME, MANAGED_BEAN_TYPE__EAGER, MANAGED_BEAN_TYPE__ICON, MANAGED_BEAN_TYPE__ID, MANAGED_BEAN_TYPE__LIST_ENTRIES, MANAGED_BEAN_TYPE__MANAGED_BEAN_CLASS, MANAGED_BEAN_TYPE__MANAGED_BEAN_EXTENSION, MANAGED_BEAN_TYPE__MANAGED_BEAN_NAME, MANAGED_BEAN_TYPE__MANAGED_BEAN_SCOPE, MANAGED_BEAN_TYPE__MANAGED_PROPERTY, MANAGED_BEAN_TYPE__MAP_ENTRIES, MANAGED_BEAN_TYPE_FEATURE_COUNT, MANAGED_PROPERTY_TYPE, MANAGED_PROPERTY_TYPE__DESCRIPTION, MANAGED_PROPERTY_TYPE__DISPLAY_NAME, MANAGED_PROPERTY_TYPE__ICON, MANAGED_PROPERTY_TYPE__ID, MANAGED_PROPERTY_TYPE__LIST_ENTRIES, MANAGED_PROPERTY_TYPE__MAP_ENTRIES, MANAGED_PROPERTY_TYPE__NULL_VALUE, MANAGED_PROPERTY_TYPE__PROPERTY_CLASS, MANAGED_PROPERTY_TYPE__PROPERTY_NAME, MANAGED_PROPERTY_TYPE__VALUE, MANAGED_PROPERTY_TYPE_FEATURE_COUNT, MAP_ENTRIES_TYPE, MAP_ENTRIES_TYPE__ID, MAP_ENTRIES_TYPE__KEY_CLASS, MAP_ENTRIES_TYPE__MAP_ENTRY, MAP_ENTRIES_TYPE__VALUE_CLASS, MAP_ENTRIES_TYPE_FEATURE_COUNT, MAP_ENTRY_TYPE, MAP_ENTRY_TYPE__ID, MAP_ENTRY_TYPE__KEY, MAP_ENTRY_TYPE__NULL_VALUE, MAP_ENTRY_TYPE__VALUE, MAP_ENTRY_TYPE_FEATURE_COUNT, MESSAGE_BUNDLE_TYPE, MESSAGE_BUNDLE_TYPE__ID, MESSAGE_BUNDLE_TYPE__TEXT_CONTENT, MESSAGE_BUNDLE_TYPE_FEATURE_COUNT, NAME_TYPE, NAME_TYPE__ID, NAME_TYPE__TEXT_CONTENT, NAME_TYPE_FEATURE_COUNT, NAVIGATION_CASE_TYPE, NAVIGATION_CASE_TYPE__DESCRIPTION, NAVIGATION_CASE_TYPE__DISPLAY_NAME, NAVIGATION_CASE_TYPE__FROM_ACTION, NAVIGATION_CASE_TYPE__FROM_OUTCOME, NAVIGATION_CASE_TYPE__ICON, NAVIGATION_CASE_TYPE__ID, NAVIGATION_CASE_TYPE__IF, NAVIGATION_CASE_TYPE__REDIRECT, NAVIGATION_CASE_TYPE__TO_VIEW_ID, NAVIGATION_CASE_TYPE_FEATURE_COUNT, NAVIGATION_HANDLER_TYPE, NAVIGATION_HANDLER_TYPE__ID, NAVIGATION_HANDLER_TYPE__TEXT_CONTENT, NAVIGATION_HANDLER_TYPE_FEATURE_COUNT, NAVIGATION_RULE_EXTENSION_TYPE, NAVIGATION_RULE_EXTENSION_TYPE__CHILD_NODES, NAVIGATION_RULE_EXTENSION_TYPE__ID, NAVIGATION_RULE_EXTENSION_TYPE__TEXT_CONTENT, NAVIGATION_RULE_EXTENSION_TYPE_FEATURE_COUNT, NAVIGATION_RULE_TYPE, NAVIGATION_RULE_TYPE__DESCRIPTION, NAVIGATION_RULE_TYPE__DISPLAY_NAME, NAVIGATION_RULE_TYPE__FROM_VIEW_ID, NAVIGATION_RULE_TYPE__ICON, NAVIGATION_RULE_TYPE__ID, NAVIGATION_RULE_TYPE__NAVIGATION_CASE, NAVIGATION_RULE_TYPE__NAVIGATION_RULE_EXTENSION, NAVIGATION_RULE_TYPE_FEATURE_COUNT, NULL_VALUE_TYPE, NULL_VALUE_TYPE__ID, NULL_VALUE_TYPE_FEATURE_COUNT, ORDERING_ORDERING_TYPE, ORDERING_ORDERING_TYPE__NAME, ORDERING_ORDERING_TYPE__OTHERS, ORDERING_ORDERING_TYPE_FEATURE_COUNT, ORDERING_OTHERS_TYPE, ORDERING_OTHERS_TYPE__ID, ORDERING_OTHERS_TYPE_FEATURE_COUNT, ORDERING_TYPE, ORDERING_TYPE__AFTER, ORDERING_TYPE__BEFORE, ORDERING_TYPE_FEATURE_COUNT, PARTIAL_VIEW_CONTEXT_FACTORY_TYPE, PARTIAL_VIEW_CONTEXT_FACTORY_TYPE__ID, PARTIAL_VIEW_CONTEXT_FACTORY_TYPE__TEXT_CONTENT, PARTIAL_VIEW_CONTEXT_FACTORY_TYPE_FEATURE_COUNT, PHASE_LISTENER_TYPE, PHASE_LISTENER_TYPE__ID, PHASE_LISTENER_TYPE__TEXT_CONTENT, PHASE_LISTENER_TYPE_FEATURE_COUNT, PROPERTY_CLASS_TYPE, PROPERTY_CLASS_TYPE__ID, PROPERTY_CLASS_TYPE__TEXT_CONTENT, PROPERTY_CLASS_TYPE_FEATURE_COUNT, PROPERTY_EXTENSION_TYPE, PROPERTY_EXTENSION_TYPE__CHILD_NODES, PROPERTY_EXTENSION_TYPE__ID, PROPERTY_EXTENSION_TYPE__TEXT_CONTENT, PROPERTY_EXTENSION_TYPE_FEATURE_COUNT, PROPERTY_NAME_TYPE, PROPERTY_NAME_TYPE__ID, PROPERTY_NAME_TYPE__TEXT_CONTENT, PROPERTY_NAME_TYPE_FEATURE_COUNT, PROPERTY_RESOLVER_TYPE, PROPERTY_RESOLVER_TYPE__ID, PROPERTY_RESOLVER_TYPE__TEXT_CONTENT, PROPERTY_RESOLVER_TYPE_FEATURE_COUNT, PROPERTY_TYPE, PROPERTY_TYPE__DEFAULT_VALUE, PROPERTY_TYPE__DESCRIPTION, PROPERTY_TYPE__DISPLAY_NAME, PROPERTY_TYPE__ICON, PROPERTY_TYPE__ID, PROPERTY_TYPE__PROPERTY_CLASS, PROPERTY_TYPE__PROPERTY_EXTENSION, PROPERTY_TYPE__PROPERTY_NAME, PROPERTY_TYPE__SUGGESTED_VALUE, PROPERTY_TYPE_FEATURE_COUNT, REDIRECT_TYPE, REDIRECT_TYPE__ID, REDIRECT_TYPE__INCLUDE_VIEW_PARAMS, REDIRECT_TYPE__VIEW_PARAM, REDIRECT_TYPE_FEATURE_COUNT, REDIRECT_VIEW_PARAM_TYPE, REDIRECT_VIEW_PARAM_TYPE__ID, REDIRECT_VIEW_PARAM_TYPE__NAME, REDIRECT_VIEW_PARAM_TYPE__VALUE, REDIRECT_VIEW_PARAM_TYPE_FEATURE_COUNT, REFERENCED_BEAN_CLASS_TYPE, REFERENCED_BEAN_CLASS_TYPE__ID, REFERENCED_BEAN_CLASS_TYPE__TEXT_CONTENT, REFERENCED_BEAN_CLASS_TYPE_FEATURE_COUNT, REFERENCED_BEAN_NAME_TYPE, REFERENCED_BEAN_NAME_TYPE__ID, REFERENCED_BEAN_NAME_TYPE__TEXT_CONTENT, REFERENCED_BEAN_NAME_TYPE_FEATURE_COUNT, REFERENCED_BEAN_TYPE, REFERENCED_BEAN_TYPE__DESCRIPTION, REFERENCED_BEAN_TYPE__DISPLAY_NAME, REFERENCED_BEAN_TYPE__ICON, REFERENCED_BEAN_TYPE__ID, REFERENCED_BEAN_TYPE__REFERENCED_BEAN_CLASS, REFERENCED_BEAN_TYPE__REFERENCED_BEAN_NAME, REFERENCED_BEAN_TYPE_FEATURE_COUNT, RENDER_KIT_CLASS_TYPE, RENDER_KIT_CLASS_TYPE__ID, RENDER_KIT_CLASS_TYPE__TEXT_CONTENT, RENDER_KIT_CLASS_TYPE_FEATURE_COUNT, RENDER_KIT_EXTENSION_TYPE, RENDER_KIT_EXTENSION_TYPE__CHILD_NODES, RENDER_KIT_EXTENSION_TYPE__ID, RENDER_KIT_EXTENSION_TYPE__TEXT_CONTENT, RENDER_KIT_EXTENSION_TYPE_FEATURE_COUNT, RENDER_KIT_FACTORY_TYPE, RENDER_KIT_FACTORY_TYPE__ID, RENDER_KIT_FACTORY_TYPE__TEXT_CONTENT, RENDER_KIT_FACTORY_TYPE_FEATURE_COUNT, RENDER_KIT_ID_TYPE, RENDER_KIT_ID_TYPE__ID, RENDER_KIT_ID_TYPE__TEXT_CONTENT, RENDER_KIT_ID_TYPE_FEATURE_COUNT, RENDER_KIT_TYPE, RENDER_KIT_TYPE__CLIENT_BEHAVIOR_RENDERER, RENDER_KIT_TYPE__DESCRIPTION, RENDER_KIT_TYPE__DISPLAY_NAME, RENDER_KIT_TYPE__ICON, RENDER_KIT_TYPE__ID, RENDER_KIT_TYPE__RENDER_KIT_CLASS, RENDER_KIT_TYPE__RENDER_KIT_EXTENSION, RENDER_KIT_TYPE__RENDER_KIT_ID, RENDER_KIT_TYPE__RENDERER, RENDER_KIT_TYPE_FEATURE_COUNT, RENDERER_CLASS_TYPE, RENDERER_CLASS_TYPE__ID, RENDERER_CLASS_TYPE__TEXT_CONTENT, RENDERER_CLASS_TYPE_FEATURE_COUNT, RENDERER_EXTENSION_TYPE, RENDERER_EXTENSION_TYPE__CHILD_NODES, RENDERER_EXTENSION_TYPE__ID, RENDERER_EXTENSION_TYPE__TEXT_CONTENT, RENDERER_EXTENSION_TYPE_FEATURE_COUNT, RENDERER_TYPE, RENDERER_TYPE__ATTRIBUTE, RENDERER_TYPE__COMPONENT_FAMILY, RENDERER_TYPE__DESCRIPTION, RENDERER_TYPE__DISPLAY_NAME, RENDERER_TYPE__FACET, RENDERER_TYPE__ICON, RENDERER_TYPE__ID, RENDERER_TYPE__RENDERER_CLASS, RENDERER_TYPE__RENDERER_EXTENSION, RENDERER_TYPE__RENDERER_TYPE, RENDERER_TYPE_FEATURE_COUNT, RENDERER_TYPE_TYPE, RENDERER_TYPE_TYPE__ID, RENDERER_TYPE_TYPE__TEXT_CONTENT, RENDERER_TYPE_TYPE_FEATURE_COUNT, RESOURCE_BUNDLE_TYPE, RESOURCE_BUNDLE_TYPE__BASE_NAME, RESOURCE_BUNDLE_TYPE__DESCRIPTION, RESOURCE_BUNDLE_TYPE__DISPLAY_NAME, RESOURCE_BUNDLE_TYPE__ICON, RESOURCE_BUNDLE_TYPE__ID, RESOURCE_BUNDLE_TYPE__VAR, RESOURCE_BUNDLE_TYPE_FEATURE_COUNT, RESOURCE_HANDLER_TYPE, RESOURCE_HANDLER_TYPE__ID, RESOURCE_HANDLER_TYPE__TEXT_CONTENT, RESOURCE_HANDLER_TYPE_FEATURE_COUNT, SMALL_ICON_TYPE, SMALL_ICON_TYPE__ID, SMALL_ICON_TYPE__TEXT_CONTENT, SMALL_ICON_TYPE_FEATURE_COUNT, SOURCE_CLASS_TYPE, SOURCE_CLASS_TYPE__ID, SOURCE_CLASS_TYPE__TEXT_CONTENT, SOURCE_CLASS_TYPE_FEATURE_COUNT, STATE_MANAGER_TYPE, STATE_MANAGER_TYPE__ID, STATE_MANAGER_TYPE__TEXT_CONTENT, STATE_MANAGER_TYPE_FEATURE_COUNT, SUGGESTED_VALUE_TYPE, SUGGESTED_VALUE_TYPE__ID, SUGGESTED_VALUE_TYPE__TEXT_CONTENT, SUGGESTED_VALUE_TYPE_FEATURE_COUNT, SUPPORTED_LOCALE_TYPE, SUPPORTED_LOCALE_TYPE__ID, SUPPORTED_LOCALE_TYPE__TEXT_CONTENT, SUPPORTED_LOCALE_TYPE_FEATURE_COUNT, SYSTEM_EVENT_CLASS_TYPE, SYSTEM_EVENT_CLASS_TYPE__ID, SYSTEM_EVENT_CLASS_TYPE__TEXT_CONTENT, SYSTEM_EVENT_CLASS_TYPE_FEATURE_COUNT, SYSTEM_EVENT_LISTENER_CLASS_TYPE, SYSTEM_EVENT_LISTENER_CLASS_TYPE__ID, SYSTEM_EVENT_LISTENER_CLASS_TYPE__TEXT_CONTENT, SYSTEM_EVENT_LISTENER_CLASS_TYPE_FEATURE_COUNT, SYSTEM_EVENT_LISTENER_TYPE, SYSTEM_EVENT_LISTENER_TYPE__ID, SYSTEM_EVENT_LISTENER_TYPE__SOURCE_CLASS, SYSTEM_EVENT_LISTENER_TYPE__SYSTEM_EVENT_CLASS, SYSTEM_EVENT_LISTENER_TYPE__SYSTEM_EVENT_LISTENER_CLASS, SYSTEM_EVENT_LISTENER_TYPE_FEATURE_COUNT, TAG_HANDLER_DELEGATE_FACTORY_TYPE, TAG_HANDLER_DELEGATE_FACTORY_TYPE__ID, TAG_HANDLER_DELEGATE_FACTORY_TYPE__TEXT_CONTENT, TAG_HANDLER_DELEGATE_FACTORY_TYPE_FEATURE_COUNT, TO_VIEW_ID_TYPE, TO_VIEW_ID_TYPE__ID, TO_VIEW_ID_TYPE__TEXT_CONTENT, TO_VIEW_ID_TYPE_FEATURE_COUNT, VALIDATOR_CLASS_TYPE, VALIDATOR_CLASS_TYPE__ID, VALIDATOR_CLASS_TYPE__TEXT_CONTENT, VALIDATOR_CLASS_TYPE_FEATURE_COUNT, VALIDATOR_EXTENSION_TYPE, VALIDATOR_EXTENSION_TYPE__CHILD_NODES, VALIDATOR_EXTENSION_TYPE__ID, VALIDATOR_EXTENSION_TYPE__TEXT_CONTENT, VALIDATOR_EXTENSION_TYPE_FEATURE_COUNT, VALIDATOR_ID_TYPE, VALIDATOR_ID_TYPE__ID, VALIDATOR_ID_TYPE__TEXT_CONTENT, VALIDATOR_ID_TYPE_FEATURE_COUNT, VALIDATOR_TYPE, VALIDATOR_TYPE__ATTRIBUTE, VALIDATOR_TYPE__DESCRIPTION, VALIDATOR_TYPE__DISPLAY_NAME, VALIDATOR_TYPE__ICON, VALIDATOR_TYPE__ID, VALIDATOR_TYPE__PROPERTY, VALIDATOR_TYPE__VALIDATOR_CLASS, VALIDATOR_TYPE__VALIDATOR_EXTENSION, VALIDATOR_TYPE__VALIDATOR_ID, VALIDATOR_TYPE_FEATURE_COUNT, VALUE_CLASS_TYPE, VALUE_CLASS_TYPE__ID, VALUE_CLASS_TYPE__TEXT_CONTENT, VALUE_CLASS_TYPE_FEATURE_COUNT, VALUE_TYPE, VALUE_TYPE__ID, VALUE_TYPE__TEXT_CONTENT, VALUE_TYPE_FEATURE_COUNT, VAR_TYPE, VAR_TYPE__ID, VAR_TYPE__TEXT_CONTENT, VAR_TYPE_FEATURE_COUNT, VARIABLE_RESOLVER_TYPE, VARIABLE_RESOLVER_TYPE__ID, VARIABLE_RESOLVER_TYPE__TEXT_CONTENT, VARIABLE_RESOLVER_TYPE_FEATURE_COUNT, VIEW_DECLARATION_LANGUAGE_FACTORY_TYPE, VIEW_DECLARATION_LANGUAGE_FACTORY_TYPE__ID, VIEW_DECLARATION_LANGUAGE_FACTORY_TYPE__TEXT_CONTENT, VIEW_DECLARATION_LANGUAGE_FACTORY_TYPE_FEATURE_COUNT, VIEW_HANDLER_TYPE, VIEW_HANDLER_TYPE__ID, VIEW_HANDLER_TYPE__TEXT_CONTENT, VIEW_HANDLER_TYPE_FEATURE_COUNT, VISIT_CONTEXT_FACTORY_TYPE, VISIT_CONTEXT_FACTORY_TYPE__ID, VISIT_CONTEXT_FACTORY_TYPE__TEXT_CONTENT, VISIT_CONTEXT_FACTORY_TYPE_FEATURE_COUNT`

Method Summary
`void` `createPackageContents()` Creates the meta-model objects for the package.
`EReference` `getAbsoluteOrderingType_Name()`
`EReference` `getAbsoluteOrderingType_Others()`
`EClass` `getAbsoluteOrderingType()`
`EAttribute` `getActionListenerType_Id()`
`EAttribute` `getActionListenerType_TextContent()`
`EClass` `getActionListenerType()`
`EClass` `getApplicationExtensionType()`
`EAttribute` `getApplicationFactoryType_Id()`
`EAttribute` `getApplicationFactoryType_TextContent()`
`EClass` `getApplicationFactoryType()`
`EReference` `getApplicationType_ActionListener()`
`EReference` `getApplicationType_ApplicationExtension()`
`EReference` `getApplicationType_DefaultRenderKitId()`
`EReference` `getApplicationType_DefaultValidators()`
`EReference` `getApplicationType_ELResolver()`
`EAttribute` `getApplicationType_Id()`
`EReference` `getApplicationType_LocaleConfig()`
`EReference` `getApplicationType_MessageBundle()`
`EReference` `getApplicationType_NavigationHandler()`
`EReference` `getApplicationType_PropertyResolver()`
`EReference` `getApplicationType_ResourceBundle()`
`EReference` `getApplicationType_ResourceHandler()`
`EReference` `getApplicationType_StateManager()`
`EReference` `getApplicationType_SystemEventListener()`
`EReference` `getApplicationType_VariableResolver()`
`EReference` `getApplicationType_ViewHandler()`
`EClass` `getApplicationType()`
`EAttribute` `getAttributeClassType_Id()`
`EAttribute` `getAttributeClassType_TextContent()`
`EClass` `getAttributeClassType()`
`EClass` `getAttributeExtensionType()`
`EAttribute` `getAttributeNameType_Id()`
`EAttribute` `getAttributeNameType_TextContent()`
`EClass` `getAttributeNameType()`
`EReference` `getAttributeType_AttributeClass()`
`EReference` `getAttributeType_AttributeExtension()`
`EReference` `getAttributeType_AttributeName()`
`EReference` `getAttributeType_DefaultValue()`
`EReference` `getAttributeType_Description()`
`EReference` `getAttributeType_DisplayName()`
`EReference` `getAttributeType_Icon()`
`EAttribute` `getAttributeType_Id()`
`EReference` `getAttributeType_SuggestedValue()`
`EClass` `getAttributeType()`
`EAttribute` `getBaseNameType_Id()`
`EAttribute` `getBaseNameType_TextContent()`
`EClass` `getBaseNameType()`
`EAttribute` `getBehaviorClassType_Id()`
`EAttribute` `getBehaviorClassType_TextContent()`
`EClass` `getBehaviorClassType()`
`EClass` `getBehaviorExtensionType()`
`EAttribute` `getBehaviorIdType_Id()`
`EAttribute` `getBehaviorIdType_TextContent()`
`EClass` `getBehaviorIdType()`
`EReference` `getBehaviorType_Attribute()`
`EReference` `getBehaviorType_BehaviorClass()`
`EReference` `getBehaviorType_BehaviorExtension()`
`EReference` `getBehaviorType_BehaviorId()`
`EReference` `getBehaviorType_Description()`
`EReference` `getBehaviorType_DisplayName()`
`EReference` `getBehaviorType_Icon()`
`EReference` `getBehaviorType_Property()`
`EClass` `getBehaviorType()`
`EAttribute` `getClientBehaviorRendererClassType_Id()`
`EAttribute` `getClientBehaviorRendererClassType_TextContent()`
`EClass` `getClientBehaviorRendererClassType()`
`EReference` `getClientBehaviorRendererType_ClientBehaviorRendererClass()`
`EReference` `getClientBehaviorRendererType_ClientBehaviorRendererType()`
`EClass` `getClientBehaviorRendererType()`
`EAttribute` `getClientBehaviorRendererTypeType_Id()`
`EAttribute` `getClientBehaviorRendererTypeType_TextContent()`
`EClass` `getClientBehaviorRendererTypeType()`
`EAttribute` `getComponentClassType_Id()`
`EAttribute` `getComponentClassType_TextContent()`
`EClass` `getComponentClassType()`
`EClass` `getComponentExtensionType()`
`EAttribute` `getComponentFamilyType_Id()`
`EAttribute` `getComponentFamilyType_TextContent()`
`EClass` `getComponentFamilyType()`
`EReference` `getComponentType_Attribute()`
`EReference` `getComponentType_ComponentClass()`
`EReference` `getComponentType_ComponentExtension()`
`EReference` `getComponentType_ComponentType()`
`EReference` `getComponentType_Description()`
`EReference` `getComponentType_DisplayName()`
`EReference` `getComponentType_Facet()`
`EReference` `getComponentType_Icon()`
`EAttribute` `getComponentType_Id()`
`EReference` `getComponentType_Property()`
`EClass` `getComponentType()`
`EAttribute` `getComponentTypeType_Id()`
`EAttribute` `getComponentTypeType_TextContent()`
`EClass` `getComponentTypeType()`
`EAttribute` `getConverterClassType_Id()`
`EAttribute` `getConverterClassType_TextContent()`
`EClass` `getConverterClassType()`
`EClass` `getConverterExtensionType()`
`EAttribute` `getConverterForClassType_Id()`
`EAttribute` `getConverterForClassType_TextContent()`
`EClass` `getConverterForClassType()`
`EAttribute` `getConverterIdType_Id()`
`EAttribute` `getConverterIdType_TextContent()`
`EClass` `getConverterIdType()`
`EReference` `getConverterType_Attribute()`
`EReference` `getConverterType_ConverterClass()`
`EReference` `getConverterType_ConverterExtension()`
`EReference` `getConverterType_ConverterForClass()`
`EReference` `getConverterType_ConverterId()`
`EReference` `getConverterType_Description()`
`EReference` `getConverterType_DisplayName()`
`EReference` `getConverterType_Icon()`
`EAttribute` `getConverterType_Id()`
`EReference` `getConverterType_Property()`
`EClass` `getConverterType()`
`EAttribute` `getDefaultLocaleType_Id()`
`EAttribute` `getDefaultLocaleType_TextContent()`
`EClass` `getDefaultLocaleType()`
`EAttribute` `getDefaultRenderKitIdType_Id()`
`EAttribute` `getDefaultRenderKitIdType_TextContent()`
`EClass` `getDefaultRenderKitIdType()`
`EAttribute` `getDefaultValidatorsType_Id()`
`EReference` `getDefaultValidatorsType_ValidatorId()`
`EClass` `getDefaultValidatorsType()`
`EAttribute` `getDefaultValueType_Id()`
`EAttribute` `getDefaultValueType_TextContent()`
`EClass` `getDefaultValueType()`
`EAttribute` `getDescriptionType_Id()`
`EAttribute` `getDescriptionType_Lang()`
`EAttribute` `getDescriptionType_TextContent()`
`EClass` `getDescriptionType()`
`EAttribute` `getDisplayNameType_Id()`
`EAttribute` `getDisplayNameType_Lang()`
`EAttribute` `getDisplayNameType_TextContent()`
`EClass` `getDisplayNameType()`
`EReference` `getDocumentRoot_AbsoluteOrdering()`
`EReference` `getDocumentRoot_ActionListener()`
`EReference` `getDocumentRoot_Application()`
`EReference` `getDocumentRoot_ApplicationFactory()`
`EReference` `getDocumentRoot_Attribute()`
`EReference` `getDocumentRoot_AttributeClass()`
`EReference` `getDocumentRoot_AttributeExtension()`
`EReference` `getDocumentRoot_AttributeName()`
`EReference` `getDocumentRoot_Behavior()`
`EReference` `getDocumentRoot_BehaviorClass()`
`EReference` `getDocumentRoot_BehaviorExtension()`
`EReference` `getDocumentRoot_BehaviorId()`
`EReference` `getDocumentRoot_Component()`
`EReference` `getDocumentRoot_ComponentClass()`
`EReference` `getDocumentRoot_ComponentExtension()`
`EReference` `getDocumentRoot_ComponentFamily()`
`EReference` `getDocumentRoot_ComponentType()`
`EReference` `getDocumentRoot_Converter()`
`EReference` `getDocumentRoot_ConverterClass()`
`EReference` `getDocumentRoot_ConverterForClass()`
`EReference` `getDocumentRoot_ConverterId()`
`EReference` `getDocumentRoot_DefaultLocale()`
`EReference` `getDocumentRoot_DefaultRenderKitId()`
`EReference` `getDocumentRoot_DefaultValidators()`
`EReference` `getDocumentRoot_DefaultValue()`
`EReference` `getDocumentRoot_Description()`
`EReference` `getDocumentRoot_DisplayName()`
`EReference` `getDocumentRoot_ExceptionHandlerFactory()`
`EReference` `getDocumentRoot_ExternalContextFactory()`
`EReference` `getDocumentRoot_FacesConfig()`
`EReference` `getDocumentRoot_FacesContextFactory()`
`EReference` `getDocumentRoot_Facet()`
`EReference` `getDocumentRoot_FacetExtension()`
`EReference` `getDocumentRoot_FacetName()`
`EReference` `getDocumentRoot_Factory()`
`EReference` `getDocumentRoot_FromAction()`
`EReference` `getDocumentRoot_FromOutcome()`
`EReference` `getDocumentRoot_FromViewId()`
`EReference` `getDocumentRoot_Icon()`
`EReference` `getDocumentRoot_If()`
`EReference` `getDocumentRoot_Key()`
`EReference` `getDocumentRoot_KeyClass()`
`EReference` `getDocumentRoot_LargeIcon()`
`EReference` `getDocumentRoot_Lifecycle()`
`EReference` `getDocumentRoot_LifecycleFactory()`
`EReference` `getDocumentRoot_ListEntries()`
`EReference` `getDocumentRoot_LocaleConfig()`
`EReference` `getDocumentRoot_ManagedBean()`
`EReference` `getDocumentRoot_ManagedBeanClass()`
`EReference` `getDocumentRoot_ManagedBeanName()`
`EReference` `getDocumentRoot_ManagedBeanScope()`
`EReference` `getDocumentRoot_ManagedProperty()`
`EReference` `getDocumentRoot_MapEntries()`
`EReference` `getDocumentRoot_MapEntry()`
`EReference` `getDocumentRoot_MessageBundle()`
`EAttribute` `getDocumentRoot_Mixed()`
`EReference` `getDocumentRoot_Name()`
`EReference` `getDocumentRoot_NavigationCase()`
`EReference` `getDocumentRoot_NavigationHandler()`
`EReference` `getDocumentRoot_NavigationRule()`
`EReference` `getDocumentRoot_NullValue()`
`EReference` `getDocumentRoot_Ordering()`
`EReference` `getDocumentRoot_OrderingOrdering()`
`EReference` `getDocumentRoot_Others()`
`EReference` `getDocumentRoot_PartialViewContextFactory()`
`EReference` `getDocumentRoot_PhaseListener()`
`EReference` `getDocumentRoot_Property()`
`EReference` `getDocumentRoot_PropertyClass()`
`EReference` `getDocumentRoot_PropertyExtension()`
`EReference` `getDocumentRoot_PropertyName()`
`EReference` `getDocumentRoot_PropertyResolver()`
`EReference` `getDocumentRoot_Redirect()`
`EReference` `getDocumentRoot_RedirectViewParam()`
`EReference` `getDocumentRoot_ReferencedBean()`
`EReference` `getDocumentRoot_ReferencedBeanClass()`
`EReference` `getDocumentRoot_ReferencedBeanName()`
`EReference` `getDocumentRoot_Renderer()`
`EReference` `getDocumentRoot_RendererClass()`
`EReference` `getDocumentRoot_RendererExtension()`
`EReference` `getDocumentRoot_RendererType()`
`EReference` `getDocumentRoot_RenderKit()`
`EReference` `getDocumentRoot_RenderKitClass()`
`EReference` `getDocumentRoot_RenderKitFactory()`
`EReference` `getDocumentRoot_RenderKitId()`
`EReference` `getDocumentRoot_ResourceHandler()`
`EReference` `getDocumentRoot_SmallIcon()`
`EReference` `getDocumentRoot_SourceClass()`
`EReference` `getDocumentRoot_StateManager()`
`EReference` `getDocumentRoot_SuggestedValue()`
`EReference` `getDocumentRoot_SupportedLocale()`
`EReference` `getDocumentRoot_SystemEventClass()`
`EReference` `getDocumentRoot_SystemEventListener()`
`EReference` `getDocumentRoot_SystemEventListenerClass()`
`EReference` `getDocumentRoot_TagHandlerDelegateFactory()`
`EReference` `getDocumentRoot_ToViewId()`
`EReference` `getDocumentRoot_Validator()`
`EReference` `getDocumentRoot_ValidatorClass()`
`EReference` `getDocumentRoot_ValidatorId()`
`EReference` `getDocumentRoot_Value()`
`EReference` `getDocumentRoot_ValueClass()`
`EReference` `getDocumentRoot_VariableResolver()`
`EReference` `getDocumentRoot_ViewDeclarationLanguageFactory()`
`EReference` `getDocumentRoot_ViewHandler()`
`EReference` `getDocumentRoot_VisitContextFactory()`
`EReference` `getDocumentRoot_XMLNSPrefixMap()`
`EReference` `getDocumentRoot_XSISchemaLocation()`
`EClass` `getDocumentRoot()`
`EAttribute` `getDynamicAttribute_Name()`
`EAttribute` `getDynamicAttribute_Value()`
`EClass` `getDynamicAttribute()`
`EReference` `getDynamicElement_Attributes()`
`EReference` `getDynamicElement_ChildNodes()`
`EAttribute` `getDynamicElement_Name()`
`EAttribute` `getDynamicElement_TextContent()`
`EClass` `getDynamicElement()`
`EAttribute` `getELResolverType_Id()`
`EAttribute` `getELResolverType_TextContent()`
`EClass` `getELResolverType()`
`EAttribute` `getExceptionHandlerFactoryType_Id()`
`EAttribute` `getExceptionHandlerFactoryType_TextContent()`
`EClass` `getExceptionHandlerFactoryType()`
`EReference` `getExtensionType_ChildNodes()`
`EAttribute` `getExtensionType_Id()`
`EAttribute` `getExtensionType_TextContent()`
`EClass` `getExtensionType()`
`EAttribute` `getExternalContextFactoryType_Id()`
`EAttribute` `getExternalContextFactoryType_TextContent()`
`EClass` `getExternalContextFactoryType()`
`EClass` `getFacesConfigExtensionType()`
`FacesConfigFactory` `getFacesConfigFactory()`
`EReference` `getFacesConfigType_AbsoluteOrdering()`
`EReference` `getFacesConfigType_Application()`
`EReference` `getFacesConfigType_Behavior()`
`EReference` `getFacesConfigType_Component()`
`EReference` `getFacesConfigType_Converter()`
`EReference` `getFacesConfigType_FacesConfigExtension()`
`EReference` `getFacesConfigType_Factory()`
`EAttribute` `getFacesConfigType_Id()`
`EReference` `getFacesConfigType_Lifecycle()`
`EReference` `getFacesConfigType_ManagedBean()`
`EAttribute` `getFacesConfigType_MetadataComplete()`
`EReference` `getFacesConfigType_Name()`
`EReference` `getFacesConfigType_NavigationRule()`
`EReference` `getFacesConfigType_Ordering()`
`EReference` `getFacesConfigType_ReferencedBean()`
`EReference` `getFacesConfigType_RenderKit()`
`EReference` `getFacesConfigType_Validator()`
`EAttribute` `getFacesConfigType_Xmlns()`
`EClass` `getFacesConfigType()`
`EAttribute` `getFacesContextFactoryType_Id()`
`EAttribute` `getFacesContextFactoryType_TextContent()`
`EClass` `getFacesContextFactoryType()`
`EClass` `getFacetExtensionType()`
`EAttribute` `getFacetNameType_Id()`
`EAttribute` `getFacetNameType_TextContent()`
`EClass` `getFacetNameType()`
`EReference` `getFacetType_Description()`
`EReference` `getFacetType_DisplayName()`
`EReference` `getFacetType_FacetExtension()`
`EReference` `getFacetType_FacetName()`
`EReference` `getFacetType_Icon()`
`EAttribute` `getFacetType_Id()`
`EClass` `getFacetType()`
`EClass` `getFactoryExtensionType()`
`EReference` `getFactoryType_ApplicationFactory()`
`EReference` `getFactoryType_ExceptionHandlerFactory()`
`EReference` `getFactoryType_ExternalContextFactory()`
`EReference` `getFactoryType_FacesContextFactory()`
`EReference` `getFactoryType_FactoryExtension()`
`EAttribute` `getFactoryType_Id()`
`EReference` `getFactoryType_LifecycleFactory()`
`EReference` `getFactoryType_PartialViewContextFactory()`
`EReference` `getFactoryType_RenderKitFactory()`
`EReference` `getFactoryType_TagHandlerDelegateFactory()`
`EReference` `getFactoryType_ViewDeclarationLanguageFactory()`
`EReference` `getFactoryType_VisitContextFactory()`
`EClass` `getFactoryType()`
`EAttribute` `getFromActionType_Id()`
`EAttribute` `getFromActionType_TextContent()`
`EClass` `getFromActionType()`
`EAttribute` `getFromOutcomeType_Id()`
`EAttribute` `getFromOutcomeType_TextContent()`
`EClass` `getFromOutcomeType()`
`EAttribute` `getFromViewIdType_Id()`
`EAttribute` `getFromViewIdType_TextContent()`
`EClass` `getFromViewIdType()`
`EAttribute` `getIconType_Id()`
`EAttribute` `getIconType_Lang()`
`EReference` `getIconType_LargeIcon()`
`EReference` `getIconType_SmallIcon()`
`EClass` `getIconType()`
`EAttribute` `getIfType_Id()`
`EAttribute` `getIfType_TextContent()`
`EClass` `getIfType()`
`EAttribute` `getKeyClassType_Id()`
`EAttribute` `getKeyClassType_TextContent()`
`EClass` `getKeyClassType()`
`EAttribute` `getKeyType_Id()`
`EAttribute` `getKeyType_TextContent()`
`EClass` `getKeyType()`
`EAttribute` `getLargeIconType_Id()`
`EAttribute` `getLargeIconType_TextContent()`
`EClass` `getLargeIconType()`
`EClass` `getLifecycleExtensionType()`
`EAttribute` `getLifecycleFactoryType_Id()`
`EAttribute` `getLifecycleFactoryType_TextContent()`
`EClass` `getLifecycleFactoryType()`
`EAttribute` `getLifecycleType_Id()`
`EReference` `getLifecycleType_LifecycleExtension()`
`EReference` `getLifecycleType_PhaseListener()`
`EClass` `getLifecycleType()`
`EAttribute` `getListEntriesType_Id()`
`EReference` `getListEntriesType_NullValue()`
`EReference` `getListEntriesType_Value()`
`EReference` `getListEntriesType_ValueClass()`
`EClass` `getListEntriesType()`
`EReference` `getLocaleConfigType_DefaultLocale()`
`EAttribute` `getLocaleConfigType_Id()`
`EReference` `getLocaleConfigType_SupportedLocale()`
`EClass` `getLocaleConfigType()`
`EAttribute` `getManagedBeanClassType_Id()`
`EAttribute` `getManagedBeanClassType_TextContent()`
`EClass` `getManagedBeanClassType()`
`EClass` `getManagedBeanExtensionType()`
`EAttribute` `getManagedBeanNameType_Id()`
`EAttribute` `getManagedBeanNameType_TextContent()`
`EClass` `getManagedBeanNameType()`
`EAttribute` `getManagedBeanScopeType_Id()`
`EAttribute` `getManagedBeanScopeType_TextContent()`
`EClass` `getManagedBeanScopeType()`
`EReference` `getManagedBeanType_Description()`
`EReference` `getManagedBeanType_DisplayName()`
`EAttribute` `getManagedBeanType_Eager()`
`EReference` `getManagedBeanType_Icon()`
`EAttribute` `getManagedBeanType_Id()`
`EReference` `getManagedBeanType_ListEntries()`
`EReference` `getManagedBeanType_ManagedBeanClass()`
`EReference` `getManagedBeanType_ManagedBeanExtension()`
`EReference` `getManagedBeanType_ManagedBeanName()`
`EReference` `getManagedBeanType_ManagedBeanScope()`
`EReference` `getManagedBeanType_ManagedProperty()`
`EReference` `getManagedBeanType_MapEntries()`
`EClass` `getManagedBeanType()`
`EReference` `getManagedPropertyType_Description()`
`EReference` `getManagedPropertyType_DisplayName()`
`EReference` `getManagedPropertyType_Icon()`
`EAttribute` `getManagedPropertyType_Id()`
`EReference` `getManagedPropertyType_ListEntries()`
`EReference` `getManagedPropertyType_MapEntries()`
`EReference` `getManagedPropertyType_NullValue()`
`EReference` `getManagedPropertyType_PropertyClass()`
`EReference` `getManagedPropertyType_PropertyName()`
`EReference` `getManagedPropertyType_Value()`
`EClass` `getManagedPropertyType()`
`EAttribute` `getMapEntriesType_Id()`
`EReference` `getMapEntriesType_KeyClass()`
`EReference` `getMapEntriesType_MapEntry()`
`EReference` `getMapEntriesType_ValueClass()`
`EClass` `getMapEntriesType()`
`EAttribute` `getMapEntryType_Id()`
`EReference` `getMapEntryType_Key()`
`EReference` `getMapEntryType_NullValue()`
`EReference` `getMapEntryType_Value()`
`EClass` `getMapEntryType()`
`EAttribute` `getMessageBundleType_Id()`
`EAttribute` `getMessageBundleType_TextContent()`
`EClass` `getMessageBundleType()`
`EAttribute` `getNameType_Id()`
`EAttribute` `getNameType_TextContent()`
`EClass` `getNameType()`
`EReference` `getNavigationCaseType_Description()`
`EReference` `getNavigationCaseType_DisplayName()`
`EReference` `getNavigationCaseType_FromAction()`
`EReference` `getNavigationCaseType_FromOutcome()`
`EReference` `getNavigationCaseType_Icon()`
`EAttribute` `getNavigationCaseType_Id()`
`EReference` `getNavigationCaseType_If()`
`EReference` `getNavigationCaseType_Redirect()`
`EReference` `getNavigationCaseType_ToViewId()`
`EClass` `getNavigationCaseType()`
`EAttribute` `getNavigationHandlerType_Id()`
`EAttribute` `getNavigationHandlerType_TextContent()`
`EClass` `getNavigationHandlerType()`
`EClass` `getNavigationRuleExtensionType()`
`EReference` `getNavigationRuleType_Description()`
`EReference` `getNavigationRuleType_DisplayName()`
`EReference` `getNavigationRuleType_FromViewId()`
`EReference` `getNavigationRuleType_Icon()`
`EAttribute` `getNavigationRuleType_Id()`
`EReference` `getNavigationRuleType_NavigationCase()`
`EReference` `getNavigationRuleType_NavigationRuleExtension()`
`EClass` `getNavigationRuleType()`
`EAttribute` `getNullValueType_Id()`
`EClass` `getNullValueType()`
`EReference` `getOrderingOrderingType_Name()`
`EReference` `getOrderingOrderingType_Others()`
`EClass` `getOrderingOrderingType()`
`EAttribute` `getOrderingOthersType_Id()`
`EClass` `getOrderingOthersType()`
`EReference` `getOrderingType_After()`
`EReference` `getOrderingType_Before()`
`EClass` `getOrderingType()`
`EAttribute` `getPartialViewContextFactoryType_Id()`
`EAttribute` `getPartialViewContextFactoryType_TextContent()`
`EClass` `getPartialViewContextFactoryType()`
`EAttribute` `getPhaseListenerType_Id()`
`EAttribute` `getPhaseListenerType_TextContent()`
`EClass` `getPhaseListenerType()`
`EAttribute` `getPropertyClassType_Id()`
`EAttribute` `getPropertyClassType_TextContent()`
`EClass` `getPropertyClassType()`
`EClass` `getPropertyExtensionType()`
`EAttribute` `getPropertyNameType_Id()`
`EAttribute` `getPropertyNameType_TextContent()`
`EClass` `getPropertyNameType()`
`EAttribute` `getPropertyResolverType_Id()`
`EAttribute` `getPropertyResolverType_TextContent()`
`EClass` `getPropertyResolverType()`
`EReference` `getPropertyType_DefaultValue()`
`EReference` `getPropertyType_Description()`
`EReference` `getPropertyType_DisplayName()`
`EReference` `getPropertyType_Icon()`
`EAttribute` `getPropertyType_Id()`
`EReference` `getPropertyType_PropertyClass()`
`EReference` `getPropertyType_PropertyExtension()`
`EReference` `getPropertyType_PropertyName()`
`EReference` `getPropertyType_SuggestedValue()`
`EClass` `getPropertyType()`
`EAttribute` `getRedirectType_Id()`
`EAttribute` `getRedirectType_IncludeViewParams()`
`EReference` `getRedirectType_ViewParam()`
`EClass` `getRedirectType()`
`EAttribute` `getRedirectViewParamType_Id()`
`EReference` `getRedirectViewParamType_Name()`
`EReference` `getRedirectViewParamType_Value()`
`EClass` `getRedirectViewParamType()`
`EAttribute` `getReferencedBeanClassType_Id()`
`EAttribute` `getReferencedBeanClassType_TextContent()`
`EClass` `getReferencedBeanClassType()`
`EAttribute` `getReferencedBeanNameType_Id()`
`EAttribute` `getReferencedBeanNameType_TextContent()`
`EClass` `getReferencedBeanNameType()`
`EReference` `getReferencedBeanType_Description()`
`EReference` `getReferencedBeanType_DisplayName()`
`EReference` `getReferencedBeanType_Icon()`
`EAttribute` `getReferencedBeanType_Id()`
`EReference` `getReferencedBeanType_ReferencedBeanClass()`
`EReference` `getReferencedBeanType_ReferencedBeanName()`
`EClass` `getReferencedBeanType()`
`EAttribute` `getRendererClassType_Id()`
`EAttribute` `getRendererClassType_TextContent()`
`EClass` `getRendererClassType()`
`EClass` `getRendererExtensionType()`
`EReference` `getRendererType_Attribute()`
`EReference` `getRendererType_ComponentFamily()`
`EReference` `getRendererType_Description()`
`EReference` `getRendererType_DisplayName()`
`EReference` `getRendererType_Facet()`
`EReference` `getRendererType_Icon()`
`EAttribute` `getRendererType_Id()`
`EReference` `getRendererType_RendererClass()`
`EReference` `getRendererType_RendererExtension()`
`EReference` `getRendererType_RendererType()`
`EClass` `getRendererType()`
`EAttribute` `getRendererTypeType_Id()`
`EAttribute` `getRendererTypeType_TextContent()`
`EClass` `getRendererTypeType()`
`EAttribute` `getRenderKitClassType_Id()`
`EAttribute` `getRenderKitClassType_TextContent()`
`EClass` `getRenderKitClassType()`
`EClass` `getRenderKitExtensionType()`
`EAttribute` `getRenderKitFactoryType_Id()`
`EAttribute` `getRenderKitFactoryType_TextContent()`
`EClass` `getRenderKitFactoryType()`
`EAttribute` `getRenderKitIdType_Id()`
`EAttribute` `getRenderKitIdType_TextContent()`
`EClass` `getRenderKitIdType()`
`EReference` `getRenderKitType_ClientBehaviorRenderer()`
`EReference` `getRenderKitType_Description()`
`EReference` `getRenderKitType_DisplayName()`
`EReference` `getRenderKitType_Icon()`
`EAttribute` `getRenderKitType_Id()`
`EReference` `getRenderKitType_Renderer()`
`EReference` `getRenderKitType_RenderKitClass()`
`EReference` `getRenderKitType_RenderKitExtension()`
`EReference` `getRenderKitType_RenderKitId()`
`EClass` `getRenderKitType()`
`EReference` `getResourceBundleType_BaseName()`
`EReference` `getResourceBundleType_Description()`
`EReference` `getResourceBundleType_DisplayName()`
`EReference` `getResourceBundleType_Icon()`
`EAttribute` `getResourceBundleType_Id()`
`EReference` `getResourceBundleType_Var()`
`EClass` `getResourceBundleType()`
`EAttribute` `getResourceHandlerType_Id()`
`EAttribute` `getResourceHandlerType_TextContent()`
`EClass` `getResourceHandlerType()`
`EAttribute` `getSmallIconType_Id()`
`EAttribute` `getSmallIconType_TextContent()`
`EClass` `getSmallIconType()`
`EAttribute` `getSourceClassType_Id()`
`EAttribute` `getSourceClassType_TextContent()`
`EClass` `getSourceClassType()`
`EAttribute` `getStateManagerType_Id()`
`EAttribute` `getStateManagerType_TextContent()`
`EClass` `getStateManagerType()`
`EAttribute` `getSuggestedValueType_Id()`
`EAttribute` `getSuggestedValueType_TextContent()`
`EClass` `getSuggestedValueType()`
`EAttribute` `getSupportedLocaleType_Id()`
`EAttribute` `getSupportedLocaleType_TextContent()`
`EClass` `getSupportedLocaleType()`
`EAttribute` `getSystemEventClassType_Id()`
`EAttribute` `getSystemEventClassType_TextContent()`
`EClass` `getSystemEventClassType()`
`EAttribute` `getSystemEventListenerClassType_Id()`
`EAttribute` `getSystemEventListenerClassType_TextContent()`
`EClass` `getSystemEventListenerClassType()`
`EAttribute` `getSystemEventListenerType_Id()`
`EReference` `getSystemEventListenerType_SourceClass()`
`EReference` `getSystemEventListenerType_SystemEventClass()`
`EReference` `getSystemEventListenerType_SystemEventListenerClass()`
`EClass` `getSystemEventListenerType()`
`EAttribute` `getTagHandlerDelegateFactoryType_Id()`
`EAttribute` `getTagHandlerDelegateFactoryType_TextContent()`
`EClass` `getTagHandlerDelegateFactoryType()`
`EAttribute` `getToViewIdType_Id()`
`EAttribute` `getToViewIdType_TextContent()`
`EClass` `getToViewIdType()`
`EAttribute` `getValidatorClassType_Id()`
`EAttribute` `getValidatorClassType_TextContent()`
`EClass` `getValidatorClassType()`
`EClass` `getValidatorExtensionType()`
`EAttribute` `getValidatorIdType_Id()`
`EAttribute` `getValidatorIdType_TextContent()`
`EClass` `getValidatorIdType()`
`EReference` `getValidatorType_Attribute()`
`EReference` `getValidatorType_Description()`
`EReference` `getValidatorType_DisplayName()`
`EReference` `getValidatorType_Icon()`
`EAttribute` `getValidatorType_Id()`
`EReference` `getValidatorType_Property()`
`EReference` `getValidatorType_ValidatorClass()`
`EReference` `getValidatorType_ValidatorExtension()`
`EReference` `getValidatorType_ValidatorId()`
`EClass` `getValidatorType()`
`EAttribute` `getValueClassType_Id()`
`EAttribute` `getValueClassType_TextContent()`
`EClass` `getValueClassType()`
`EAttribute` `getValueType_Id()`
`EAttribute` `getValueType_TextContent()`
`EClass` `getValueType()`
`EAttribute` `getVariableResolverType_Id()`
`EAttribute` `getVariableResolverType_TextContent()`
`EClass` `getVariableResolverType()`
`EAttribute` `getVarType_Id()`
`EAttribute` `getVarType_TextContent()`
`EClass` `getVarType()`
`EAttribute` `getViewDeclarationLanguageFactoryType_Id()`
`EAttribute` `getViewDeclarationLanguageFactoryType_TextContent()`
`EClass` `getViewDeclarationLanguageFactoryType()`
`EAttribute` `getViewHandlerType_Id()`
`EAttribute` `getViewHandlerType_TextContent()`
`EClass` `getViewHandlerType()`
`EAttribute` `getVisitContextFactoryType_Id()`
`EAttribute` `getVisitContextFactoryType_TextContent()`
`EClass` `getVisitContextFactoryType()`
`static FacesConfigPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### init

    public static FacesConfigPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `FacesConfigPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  Returns:
    the package
  See Also:
    `FacesConfigPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getAbsoluteOrderingType

    public EClass getAbsoluteOrderingType()

  Specified by:
    `getAbsoluteOrderingType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Absolute Ordering Type'.
  See Also:
    `AbsoluteOrderingType`

### getAbsoluteOrderingType_Name

    public EReference getAbsoluteOrderingType_Name()

  Specified by:
    `getAbsoluteOrderingType_Name` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Name'.
  See Also:
    `AbsoluteOrderingType.getName()`, `FacesConfigPackage.getAbsoluteOrderingType()`

### getAbsoluteOrderingType_Others

    public EReference getAbsoluteOrderingType_Others()

  Specified by:
    `getAbsoluteOrderingType_Others` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Others'.
  See Also:
    `AbsoluteOrderingType.getOthers()`, `FacesConfigPackage.getAbsoluteOrderingType()`

### getActionListenerType

    public EClass getActionListenerType()

  Specified by:
    `getActionListenerType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Action Listener Type'.
  See Also:
    `ActionListenerType`

### getActionListenerType_TextContent

    public EAttribute getActionListenerType_TextContent()

  Specified by:
    `getActionListenerType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `ActionListenerType.getTextContent()`, `FacesConfigPackage.getActionListenerType()`

### getActionListenerType_Id

    public EAttribute getActionListenerType_Id()

  Specified by:
    `getActionListenerType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ActionListenerType.getId()`, `FacesConfigPackage.getActionListenerType()`

### getApplicationFactoryType

    public EClass getApplicationFactoryType()

  Specified by:
    `getApplicationFactoryType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Application Factory Type'.
  See Also:
    `ApplicationFactoryType`

### getApplicationFactoryType_TextContent

    public EAttribute getApplicationFactoryType_TextContent()

  Specified by:
    `getApplicationFactoryType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `ApplicationFactoryType.getTextContent()`, `FacesConfigPackage.getApplicationFactoryType()`

### getApplicationFactoryType_Id

    public EAttribute getApplicationFactoryType_Id()

  Specified by:
    `getApplicationFactoryType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ApplicationFactoryType.getId()`, `FacesConfigPackage.getApplicationFactoryType()`

### getApplicationType

    public EClass getApplicationType()

  Specified by:
    `getApplicationType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Application Type'.
  See Also:
    `ApplicationType`

### getApplicationType_ActionListener

    public EReference getApplicationType_ActionListener()

  Specified by:
    `getApplicationType_ActionListener` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Action Listener'.
  See Also:
    `ApplicationType.getActionListener()`, `FacesConfigPackage.getApplicationType()`

### getApplicationType_DefaultRenderKitId

    public EReference getApplicationType_DefaultRenderKitId()

  Specified by:
    `getApplicationType_DefaultRenderKitId` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Default Render Kit Id'.
  See Also:
    `ApplicationType.getDefaultRenderKitId()`, `FacesConfigPackage.getApplicationType()`

### getApplicationType_MessageBundle

    public EReference getApplicationType_MessageBundle()

  Specified by:
    `getApplicationType_MessageBundle` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Message Bundle'.
  See Also:
    `ApplicationType.getMessageBundle()`, `FacesConfigPackage.getApplicationType()`

### getApplicationType_NavigationHandler

    public EReference getApplicationType_NavigationHandler()

  Specified by:
    `getApplicationType_NavigationHandler` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Navigation Handler'.
  See Also:
    `ApplicationType.getNavigationHandler()`, `FacesConfigPackage.getApplicationType()`

### getApplicationType_ViewHandler

    public EReference getApplicationType_ViewHandler()

  Specified by:
    `getApplicationType_ViewHandler` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'View Handler'.
  See Also:
    `ApplicationType.getViewHandler()`, `FacesConfigPackage.getApplicationType()`

### getApplicationType_StateManager

    public EReference getApplicationType_StateManager()

  Specified by:
    `getApplicationType_StateManager` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'State Manager'.
  See Also:
    `ApplicationType.getStateManager()`, `FacesConfigPackage.getApplicationType()`

### getApplicationType_PropertyResolver

    public EReference getApplicationType_PropertyResolver()

  Specified by:
    `getApplicationType_PropertyResolver` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Property Resolver'.
  See Also:
    `ApplicationType.getPropertyResolver()`, `FacesConfigPackage.getApplicationType()`

### getApplicationType_VariableResolver

    public EReference getApplicationType_VariableResolver()

  Specified by:
    `getApplicationType_VariableResolver` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Variable Resolver'.
  See Also:
    `ApplicationType.getVariableResolver()`, `FacesConfigPackage.getApplicationType()`

### getApplicationType_ResourceHandler

    public EReference getApplicationType_ResourceHandler()

  Specified by:
    `getApplicationType_ResourceHandler` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Resource Handler'.
  See Also:
    `ApplicationType.getResourceHandler()`, `FacesConfigPackage.getApplicationType()`

### getApplicationType_SystemEventListener

    public EReference getApplicationType_SystemEventListener()

  Specified by:
    `getApplicationType_SystemEventListener` in interface `FacesConfigPackage`
  Returns:
    the meta object for the reference list 'System Event Listener'.
  See Also:
    `ApplicationType.getSystemEventListener()`, `FacesConfigPackage.getApplicationType()`

### getApplicationType_LocaleConfig

    public EReference getApplicationType_LocaleConfig()

  Specified by:
    `getApplicationType_LocaleConfig` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Locale Config'.
  See Also:
    `ApplicationType.getLocaleConfig()`, `FacesConfigPackage.getApplicationType()`

### getApplicationType_Id

    public EAttribute getApplicationType_Id()

  Specified by:
    `getApplicationType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ApplicationType.getId()`, `FacesConfigPackage.getApplicationType()`

### getApplicationType_ELResolver

    public EReference getApplicationType_ELResolver()

  Specified by:
    `getApplicationType_ELResolver` in interface `FacesConfigPackage`
  Returns:
    the meta object for the reference list 'EL Resolver'.
  See Also:
    `ApplicationType.getELResolver()`, `FacesConfigPackage.getApplicationType()`

### getApplicationType_ResourceBundle

    public EReference getApplicationType_ResourceBundle()

  Specified by:
    `getApplicationType_ResourceBundle` in interface `FacesConfigPackage`
  Returns:
    the meta object for the reference list 'Resource Bundle'.
  See Also:
    `ApplicationType.getResourceBundle()`, `FacesConfigPackage.getApplicationType()`

### getApplicationType_ApplicationExtension

    public EReference getApplicationType_ApplicationExtension()

  Specified by:
    `getApplicationType_ApplicationExtension` in interface `FacesConfigPackage`
  Returns:
    the meta object for the reference list 'Application Extension'.
  See Also:
    `ApplicationType.getApplicationExtension()`, `FacesConfigPackage.getApplicationType()`

### getApplicationType_DefaultValidators

    public EReference getApplicationType_DefaultValidators()

  Specified by:
    `getApplicationType_DefaultValidators` in interface `FacesConfigPackage`
  Returns:
    the meta object for the reference list 'Default Validators'.
  See Also:
    `ApplicationType.getDefaultValidators()`, `FacesConfigPackage.getApplicationType()`

### getAttributeClassType

    public EClass getAttributeClassType()

  Specified by:
    `getAttributeClassType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Attribute Class Type'.
  See Also:
    `AttributeClassType`

### getAttributeClassType_TextContent

    public EAttribute getAttributeClassType_TextContent()

  Specified by:
    `getAttributeClassType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `AttributeClassType.getTextContent()`, `FacesConfigPackage.getAttributeClassType()`

### getAttributeClassType_Id

    public EAttribute getAttributeClassType_Id()

  Specified by:
    `getAttributeClassType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `AttributeClassType.getId()`, `FacesConfigPackage.getAttributeClassType()`

### getAttributeExtensionType

    public EClass getAttributeExtensionType()

  Specified by:
    `getAttributeExtensionType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Attribute Extension Type'.
  See Also:
    `AttributeExtensionType`

### getAttributeNameType

    public EClass getAttributeNameType()

  Specified by:
    `getAttributeNameType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Attribute Name Type'.
  See Also:
    `AttributeNameType`

### getAttributeNameType_TextContent

    public EAttribute getAttributeNameType_TextContent()

  Specified by:
    `getAttributeNameType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `AttributeNameType.getTextContent()`, `FacesConfigPackage.getAttributeNameType()`

### getAttributeNameType_Id

    public EAttribute getAttributeNameType_Id()

  Specified by:
    `getAttributeNameType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `AttributeNameType.getId()`, `FacesConfigPackage.getAttributeNameType()`

### getAttributeType

    public EClass getAttributeType()

  Specified by:
    `getAttributeType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Attribute Type'.
  See Also:
    `AttributeType`

### getAttributeType_Description

    public EReference getAttributeType_Description()

  Specified by:
    `getAttributeType_Description` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Description'.
  See Also:
    `AttributeType.getDescription()`, `FacesConfigPackage.getAttributeType()`

### getAttributeType_DisplayName

    public EReference getAttributeType_DisplayName()

  Specified by:
    `getAttributeType_DisplayName` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Display Name'.
  See Also:
    `AttributeType.getDisplayName()`, `FacesConfigPackage.getAttributeType()`

### getAttributeType_Icon

    public EReference getAttributeType_Icon()

  Specified by:
    `getAttributeType_Icon` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Icon'.
  See Also:
    `AttributeType.getIcon()`, `FacesConfigPackage.getAttributeType()`

### getAttributeType_AttributeName

    public EReference getAttributeType_AttributeName()

  Specified by:
    `getAttributeType_AttributeName` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Attribute Name'.
  See Also:
    `AttributeType.getAttributeName()`, `FacesConfigPackage.getAttributeType()`

### getAttributeType_AttributeClass

    public EReference getAttributeType_AttributeClass()

  Specified by:
    `getAttributeType_AttributeClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Attribute Class'.
  See Also:
    `AttributeType.getAttributeClass()`, `FacesConfigPackage.getAttributeType()`

### getAttributeType_DefaultValue

    public EReference getAttributeType_DefaultValue()

  Specified by:
    `getAttributeType_DefaultValue` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Default Value'.
  See Also:
    `AttributeType.getDefaultValue()`, `FacesConfigPackage.getAttributeType()`

### getAttributeType_SuggestedValue

    public EReference getAttributeType_SuggestedValue()

  Specified by:
    `getAttributeType_SuggestedValue` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Suggested Value'.
  See Also:
    `AttributeType.getSuggestedValue()`, `FacesConfigPackage.getAttributeType()`

### getAttributeType_AttributeExtension

    public EReference getAttributeType_AttributeExtension()

  Specified by:
    `getAttributeType_AttributeExtension` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Attribute Extension'.
  See Also:
    `AttributeType.getAttributeExtension()`, `FacesConfigPackage.getAttributeType()`

### getAttributeType_Id

    public EAttribute getAttributeType_Id()

  Specified by:
    `getAttributeType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `AttributeType.getId()`, `FacesConfigPackage.getAttributeType()`

### getBehaviorClassType

    public EClass getBehaviorClassType()

  Specified by:
    `getBehaviorClassType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Behavior Class Type'.
  See Also:
    `BehaviorClassType`

### getBehaviorClassType_TextContent

    public EAttribute getBehaviorClassType_TextContent()

  Specified by:
    `getBehaviorClassType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `BehaviorClassType.getTextContent()`, `FacesConfigPackage.getBehaviorClassType()`

### getBehaviorClassType_Id

    public EAttribute getBehaviorClassType_Id()

  Specified by:
    `getBehaviorClassType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `BehaviorClassType.getId()`, `FacesConfigPackage.getBehaviorClassType()`

### getBehaviorIdType

    public EClass getBehaviorIdType()

  Specified by:
    `getBehaviorIdType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Behavior Id Type'.
  See Also:
    `BehaviorIdType`

### getBehaviorIdType_TextContent

    public EAttribute getBehaviorIdType_TextContent()

  Specified by:
    `getBehaviorIdType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `BehaviorIdType.getTextContent()`, `FacesConfigPackage.getBehaviorIdType()`

### getBehaviorIdType_Id

    public EAttribute getBehaviorIdType_Id()

  Specified by:
    `getBehaviorIdType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `BehaviorIdType.getId()`, `FacesConfigPackage.getBehaviorIdType()`

### getBehaviorType

    public EClass getBehaviorType()

  Specified by:
    `getBehaviorType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Behavior Type'.
  See Also:
    `BehaviorType`

### getBehaviorType_Description

    public EReference getBehaviorType_Description()

  Specified by:
    `getBehaviorType_Description` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Description'.
  See Also:
    `BehaviorType.getDescription()`, `FacesConfigPackage.getBehaviorType()`

### getBehaviorType_DisplayName

    public EReference getBehaviorType_DisplayName()

  Specified by:
    `getBehaviorType_DisplayName` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Display Name'.
  See Also:
    `BehaviorType.getDisplayName()`, `FacesConfigPackage.getBehaviorType()`

### getBehaviorType_Icon

    public EReference getBehaviorType_Icon()

  Specified by:
    `getBehaviorType_Icon` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Icon'.
  See Also:
    `BehaviorType.getIcon()`, `FacesConfigPackage.getBehaviorType()`

### getBehaviorType_BehaviorId

    public EReference getBehaviorType_BehaviorId()

  Specified by:
    `getBehaviorType_BehaviorId` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Behavior Id'.
  See Also:
    `BehaviorType.getBehaviorId()`, `FacesConfigPackage.getBehaviorType()`

### getBehaviorType_BehaviorClass

    public EReference getBehaviorType_BehaviorClass()

  Specified by:
    `getBehaviorType_BehaviorClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Behavior Class'.
  See Also:
    `BehaviorType.getBehaviorClass()`, `FacesConfigPackage.getBehaviorType()`

### getBehaviorType_Attribute

    public EReference getBehaviorType_Attribute()

  Specified by:
    `getBehaviorType_Attribute` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Attribute'.
  See Also:
    `BehaviorType.getAttribute()`, `FacesConfigPackage.getBehaviorType()`

### getBehaviorType_Property

    public EReference getBehaviorType_Property()

  Specified by:
    `getBehaviorType_Property` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Property'.
  See Also:
    `BehaviorType.getProperty()`, `FacesConfigPackage.getBehaviorType()`

### getBehaviorType_BehaviorExtension

    public EReference getBehaviorType_BehaviorExtension()

  Specified by:
    `getBehaviorType_BehaviorExtension` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Behavior Extension'.
  See Also:
    `BehaviorType.getBehaviorExtension()`, `FacesConfigPackage.getBehaviorType()`

### getBehaviorExtensionType

    public EClass getBehaviorExtensionType()

  Specified by:
    `getBehaviorExtensionType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Behavior Extension Type'.
  See Also:
    `BehaviorExtensionType`

### getClientBehaviorRendererClassType

    public EClass getClientBehaviorRendererClassType()

  Specified by:
    `getClientBehaviorRendererClassType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Client Behavior Renderer Class Type'.
  See Also:
    `ClientBehaviorRendererClassType`

### getClientBehaviorRendererClassType_TextContent

    public EAttribute getClientBehaviorRendererClassType_TextContent()

  Specified by:
    `getClientBehaviorRendererClassType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `ClientBehaviorRendererClassType.getTextContent()`, `FacesConfigPackage.getClientBehaviorRendererClassType()`

### getClientBehaviorRendererClassType_Id

    public EAttribute getClientBehaviorRendererClassType_Id()

  Specified by:
    `getClientBehaviorRendererClassType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ClientBehaviorRendererClassType.getId()`, `FacesConfigPackage.getClientBehaviorRendererClassType()`

### getClientBehaviorRendererType

    public EClass getClientBehaviorRendererType()

  Specified by:
    `getClientBehaviorRendererType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Client Behavior Renderer Type'.
  See Also:
    `ClientBehaviorRendererType`

### getClientBehaviorRendererType_ClientBehaviorRendererType

    public EReference getClientBehaviorRendererType_ClientBehaviorRendererType()

  Specified by:
    `getClientBehaviorRendererType_ClientBehaviorRendererType` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Client Behavior Renderer Type'.
  See Also:
    `ClientBehaviorRendererType.getClientBehaviorRendererType()`, `FacesConfigPackage.getClientBehaviorRendererType()`

### getClientBehaviorRendererType_ClientBehaviorRendererClass

    public EReference getClientBehaviorRendererType_ClientBehaviorRendererClass()

  Specified by:
    `getClientBehaviorRendererType_ClientBehaviorRendererClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Client Behavior Renderer Class'.
  See Also:
    `ClientBehaviorRendererType.getClientBehaviorRendererClass()`, `FacesConfigPackage.getClientBehaviorRendererType()`

### getClientBehaviorRendererTypeType

    public EClass getClientBehaviorRendererTypeType()

  Specified by:
    `getClientBehaviorRendererTypeType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Client Behavior Renderer Type Type'.
  See Also:
    `ClientBehaviorRendererTypeType`

### getClientBehaviorRendererTypeType_TextContent

    public EAttribute getClientBehaviorRendererTypeType_TextContent()

  Specified by:
    `getClientBehaviorRendererTypeType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `ClientBehaviorRendererTypeType.getTextContent()`, `FacesConfigPackage.getClientBehaviorRendererTypeType()`

### getClientBehaviorRendererTypeType_Id

    public EAttribute getClientBehaviorRendererTypeType_Id()

  Specified by:
    `getClientBehaviorRendererTypeType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ClientBehaviorRendererTypeType.getId()`, `FacesConfigPackage.getClientBehaviorRendererTypeType()`

### getComponentClassType

    public EClass getComponentClassType()

  Specified by:
    `getComponentClassType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Component Class Type'.
  See Also:
    `ComponentClassType`

### getComponentClassType_TextContent

    public EAttribute getComponentClassType_TextContent()

  Specified by:
    `getComponentClassType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `ComponentClassType.getTextContent()`, `FacesConfigPackage.getComponentClassType()`

### getComponentClassType_Id

    public EAttribute getComponentClassType_Id()

  Specified by:
    `getComponentClassType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ComponentClassType.getId()`, `FacesConfigPackage.getComponentClassType()`

### getComponentExtensionType

    public EClass getComponentExtensionType()

  Specified by:
    `getComponentExtensionType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Component Extension Type'.
  See Also:
    `ComponentExtensionType`

### getComponentFamilyType

    public EClass getComponentFamilyType()

  Specified by:
    `getComponentFamilyType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Component Family Type'.
  See Also:
    `ComponentFamilyType`

### getComponentFamilyType_TextContent

    public EAttribute getComponentFamilyType_TextContent()

  Specified by:
    `getComponentFamilyType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `ComponentFamilyType.getTextContent()`, `FacesConfigPackage.getComponentFamilyType()`

### getComponentFamilyType_Id

    public EAttribute getComponentFamilyType_Id()

  Specified by:
    `getComponentFamilyType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ComponentFamilyType.getId()`, `FacesConfigPackage.getComponentFamilyType()`

### getComponentType

    public EClass getComponentType()

  Specified by:
    `getComponentType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Component Type'.
  See Also:
    `ComponentType`

### getComponentType_Description

    public EReference getComponentType_Description()

  Specified by:
    `getComponentType_Description` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Description'.
  See Also:
    `ComponentType.getDescription()`, `FacesConfigPackage.getComponentType()`

### getComponentType_DisplayName

    public EReference getComponentType_DisplayName()

  Specified by:
    `getComponentType_DisplayName` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Display Name'.
  See Also:
    `ComponentType.getDisplayName()`, `FacesConfigPackage.getComponentType()`

### getComponentType_Icon

    public EReference getComponentType_Icon()

  Specified by:
    `getComponentType_Icon` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Icon'.
  See Also:
    `ComponentType.getIcon()`, `FacesConfigPackage.getComponentType()`

### getComponentType_ComponentType

    public EReference getComponentType_ComponentType()

  Specified by:
    `getComponentType_ComponentType` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Component Type'.
  See Also:
    `ComponentType.getComponentType()`, `FacesConfigPackage.getComponentType()`

### getComponentType_ComponentClass

    public EReference getComponentType_ComponentClass()

  Specified by:
    `getComponentType_ComponentClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Component Class'.
  See Also:
    `ComponentType.getComponentClass()`, `FacesConfigPackage.getComponentType()`

### getComponentType_Facet

    public EReference getComponentType_Facet()

  Specified by:
    `getComponentType_Facet` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Facet'.
  See Also:
    `ComponentType.getFacet()`, `FacesConfigPackage.getComponentType()`

### getComponentType_Attribute

    public EReference getComponentType_Attribute()

  Specified by:
    `getComponentType_Attribute` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Attribute'.
  See Also:
    `ComponentType.getAttribute()`, `FacesConfigPackage.getComponentType()`

### getComponentType_Property

    public EReference getComponentType_Property()

  Specified by:
    `getComponentType_Property` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Property'.
  See Also:
    `ComponentType.getProperty()`, `FacesConfigPackage.getComponentType()`

### getComponentType_ComponentExtension

    public EReference getComponentType_ComponentExtension()

  Specified by:
    `getComponentType_ComponentExtension` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Component Extension'.
  See Also:
    `ComponentType.getComponentExtension()`, `FacesConfigPackage.getComponentType()`

### getComponentType_Id

    public EAttribute getComponentType_Id()

  Specified by:
    `getComponentType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ComponentType.getId()`, `FacesConfigPackage.getComponentType()`

### getComponentTypeType

    public EClass getComponentTypeType()

  Specified by:
    `getComponentTypeType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Component Type Type'.
  See Also:
    `ComponentTypeType`

### getComponentTypeType_TextContent

    public EAttribute getComponentTypeType_TextContent()

  Specified by:
    `getComponentTypeType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `ComponentTypeType.getTextContent()`, `FacesConfigPackage.getComponentTypeType()`

### getComponentTypeType_Id

    public EAttribute getComponentTypeType_Id()

  Specified by:
    `getComponentTypeType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ComponentTypeType.getId()`, `FacesConfigPackage.getComponentTypeType()`

### getConverterClassType

    public EClass getConverterClassType()

  Specified by:
    `getConverterClassType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Converter Class Type'.
  See Also:
    `ConverterClassType`

### getConverterClassType_TextContent

    public EAttribute getConverterClassType_TextContent()

  Specified by:
    `getConverterClassType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `ConverterClassType.getTextContent()`, `FacesConfigPackage.getConverterClassType()`

### getConverterClassType_Id

    public EAttribute getConverterClassType_Id()

  Specified by:
    `getConverterClassType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ConverterClassType.getId()`, `FacesConfigPackage.getConverterClassType()`

### getConverterForClassType

    public EClass getConverterForClassType()

  Specified by:
    `getConverterForClassType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Converter For Class Type'.
  See Also:
    `ConverterForClassType`

### getConverterForClassType_TextContent

    public EAttribute getConverterForClassType_TextContent()

  Specified by:
    `getConverterForClassType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `ConverterForClassType.getTextContent()`, `FacesConfigPackage.getConverterForClassType()`

### getConverterForClassType_Id

    public EAttribute getConverterForClassType_Id()

  Specified by:
    `getConverterForClassType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ConverterForClassType.getId()`, `FacesConfigPackage.getConverterForClassType()`

### getConverterIdType

    public EClass getConverterIdType()

  Specified by:
    `getConverterIdType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Converter Id Type'.
  See Also:
    `ConverterIdType`

### getConverterIdType_TextContent

    public EAttribute getConverterIdType_TextContent()

  Specified by:
    `getConverterIdType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `ConverterIdType.getTextContent()`, `FacesConfigPackage.getConverterIdType()`

### getConverterIdType_Id

    public EAttribute getConverterIdType_Id()

  Specified by:
    `getConverterIdType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ConverterIdType.getId()`, `FacesConfigPackage.getConverterIdType()`

### getConverterType

    public EClass getConverterType()

  Specified by:
    `getConverterType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Converter Type'.
  See Also:
    `ConverterType`

### getConverterType_Description

    public EReference getConverterType_Description()

  Specified by:
    `getConverterType_Description` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Description'.
  See Also:
    `ConverterType.getDescription()`, `FacesConfigPackage.getConverterType()`

### getConverterType_DisplayName

    public EReference getConverterType_DisplayName()

  Specified by:
    `getConverterType_DisplayName` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Display Name'.
  See Also:
    `ConverterType.getDisplayName()`, `FacesConfigPackage.getConverterType()`

### getConverterType_Icon

    public EReference getConverterType_Icon()

  Specified by:
    `getConverterType_Icon` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Icon'.
  See Also:
    `ConverterType.getIcon()`, `FacesConfigPackage.getConverterType()`

### getConverterType_ConverterId

    public EReference getConverterType_ConverterId()

  Specified by:
    `getConverterType_ConverterId` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Converter Id'.
  See Also:
    `ConverterType.getConverterId()`, `FacesConfigPackage.getConverterType()`

### getConverterType_ConverterForClass

    public EReference getConverterType_ConverterForClass()

  Specified by:
    `getConverterType_ConverterForClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Converter For Class'.
  See Also:
    `ConverterType.getConverterForClass()`, `FacesConfigPackage.getConverterType()`

### getConverterType_ConverterClass

    public EReference getConverterType_ConverterClass()

  Specified by:
    `getConverterType_ConverterClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Converter Class'.
  See Also:
    `ConverterType.getConverterClass()`, `FacesConfigPackage.getConverterType()`

### getConverterType_Attribute

    public EReference getConverterType_Attribute()

  Specified by:
    `getConverterType_Attribute` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Attribute'.
  See Also:
    `ConverterType.getAttribute()`, `FacesConfigPackage.getConverterType()`

### getConverterType_Property

    public EReference getConverterType_Property()

  Specified by:
    `getConverterType_Property` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Property'.
  See Also:
    `ConverterType.getProperty()`, `FacesConfigPackage.getConverterType()`

### getConverterType_ConverterExtension

    public EReference getConverterType_ConverterExtension()

  Specified by:
    `getConverterType_ConverterExtension` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Converter Extension'.
  See Also:
    `ConverterType.getConverterExtension()`, `FacesConfigPackage.getConverterType()`

### getConverterType_Id

    public EAttribute getConverterType_Id()

  Specified by:
    `getConverterType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ConverterType.getId()`, `FacesConfigPackage.getConverterType()`

### getDefaultLocaleType

    public EClass getDefaultLocaleType()

  Specified by:
    `getDefaultLocaleType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Default Locale Type'.
  See Also:
    `DefaultLocaleType`

### getDefaultLocaleType_TextContent

    public EAttribute getDefaultLocaleType_TextContent()

  Specified by:
    `getDefaultLocaleType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `DefaultLocaleType.getTextContent()`, `FacesConfigPackage.getDefaultLocaleType()`

### getDefaultLocaleType_Id

    public EAttribute getDefaultLocaleType_Id()

  Specified by:
    `getDefaultLocaleType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `DefaultLocaleType.getId()`, `FacesConfigPackage.getDefaultLocaleType()`

### getDefaultRenderKitIdType

    public EClass getDefaultRenderKitIdType()

  Specified by:
    `getDefaultRenderKitIdType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Default Render Kit Id Type'.
  See Also:
    `DefaultRenderKitIdType`

### getDefaultRenderKitIdType_TextContent

    public EAttribute getDefaultRenderKitIdType_TextContent()

  Specified by:
    `getDefaultRenderKitIdType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `DefaultRenderKitIdType.getTextContent()`, `FacesConfigPackage.getDefaultRenderKitIdType()`

### getDefaultRenderKitIdType_Id

    public EAttribute getDefaultRenderKitIdType_Id()

  Specified by:
    `getDefaultRenderKitIdType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `DefaultRenderKitIdType.getId()`, `FacesConfigPackage.getDefaultRenderKitIdType()`

### getDefaultValidatorsType

    public EClass getDefaultValidatorsType()

  Specified by:
    `getDefaultValidatorsType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Default Validators Type'.
  See Also:
    `DefaultValidatorsType`

### getDefaultValidatorsType_ValidatorId

    public EReference getDefaultValidatorsType_ValidatorId()

  Specified by:
    `getDefaultValidatorsType_ValidatorId` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Validator Id'.
  See Also:
    `DefaultValidatorsType.getValidatorId()`, `FacesConfigPackage.getDefaultValidatorsType()`

### getDefaultValidatorsType_Id

    public EAttribute getDefaultValidatorsType_Id()

  Specified by:
    `getDefaultValidatorsType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `DefaultValidatorsType.getId()`, `FacesConfigPackage.getDefaultValidatorsType()`

### getDefaultValueType

    public EClass getDefaultValueType()

  Specified by:
    `getDefaultValueType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Default Value Type'.
  See Also:
    `DefaultValueType`

### getDefaultValueType_TextContent

    public EAttribute getDefaultValueType_TextContent()

  Specified by:
    `getDefaultValueType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `DefaultValueType.getTextContent()`, `FacesConfigPackage.getDefaultValueType()`

### getDefaultValueType_Id

    public EAttribute getDefaultValueType_Id()

  Specified by:
    `getDefaultValueType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `DefaultValueType.getId()`, `FacesConfigPackage.getDefaultValueType()`

### getDescriptionType

    public EClass getDescriptionType()

  Specified by:
    `getDescriptionType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Description Type'.
  See Also:
    `DescriptionType`

### getDescriptionType_TextContent

    public EAttribute getDescriptionType_TextContent()

  Specified by:
    `getDescriptionType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `DescriptionType.getTextContent()`, `FacesConfigPackage.getDescriptionType()`

### getDescriptionType_Lang

    public EAttribute getDescriptionType_Lang()

  Specified by:
    `getDescriptionType_Lang` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Lang'.
  See Also:
    `DescriptionType.getLang()`, `FacesConfigPackage.getDescriptionType()`

### getDescriptionType_Id

    public EAttribute getDescriptionType_Id()

  Specified by:
    `getDescriptionType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `DescriptionType.getId()`, `FacesConfigPackage.getDescriptionType()`

### getDisplayNameType

    public EClass getDisplayNameType()

  Specified by:
    `getDisplayNameType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Display Name Type'.
  See Also:
    `DisplayNameType`

### getDisplayNameType_TextContent

    public EAttribute getDisplayNameType_TextContent()

  Specified by:
    `getDisplayNameType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `DisplayNameType.getTextContent()`, `FacesConfigPackage.getDisplayNameType()`

### getDisplayNameType_Lang

    public EAttribute getDisplayNameType_Lang()

  Specified by:
    `getDisplayNameType_Lang` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Lang'.
  See Also:
    `DisplayNameType.getLang()`, `FacesConfigPackage.getDisplayNameType()`

### getDisplayNameType_Id

    public EAttribute getDisplayNameType_Id()

  Specified by:
    `getDisplayNameType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `DisplayNameType.getId()`, `FacesConfigPackage.getDisplayNameType()`

### getDocumentRoot

    public EClass getDocumentRoot()

  Specified by:
    `getDocumentRoot` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Document Root'.
  See Also:
    `DocumentRoot`

### getDocumentRoot_Mixed

    public EAttribute getDocumentRoot_Mixed()

  Specified by:
    `getDocumentRoot_Mixed` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute list 'Mixed'.
  See Also:
    `DocumentRoot.getMixed()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_XMLNSPrefixMap

    public EReference getDocumentRoot_XMLNSPrefixMap()

  Specified by:
    `getDocumentRoot_XMLNSPrefixMap` in interface `FacesConfigPackage`
  Returns:
    the meta object for the map 'XMLNS Prefix Map'.
  See Also:
    `DocumentRoot.getXMLNSPrefixMap()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_XSISchemaLocation

    public EReference getDocumentRoot_XSISchemaLocation()

  Specified by:
    `getDocumentRoot_XSISchemaLocation` in interface `FacesConfigPackage`
  Returns:
    the meta object for the map 'XSI Schema Location'.
  See Also:
    `DocumentRoot.getXSISchemaLocation()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_AbsoluteOrdering

    public EReference getDocumentRoot_AbsoluteOrdering()

  Specified by:
    `getDocumentRoot_AbsoluteOrdering` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Absolute Ordering'.
  See Also:
    `DocumentRoot.getAbsoluteOrdering()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_ActionListener

    public EReference getDocumentRoot_ActionListener()

  Specified by:
    `getDocumentRoot_ActionListener` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Action Listener'.
  See Also:
    `DocumentRoot.getActionListener()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_Application

    public EReference getDocumentRoot_Application()

  Specified by:
    `getDocumentRoot_Application` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Application'.
  See Also:
    `DocumentRoot.getApplication()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_ApplicationFactory

    public EReference getDocumentRoot_ApplicationFactory()

  Specified by:
    `getDocumentRoot_ApplicationFactory` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Application Factory'.
  See Also:
    `DocumentRoot.getApplicationFactory()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_Attribute

    public EReference getDocumentRoot_Attribute()

  Specified by:
    `getDocumentRoot_Attribute` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Attribute'.
  See Also:
    `DocumentRoot.getAttribute()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_AttributeClass

    public EReference getDocumentRoot_AttributeClass()

  Specified by:
    `getDocumentRoot_AttributeClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Attribute Class'.
  See Also:
    `DocumentRoot.getAttributeClass()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_AttributeExtension

    public EReference getDocumentRoot_AttributeExtension()

  Specified by:
    `getDocumentRoot_AttributeExtension` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Attribute Extension'.
  See Also:
    `DocumentRoot.getAttributeExtension()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_AttributeName

    public EReference getDocumentRoot_AttributeName()

  Specified by:
    `getDocumentRoot_AttributeName` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Attribute Name'.
  See Also:
    `DocumentRoot.getAttributeName()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_Behavior

    public EReference getDocumentRoot_Behavior()

  Specified by:
    `getDocumentRoot_Behavior` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Behavior'.
  See Also:
    `DocumentRoot.getBehavior()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_BehaviorClass

    public EReference getDocumentRoot_BehaviorClass()

  Specified by:
    `getDocumentRoot_BehaviorClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Behavior Class'.
  See Also:
    `DocumentRoot.getBehaviorClass()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_BehaviorId

    public EReference getDocumentRoot_BehaviorId()

  Specified by:
    `getDocumentRoot_BehaviorId` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Behavior Id'.
  See Also:
    `DocumentRoot.getBehaviorId()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_BehaviorExtension

    public EReference getDocumentRoot_BehaviorExtension()

  Specified by:
    `getDocumentRoot_BehaviorExtension` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Behavior Extension'.
  See Also:
    `DocumentRoot.getBehaviorExtension()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_Component

    public EReference getDocumentRoot_Component()

  Specified by:
    `getDocumentRoot_Component` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Component'.
  See Also:
    `DocumentRoot.getComponent()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_ComponentClass

    public EReference getDocumentRoot_ComponentClass()

  Specified by:
    `getDocumentRoot_ComponentClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Component Class'.
  See Also:
    `DocumentRoot.getComponentClass()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_ComponentExtension

    public EReference getDocumentRoot_ComponentExtension()

  Specified by:
    `getDocumentRoot_ComponentExtension` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Component Extension'.
  See Also:
    `DocumentRoot.getComponentExtension()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_ComponentFamily

    public EReference getDocumentRoot_ComponentFamily()

  Specified by:
    `getDocumentRoot_ComponentFamily` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Component Family'.
  See Also:
    `DocumentRoot.getComponentFamily()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_ComponentType

    public EReference getDocumentRoot_ComponentType()

  Specified by:
    `getDocumentRoot_ComponentType` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Component Type'.
  See Also:
    `DocumentRoot.getComponentType()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_Converter

    public EReference getDocumentRoot_Converter()

  Specified by:
    `getDocumentRoot_Converter` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Converter'.
  See Also:
    `DocumentRoot.getConverter()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_ConverterClass

    public EReference getDocumentRoot_ConverterClass()

  Specified by:
    `getDocumentRoot_ConverterClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Converter Class'.
  See Also:
    `DocumentRoot.getConverterClass()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_ConverterForClass

    public EReference getDocumentRoot_ConverterForClass()

  Specified by:
    `getDocumentRoot_ConverterForClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Converter For Class'.
  See Also:
    `DocumentRoot.getConverterForClass()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_ConverterId

    public EReference getDocumentRoot_ConverterId()

  Specified by:
    `getDocumentRoot_ConverterId` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Converter Id'.
  See Also:
    `DocumentRoot.getConverterId()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_DefaultLocale

    public EReference getDocumentRoot_DefaultLocale()

  Specified by:
    `getDocumentRoot_DefaultLocale` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Default Locale'.
  See Also:
    `DocumentRoot.getDefaultLocale()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_DefaultRenderKitId

    public EReference getDocumentRoot_DefaultRenderKitId()

  Specified by:
    `getDocumentRoot_DefaultRenderKitId` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Default Render Kit Id'.
  See Also:
    `DocumentRoot.getDefaultRenderKitId()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_DefaultValidators

    public EReference getDocumentRoot_DefaultValidators()

  Specified by:
    `getDocumentRoot_DefaultValidators` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Default Validators'.
  See Also:
    `DocumentRoot.getDefaultValidators()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_DefaultValue

    public EReference getDocumentRoot_DefaultValue()

  Specified by:
    `getDocumentRoot_DefaultValue` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Default Value'.
  See Also:
    `DocumentRoot.getDefaultValue()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_Description

    public EReference getDocumentRoot_Description()

  Specified by:
    `getDocumentRoot_Description` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Description'.
  See Also:
    `DocumentRoot.getDescription()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_DisplayName

    public EReference getDocumentRoot_DisplayName()

  Specified by:
    `getDocumentRoot_DisplayName` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Display Name'.
  See Also:
    `DocumentRoot.getDisplayName()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_ExceptionHandlerFactory

    public EReference getDocumentRoot_ExceptionHandlerFactory()

  Specified by:
    `getDocumentRoot_ExceptionHandlerFactory` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Exception Handler Factory'.
  See Also:
    `DocumentRoot.getExceptionHandlerFactory()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_ExternalContextFactory

    public EReference getDocumentRoot_ExternalContextFactory()

  Specified by:
    `getDocumentRoot_ExternalContextFactory` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'External Context Factory'.
  See Also:
    `DocumentRoot.getExternalContextFactory()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_FacesConfig

    public EReference getDocumentRoot_FacesConfig()

  Specified by:
    `getDocumentRoot_FacesConfig` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Faces Config'.
  See Also:
    `DocumentRoot.getFacesConfig()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_FacesContextFactory

    public EReference getDocumentRoot_FacesContextFactory()

  Specified by:
    `getDocumentRoot_FacesContextFactory` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Faces Context Factory'.
  See Also:
    `DocumentRoot.getFacesContextFactory()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_Facet

    public EReference getDocumentRoot_Facet()

  Specified by:
    `getDocumentRoot_Facet` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Facet'.
  See Also:
    `DocumentRoot.getFacet()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_FacetExtension

    public EReference getDocumentRoot_FacetExtension()

  Specified by:
    `getDocumentRoot_FacetExtension` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Facet Extension'.
  See Also:
    `DocumentRoot.getFacetExtension()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_FacetName

    public EReference getDocumentRoot_FacetName()

  Specified by:
    `getDocumentRoot_FacetName` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Facet Name'.
  See Also:
    `DocumentRoot.getFacetName()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_Factory

    public EReference getDocumentRoot_Factory()

  Specified by:
    `getDocumentRoot_Factory` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Factory'.
  See Also:
    `DocumentRoot.getFactory()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_FromAction

    public EReference getDocumentRoot_FromAction()

  Specified by:
    `getDocumentRoot_FromAction` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'From Action'.
  See Also:
    `DocumentRoot.getFromAction()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_FromOutcome

    public EReference getDocumentRoot_FromOutcome()

  Specified by:
    `getDocumentRoot_FromOutcome` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'From Outcome'.
  See Also:
    `DocumentRoot.getFromOutcome()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_FromViewId

    public EReference getDocumentRoot_FromViewId()

  Specified by:
    `getDocumentRoot_FromViewId` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'From View Id'.
  See Also:
    `DocumentRoot.getFromViewId()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_Icon

    public EReference getDocumentRoot_Icon()

  Specified by:
    `getDocumentRoot_Icon` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Icon'.
  See Also:
    `DocumentRoot.getIcon()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_If

    public EReference getDocumentRoot_If()

  Specified by:
    `getDocumentRoot_If` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'If'.
  See Also:
    `DocumentRoot.getIf()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_Key

    public EReference getDocumentRoot_Key()

  Specified by:
    `getDocumentRoot_Key` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Key'.
  See Also:
    `DocumentRoot.getKey()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_KeyClass

    public EReference getDocumentRoot_KeyClass()

  Specified by:
    `getDocumentRoot_KeyClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Key Class'.
  See Also:
    `DocumentRoot.getKeyClass()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_LargeIcon

    public EReference getDocumentRoot_LargeIcon()

  Specified by:
    `getDocumentRoot_LargeIcon` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Large Icon'.
  See Also:
    `DocumentRoot.getLargeIcon()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_Lifecycle

    public EReference getDocumentRoot_Lifecycle()

  Specified by:
    `getDocumentRoot_Lifecycle` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Lifecycle'.
  See Also:
    `DocumentRoot.getLifecycle()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_LifecycleFactory

    public EReference getDocumentRoot_LifecycleFactory()

  Specified by:
    `getDocumentRoot_LifecycleFactory` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Lifecycle Factory'.
  See Also:
    `DocumentRoot.getLifecycleFactory()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_ListEntries

    public EReference getDocumentRoot_ListEntries()

  Specified by:
    `getDocumentRoot_ListEntries` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'List Entries'.
  See Also:
    `DocumentRoot.getListEntries()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_LocaleConfig

    public EReference getDocumentRoot_LocaleConfig()

  Specified by:
    `getDocumentRoot_LocaleConfig` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Locale Config'.
  See Also:
    `DocumentRoot.getLocaleConfig()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_ManagedBean

    public EReference getDocumentRoot_ManagedBean()

  Specified by:
    `getDocumentRoot_ManagedBean` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Managed Bean'.
  See Also:
    `DocumentRoot.getManagedBean()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_ManagedBeanClass

    public EReference getDocumentRoot_ManagedBeanClass()

  Specified by:
    `getDocumentRoot_ManagedBeanClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Managed Bean Class'.
  See Also:
    `DocumentRoot.getManagedBeanClass()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_ManagedBeanName

    public EReference getDocumentRoot_ManagedBeanName()

  Specified by:
    `getDocumentRoot_ManagedBeanName` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Managed Bean Name'.
  See Also:
    `DocumentRoot.getManagedBeanName()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_ManagedBeanScope

    public EReference getDocumentRoot_ManagedBeanScope()

  Specified by:
    `getDocumentRoot_ManagedBeanScope` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Managed Bean Scope'.
  See Also:
    `DocumentRoot.getManagedBeanScope()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_ManagedProperty

    public EReference getDocumentRoot_ManagedProperty()

  Specified by:
    `getDocumentRoot_ManagedProperty` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Managed Property'.
  See Also:
    `DocumentRoot.getManagedProperty()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_MapEntries

    public EReference getDocumentRoot_MapEntries()

  Specified by:
    `getDocumentRoot_MapEntries` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Map Entries'.
  See Also:
    `DocumentRoot.getMapEntries()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_MapEntry

    public EReference getDocumentRoot_MapEntry()

  Specified by:
    `getDocumentRoot_MapEntry` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Map Entry'.
  See Also:
    `DocumentRoot.getMapEntry()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_MessageBundle

    public EReference getDocumentRoot_MessageBundle()

  Specified by:
    `getDocumentRoot_MessageBundle` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Message Bundle'.
  See Also:
    `DocumentRoot.getMessageBundle()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_Name

    public EReference getDocumentRoot_Name()

  Specified by:
    `getDocumentRoot_Name` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Name'.
  See Also:
    `DocumentRoot.getName()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_NavigationCase

    public EReference getDocumentRoot_NavigationCase()

  Specified by:
    `getDocumentRoot_NavigationCase` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Navigation Case'.
  See Also:
    `DocumentRoot.getNavigationCase()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_NavigationHandler

    public EReference getDocumentRoot_NavigationHandler()

  Specified by:
    `getDocumentRoot_NavigationHandler` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Navigation Handler'.
  See Also:
    `DocumentRoot.getNavigationHandler()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_NavigationRule

    public EReference getDocumentRoot_NavigationRule()

  Specified by:
    `getDocumentRoot_NavigationRule` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Navigation Rule'.
  See Also:
    `DocumentRoot.getNavigationRule()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_NullValue

    public EReference getDocumentRoot_NullValue()

  Specified by:
    `getDocumentRoot_NullValue` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Null Value'.
  See Also:
    `DocumentRoot.getNullValue()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_Ordering

    public EReference getDocumentRoot_Ordering()

  Specified by:
    `getDocumentRoot_Ordering` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Ordering'.
  See Also:
    `DocumentRoot.getOrdering()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_OrderingOrdering

    public EReference getDocumentRoot_OrderingOrdering()

  Specified by:
    `getDocumentRoot_OrderingOrdering` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Ordering Ordering'.
  See Also:
    `DocumentRoot.getOrderingOrdering()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_Others

    public EReference getDocumentRoot_Others()

  Specified by:
    `getDocumentRoot_Others` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Others'.
  See Also:
    `DocumentRoot.getOthers()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_PartialViewContextFactory

    public EReference getDocumentRoot_PartialViewContextFactory()

  Specified by:
    `getDocumentRoot_PartialViewContextFactory` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Partial View Context Factory'.
  See Also:
    `DocumentRoot.getPartialViewContextFactory()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_PhaseListener

    public EReference getDocumentRoot_PhaseListener()

  Specified by:
    `getDocumentRoot_PhaseListener` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Phase Listener'.
  See Also:
    `DocumentRoot.getPhaseListener()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_Property

    public EReference getDocumentRoot_Property()

  Specified by:
    `getDocumentRoot_Property` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Property'.
  See Also:
    `DocumentRoot.getProperty()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_PropertyClass

    public EReference getDocumentRoot_PropertyClass()

  Specified by:
    `getDocumentRoot_PropertyClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Property Class'.
  See Also:
    `DocumentRoot.getPropertyClass()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_PropertyExtension

    public EReference getDocumentRoot_PropertyExtension()

  Specified by:
    `getDocumentRoot_PropertyExtension` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Property Extension'.
  See Also:
    `DocumentRoot.getPropertyExtension()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_PropertyName

    public EReference getDocumentRoot_PropertyName()

  Specified by:
    `getDocumentRoot_PropertyName` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Property Name'.
  See Also:
    `DocumentRoot.getPropertyName()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_PropertyResolver

    public EReference getDocumentRoot_PropertyResolver()

  Specified by:
    `getDocumentRoot_PropertyResolver` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Property Resolver'.
  See Also:
    `DocumentRoot.getPropertyResolver()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_Redirect

    public EReference getDocumentRoot_Redirect()

  Specified by:
    `getDocumentRoot_Redirect` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Redirect'.
  See Also:
    `DocumentRoot.getRedirect()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_RedirectViewParam

    public EReference getDocumentRoot_RedirectViewParam()

  Specified by:
    `getDocumentRoot_RedirectViewParam` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Redirect View Param'.
  See Also:
    `DocumentRoot.getRedirectViewParam()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_ReferencedBean

    public EReference getDocumentRoot_ReferencedBean()

  Specified by:
    `getDocumentRoot_ReferencedBean` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Referenced Bean'.
  See Also:
    `DocumentRoot.getReferencedBean()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_ReferencedBeanClass

    public EReference getDocumentRoot_ReferencedBeanClass()

  Specified by:
    `getDocumentRoot_ReferencedBeanClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Referenced Bean Class'.
  See Also:
    `DocumentRoot.getReferencedBeanClass()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_ReferencedBeanName

    public EReference getDocumentRoot_ReferencedBeanName()

  Specified by:
    `getDocumentRoot_ReferencedBeanName` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Referenced Bean Name'.
  See Also:
    `DocumentRoot.getReferencedBeanName()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_Renderer

    public EReference getDocumentRoot_Renderer()

  Specified by:
    `getDocumentRoot_Renderer` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Renderer'.
  See Also:
    `DocumentRoot.getRenderer()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_RendererClass

    public EReference getDocumentRoot_RendererClass()

  Specified by:
    `getDocumentRoot_RendererClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Renderer Class'.
  See Also:
    `DocumentRoot.getRendererClass()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_RendererExtension

    public EReference getDocumentRoot_RendererExtension()

  Specified by:
    `getDocumentRoot_RendererExtension` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Renderer Extension'.
  See Also:
    `DocumentRoot.getRendererExtension()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_RendererType

    public EReference getDocumentRoot_RendererType()

  Specified by:
    `getDocumentRoot_RendererType` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Renderer Type'.
  See Also:
    `DocumentRoot.getRendererType()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_RenderKit

    public EReference getDocumentRoot_RenderKit()

  Specified by:
    `getDocumentRoot_RenderKit` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Render Kit'.
  See Also:
    `DocumentRoot.getRenderKit()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_RenderKitClass

    public EReference getDocumentRoot_RenderKitClass()

  Specified by:
    `getDocumentRoot_RenderKitClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Render Kit Class'.
  See Also:
    `DocumentRoot.getRenderKitClass()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_RenderKitFactory

    public EReference getDocumentRoot_RenderKitFactory()

  Specified by:
    `getDocumentRoot_RenderKitFactory` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Render Kit Factory'.
  See Also:
    `DocumentRoot.getRenderKitFactory()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_RenderKitId

    public EReference getDocumentRoot_RenderKitId()

  Specified by:
    `getDocumentRoot_RenderKitId` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Render Kit Id'.
  See Also:
    `DocumentRoot.getRenderKitId()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_ResourceHandler

    public EReference getDocumentRoot_ResourceHandler()

  Specified by:
    `getDocumentRoot_ResourceHandler` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Resource Handler'.
  See Also:
    `DocumentRoot.getResourceHandler()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_SmallIcon

    public EReference getDocumentRoot_SmallIcon()

  Specified by:
    `getDocumentRoot_SmallIcon` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Small Icon'.
  See Also:
    `DocumentRoot.getSmallIcon()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_SourceClass

    public EReference getDocumentRoot_SourceClass()

  Specified by:
    `getDocumentRoot_SourceClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Source Class'.
  See Also:
    `DocumentRoot.getSourceClass()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_StateManager

    public EReference getDocumentRoot_StateManager()

  Specified by:
    `getDocumentRoot_StateManager` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'State Manager'.
  See Also:
    `DocumentRoot.getStateManager()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_SuggestedValue

    public EReference getDocumentRoot_SuggestedValue()

  Specified by:
    `getDocumentRoot_SuggestedValue` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Suggested Value'.
  See Also:
    `DocumentRoot.getSuggestedValue()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_SupportedLocale

    public EReference getDocumentRoot_SupportedLocale()

  Specified by:
    `getDocumentRoot_SupportedLocale` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Supported Locale'.
  See Also:
    `DocumentRoot.getSupportedLocale()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_SystemEventClass

    public EReference getDocumentRoot_SystemEventClass()

  Specified by:
    `getDocumentRoot_SystemEventClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'System Event Class'.
  See Also:
    `DocumentRoot.getSystemEventClass()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_SystemEventListener

    public EReference getDocumentRoot_SystemEventListener()

  Specified by:
    `getDocumentRoot_SystemEventListener` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'System Event Listener'.
  See Also:
    `DocumentRoot.getSystemEventListener()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_SystemEventListenerClass

    public EReference getDocumentRoot_SystemEventListenerClass()

  Specified by:
    `getDocumentRoot_SystemEventListenerClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'System Event Listener Class'.
  See Also:
    `DocumentRoot.getSystemEventListenerClass()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_TagHandlerDelegateFactory

    public EReference getDocumentRoot_TagHandlerDelegateFactory()

  Specified by:
    `getDocumentRoot_TagHandlerDelegateFactory` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Tag Handler Delegate Factory'.
  See Also:
    `DocumentRoot.getTagHandlerDelegateFactory()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_ToViewId

    public EReference getDocumentRoot_ToViewId()

  Specified by:
    `getDocumentRoot_ToViewId` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'To View Id'.
  See Also:
    `DocumentRoot.getToViewId()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_Validator

    public EReference getDocumentRoot_Validator()

  Specified by:
    `getDocumentRoot_Validator` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Validator'.
  See Also:
    `DocumentRoot.getValidator()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_ValidatorClass

    public EReference getDocumentRoot_ValidatorClass()

  Specified by:
    `getDocumentRoot_ValidatorClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Validator Class'.
  See Also:
    `DocumentRoot.getValidatorClass()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_ValidatorId

    public EReference getDocumentRoot_ValidatorId()

  Specified by:
    `getDocumentRoot_ValidatorId` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Validator Id'.
  See Also:
    `DocumentRoot.getValidatorId()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_Value

    public EReference getDocumentRoot_Value()

  Specified by:
    `getDocumentRoot_Value` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Value'.
  See Also:
    `DocumentRoot.getValue()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_ValueClass

    public EReference getDocumentRoot_ValueClass()

  Specified by:
    `getDocumentRoot_ValueClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Value Class'.
  See Also:
    `DocumentRoot.getValueClass()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_VariableResolver

    public EReference getDocumentRoot_VariableResolver()

  Specified by:
    `getDocumentRoot_VariableResolver` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Variable Resolver'.
  See Also:
    `DocumentRoot.getVariableResolver()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_ViewDeclarationLanguageFactory

    public EReference getDocumentRoot_ViewDeclarationLanguageFactory()

  Specified by:
    `getDocumentRoot_ViewDeclarationLanguageFactory` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'View Declaration Language Factory'.
  See Also:
    `DocumentRoot.getViewDeclarationLanguageFactory()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_ViewHandler

    public EReference getDocumentRoot_ViewHandler()

  Specified by:
    `getDocumentRoot_ViewHandler` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'View Handler'.
  See Also:
    `DocumentRoot.getViewHandler()`, `FacesConfigPackage.getDocumentRoot()`

### getDocumentRoot_VisitContextFactory

    public EReference getDocumentRoot_VisitContextFactory()

  Specified by:
    `getDocumentRoot_VisitContextFactory` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Visit Context Factory'.
  See Also:
    `DocumentRoot.getVisitContextFactory()`, `FacesConfigPackage.getDocumentRoot()`

### getDynamicAttribute

    public EClass getDynamicAttribute()

  Specified by:
    `getDynamicAttribute` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Dynamic Attribute'.
  See Also:
    `DynamicAttribute`

### getDynamicAttribute_Name

    public EAttribute getDynamicAttribute_Name()

  Specified by:
    `getDynamicAttribute_Name` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `DynamicAttribute.getName()`, `FacesConfigPackage.getDynamicAttribute()`

### getDynamicAttribute_Value

    public EAttribute getDynamicAttribute_Value()

  Specified by:
    `getDynamicAttribute_Value` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `DynamicAttribute.getValue()`, `FacesConfigPackage.getDynamicAttribute()`

### getDynamicElement

    public EClass getDynamicElement()

  Specified by:
    `getDynamicElement` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Dynamic Element'.
  See Also:
    `DynamicElement`

### getDynamicElement_ChildNodes

    public EReference getDynamicElement_ChildNodes()

  Specified by:
    `getDynamicElement_ChildNodes` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Child Nodes'.
  See Also:
    `DynamicElement.getChildNodes()`, `FacesConfigPackage.getDynamicElement()`

### getDynamicElement_Attributes

    public EReference getDynamicElement_Attributes()

  Specified by:
    `getDynamicElement_Attributes` in interface `FacesConfigPackage`
  Returns:
    the meta object for the reference list 'Attributes'.
  See Also:
    `DynamicElement.getAttributes()`, `FacesConfigPackage.getDynamicElement()`

### getDynamicElement_TextContent

    public EAttribute getDynamicElement_TextContent()

  Specified by:
    `getDynamicElement_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `DynamicElement.getTextContent()`, `FacesConfigPackage.getDynamicElement()`

### getELResolverType

    public EClass getELResolverType()

  Specified by:
    `getELResolverType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'EL Resolver Type'.
  See Also:
    `ELResolverType`

### getELResolverType_TextContent

    public EAttribute getELResolverType_TextContent()

  Specified by:
    `getELResolverType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `ELResolverType.getTextContent()`, `FacesConfigPackage.getELResolverType()`

### getELResolverType_Id

    public EAttribute getELResolverType_Id()

  Specified by:
    `getELResolverType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ELResolverType.getId()`, `FacesConfigPackage.getELResolverType()`

### getExceptionHandlerFactoryType

    public EClass getExceptionHandlerFactoryType()

  Specified by:
    `getExceptionHandlerFactoryType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Exception Handler Factory Type'.
  See Also:
    `ExceptionHandlerFactoryType`

### getExceptionHandlerFactoryType_TextContent

    public EAttribute getExceptionHandlerFactoryType_TextContent()

  Specified by:
    `getExceptionHandlerFactoryType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `ExceptionHandlerFactoryType.getTextContent()`, `FacesConfigPackage.getExceptionHandlerFactoryType()`

### getExceptionHandlerFactoryType_Id

    public EAttribute getExceptionHandlerFactoryType_Id()

  Specified by:
    `getExceptionHandlerFactoryType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ExceptionHandlerFactoryType.getId()`, `FacesConfigPackage.getExceptionHandlerFactoryType()`

### getDynamicElement_Name

    public EAttribute getDynamicElement_Name()

  Specified by:
    `getDynamicElement_Name` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `DynamicElement.getName()`, `FacesConfigPackage.getDynamicElement()`

### getFacesConfigType

    public EClass getFacesConfigType()

  Specified by:
    `getFacesConfigType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Type'.
  See Also:
    `FacesConfigType`

### getFacesConfigType_Application

    public EReference getFacesConfigType_Application()

  Specified by:
    `getFacesConfigType_Application` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Application'.
  See Also:
    `FacesConfigType.getApplication()`, `FacesConfigPackage.getFacesConfigType()`

### getFacesConfigType_Ordering

    public EReference getFacesConfigType_Ordering()

  Specified by:
    `getFacesConfigType_Ordering` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Ordering'.
  See Also:
    `FacesConfigType.getOrdering()`, `FacesConfigPackage.getFacesConfigType()`

### getFacesConfigType_AbsoluteOrdering

    public EReference getFacesConfigType_AbsoluteOrdering()

  Specified by:
    `getFacesConfigType_AbsoluteOrdering` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Absolute Ordering'.
  See Also:
    `FacesConfigType.getAbsoluteOrdering()`, `FacesConfigPackage.getFacesConfigType()`

### getFacesConfigType_Factory

    public EReference getFacesConfigType_Factory()

  Specified by:
    `getFacesConfigType_Factory` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Factory'.
  See Also:
    `FacesConfigType.getFactory()`, `FacesConfigPackage.getFacesConfigType()`

### getFacesConfigType_Component

    public EReference getFacesConfigType_Component()

  Specified by:
    `getFacesConfigType_Component` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Component'.
  See Also:
    `FacesConfigType.getComponent()`, `FacesConfigPackage.getFacesConfigType()`

### getFacesConfigType_Converter

    public EReference getFacesConfigType_Converter()

  Specified by:
    `getFacesConfigType_Converter` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Converter'.
  See Also:
    `FacesConfigType.getConverter()`, `FacesConfigPackage.getFacesConfigType()`

### getFacesConfigType_ManagedBean

    public EReference getFacesConfigType_ManagedBean()

  Specified by:
    `getFacesConfigType_ManagedBean` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Managed Bean'.
  See Also:
    `FacesConfigType.getManagedBean()`, `FacesConfigPackage.getFacesConfigType()`

### getFacesConfigType_Name

    public EReference getFacesConfigType_Name()

  Specified by:
    `getFacesConfigType_Name` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Name'.
  See Also:
    `FacesConfigType.getName()`, `FacesConfigPackage.getFacesConfigType()`

### getFacesConfigType_NavigationRule

    public EReference getFacesConfigType_NavigationRule()

  Specified by:
    `getFacesConfigType_NavigationRule` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Navigation Rule'.
  See Also:
    `FacesConfigType.getNavigationRule()`, `FacesConfigPackage.getFacesConfigType()`

### getFacesConfigType_ReferencedBean

    public EReference getFacesConfigType_ReferencedBean()

  Specified by:
    `getFacesConfigType_ReferencedBean` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Referenced Bean'.
  See Also:
    `FacesConfigType.getReferencedBean()`, `FacesConfigPackage.getFacesConfigType()`

### getFacesConfigType_RenderKit

    public EReference getFacesConfigType_RenderKit()

  Specified by:
    `getFacesConfigType_RenderKit` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Render Kit'.
  See Also:
    `FacesConfigType.getRenderKit()`, `FacesConfigPackage.getFacesConfigType()`

### getFacesConfigType_Lifecycle

    public EReference getFacesConfigType_Lifecycle()

  Specified by:
    `getFacesConfigType_Lifecycle` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Lifecycle'.
  See Also:
    `FacesConfigType.getLifecycle()`, `FacesConfigPackage.getFacesConfigType()`

### getFacesConfigType_Validator

    public EReference getFacesConfigType_Validator()

  Specified by:
    `getFacesConfigType_Validator` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Validator'.
  See Also:
    `FacesConfigType.getValidator()`, `FacesConfigPackage.getFacesConfigType()`

### getFacesConfigType_Behavior

    public EReference getFacesConfigType_Behavior()

  Specified by:
    `getFacesConfigType_Behavior` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Behavior'.
  See Also:
    `FacesConfigType.getBehavior()`, `FacesConfigPackage.getFacesConfigType()`

### getFacesConfigType_FacesConfigExtension

    public EReference getFacesConfigType_FacesConfigExtension()

  Specified by:
    `getFacesConfigType_FacesConfigExtension` in interface `FacesConfigPackage`
  Returns:
    the meta object for the reference list 'Faces Config Extension'.
  See Also:
    `FacesConfigType.getFacesConfigExtension()`, `FacesConfigPackage.getFacesConfigType()`

### getFacesConfigType_Xmlns

    public EAttribute getFacesConfigType_Xmlns()

  Specified by:
    `getFacesConfigType_Xmlns` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Xmlns'.
  See Also:
    `FacesConfigType.getXmlns()`, `FacesConfigPackage.getFacesConfigType()`

### getFacesConfigType_Id

    public EAttribute getFacesConfigType_Id()

  Specified by:
    `getFacesConfigType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `FacesConfigType.getId()`, `FacesConfigPackage.getFacesConfigType()`

### getFacesConfigType_MetadataComplete

    public EAttribute getFacesConfigType_MetadataComplete()

  Specified by:
    `getFacesConfigType_MetadataComplete` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Metadata Complete'.
  See Also:
    `FacesConfigType.isMetadataComplete()`, `FacesConfigPackage.getFacesConfigType()`

### getFacesContextFactoryType

    public EClass getFacesContextFactoryType()

  Specified by:
    `getFacesContextFactoryType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Faces Context Factory Type'.
  See Also:
    `FacesContextFactoryType`

### getFacesContextFactoryType_TextContent

    public EAttribute getFacesContextFactoryType_TextContent()

  Specified by:
    `getFacesContextFactoryType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `FacesContextFactoryType.getTextContent()`, `FacesConfigPackage.getFacesContextFactoryType()`

### getFacesContextFactoryType_Id

    public EAttribute getFacesContextFactoryType_Id()

  Specified by:
    `getFacesContextFactoryType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `FacesContextFactoryType.getId()`, `FacesConfigPackage.getFacesContextFactoryType()`

### getFacetExtensionType

    public EClass getFacetExtensionType()

  Specified by:
    `getFacetExtensionType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Facet Extension Type'.
  See Also:
    `FacetExtensionType`

### getFacetNameType

    public EClass getFacetNameType()

  Specified by:
    `getFacetNameType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Facet Name Type'.
  See Also:
    `FacetNameType`

### getFacetNameType_TextContent

    public EAttribute getFacetNameType_TextContent()

  Specified by:
    `getFacetNameType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `FacetNameType.getTextContent()`, `FacesConfigPackage.getFacetNameType()`

### getFacetNameType_Id

    public EAttribute getFacetNameType_Id()

  Specified by:
    `getFacetNameType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `FacetNameType.getId()`, `FacesConfigPackage.getFacetNameType()`

### getFacetType

    public EClass getFacetType()

  Specified by:
    `getFacetType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Facet Type'.
  See Also:
    `FacetType`

### getFacetType_Description

    public EReference getFacetType_Description()

  Specified by:
    `getFacetType_Description` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Description'.
  See Also:
    `FacetType.getDescription()`, `FacesConfigPackage.getFacetType()`

### getFacetType_DisplayName

    public EReference getFacetType_DisplayName()

  Specified by:
    `getFacetType_DisplayName` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Display Name'.
  See Also:
    `FacetType.getDisplayName()`, `FacesConfigPackage.getFacetType()`

### getFacetType_Icon

    public EReference getFacetType_Icon()

  Specified by:
    `getFacetType_Icon` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Icon'.
  See Also:
    `FacetType.getIcon()`, `FacesConfigPackage.getFacetType()`

### getFacetType_FacetName

    public EReference getFacetType_FacetName()

  Specified by:
    `getFacetType_FacetName` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Facet Name'.
  See Also:
    `FacetType.getFacetName()`, `FacesConfigPackage.getFacetType()`

### getFacetType_FacetExtension

    public EReference getFacetType_FacetExtension()

  Specified by:
    `getFacetType_FacetExtension` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Facet Extension'.
  See Also:
    `FacetType.getFacetExtension()`, `FacesConfigPackage.getFacetType()`

### getFacetType_Id

    public EAttribute getFacetType_Id()

  Specified by:
    `getFacetType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `FacetType.getId()`, `FacesConfigPackage.getFacetType()`

### getFactoryType

    public EClass getFactoryType()

  Specified by:
    `getFactoryType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Factory Type'.
  See Also:
    `FactoryType`

### getFactoryType_ApplicationFactory

    public EReference getFactoryType_ApplicationFactory()

  Specified by:
    `getFactoryType_ApplicationFactory` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Application Factory'.
  See Also:
    `FactoryType.getApplicationFactory()`, `FacesConfigPackage.getFactoryType()`

### getFactoryType_ExceptionHandlerFactory

    public EReference getFactoryType_ExceptionHandlerFactory()

  Specified by:
    `getFactoryType_ExceptionHandlerFactory` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Exception Handler Factory'.
  See Also:
    `FactoryType.getExceptionHandlerFactory()`, `FacesConfigPackage.getFactoryType()`

### getFactoryType_ExternalContextFactory

    public EReference getFactoryType_ExternalContextFactory()

  Specified by:
    `getFactoryType_ExternalContextFactory` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'External Context Factory'.
  See Also:
    `FactoryType.getExternalContextFactory()`, `FacesConfigPackage.getFactoryType()`

### getFactoryType_FacesContextFactory

    public EReference getFactoryType_FacesContextFactory()

  Specified by:
    `getFactoryType_FacesContextFactory` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Faces Context Factory'.
  See Also:
    `FactoryType.getFacesContextFactory()`, `FacesConfigPackage.getFactoryType()`

### getFactoryType_PartialViewContextFactory

    public EReference getFactoryType_PartialViewContextFactory()

  Specified by:
    `getFactoryType_PartialViewContextFactory` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Partial View Context Factory'.
  See Also:
    `FactoryType.getPartialViewContextFactory()`, `FacesConfigPackage.getFactoryType()`

### getFactoryType_LifecycleFactory

    public EReference getFactoryType_LifecycleFactory()

  Specified by:
    `getFactoryType_LifecycleFactory` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Lifecycle Factory'.
  See Also:
    `FactoryType.getLifecycleFactory()`, `FacesConfigPackage.getFactoryType()`

### getFactoryType_ViewDeclarationLanguageFactory

    public EReference getFactoryType_ViewDeclarationLanguageFactory()

  Specified by:
    `getFactoryType_ViewDeclarationLanguageFactory` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'View Declaration Language Factory'.
  See Also:
    `FactoryType.getViewDeclarationLanguageFactory()`, `FacesConfigPackage.getFactoryType()`

### getFactoryType_TagHandlerDelegateFactory

    public EReference getFactoryType_TagHandlerDelegateFactory()

  Specified by:
    `getFactoryType_TagHandlerDelegateFactory` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Tag Handler Delegate Factory'.
  See Also:
    `FactoryType.getTagHandlerDelegateFactory()`, `FacesConfigPackage.getFactoryType()`

### getFactoryType_RenderKitFactory

    public EReference getFactoryType_RenderKitFactory()

  Specified by:
    `getFactoryType_RenderKitFactory` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Render Kit Factory'.
  See Also:
    `FactoryType.getRenderKitFactory()`, `FacesConfigPackage.getFactoryType()`

### getFactoryType_VisitContextFactory

    public EReference getFactoryType_VisitContextFactory()

  Specified by:
    `getFactoryType_VisitContextFactory` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Visit Context Factory'.
  See Also:
    `FactoryType.getVisitContextFactory()`, `FacesConfigPackage.getFactoryType()`

### getFactoryType_FactoryExtension

    public EReference getFactoryType_FactoryExtension()

  Specified by:
    `getFactoryType_FactoryExtension` in interface `FacesConfigPackage`
  Returns:
    the meta object for the reference list 'Factory Extension'.
  See Also:
    `FactoryType.getFactoryExtension()`, `FacesConfigPackage.getFactoryType()`

### getFactoryType_Id

    public EAttribute getFactoryType_Id()

  Specified by:
    `getFactoryType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `FactoryType.getId()`, `FacesConfigPackage.getFactoryType()`

### getFromActionType

    public EClass getFromActionType()

  Specified by:
    `getFromActionType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'From Action Type'.
  See Also:
    `FromActionType`

### getFromActionType_TextContent

    public EAttribute getFromActionType_TextContent()

  Specified by:
    `getFromActionType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `FromActionType.getTextContent()`, `FacesConfigPackage.getFromActionType()`

### getFromActionType_Id

    public EAttribute getFromActionType_Id()

  Specified by:
    `getFromActionType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `FromActionType.getId()`, `FacesConfigPackage.getFromActionType()`

### getFromOutcomeType

    public EClass getFromOutcomeType()

  Specified by:
    `getFromOutcomeType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'From Outcome Type'.
  See Also:
    `FromOutcomeType`

### getFromOutcomeType_TextContent

    public EAttribute getFromOutcomeType_TextContent()

  Specified by:
    `getFromOutcomeType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `FromOutcomeType.getTextContent()`, `FacesConfigPackage.getFromOutcomeType()`

### getFromOutcomeType_Id

    public EAttribute getFromOutcomeType_Id()

  Specified by:
    `getFromOutcomeType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `FromOutcomeType.getId()`, `FacesConfigPackage.getFromOutcomeType()`

### getFromViewIdType

    public EClass getFromViewIdType()

  Specified by:
    `getFromViewIdType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'From View Id Type'.
  See Also:
    `FromViewIdType`

### getFromViewIdType_TextContent

    public EAttribute getFromViewIdType_TextContent()

  Specified by:
    `getFromViewIdType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `FromViewIdType.getTextContent()`, `FacesConfigPackage.getFromViewIdType()`

### getFromViewIdType_Id

    public EAttribute getFromViewIdType_Id()

  Specified by:
    `getFromViewIdType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `FromViewIdType.getId()`, `FacesConfigPackage.getFromViewIdType()`

### getIconType

    public EClass getIconType()

  Specified by:
    `getIconType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Icon Type'.
  See Also:
    `IconType`

### getIconType_SmallIcon

    public EReference getIconType_SmallIcon()

  Specified by:
    `getIconType_SmallIcon` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Small Icon'.
  See Also:
    `IconType.getSmallIcon()`, `FacesConfigPackage.getIconType()`

### getIconType_LargeIcon

    public EReference getIconType_LargeIcon()

  Specified by:
    `getIconType_LargeIcon` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Large Icon'.
  See Also:
    `IconType.getLargeIcon()`, `FacesConfigPackage.getIconType()`

### getIconType_Lang

    public EAttribute getIconType_Lang()

  Specified by:
    `getIconType_Lang` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Lang'.
  See Also:
    `IconType.getLang()`, `FacesConfigPackage.getIconType()`

### getIconType_Id

    public EAttribute getIconType_Id()

  Specified by:
    `getIconType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `IconType.getId()`, `FacesConfigPackage.getIconType()`

### getIfType

    public EClass getIfType()

  Specified by:
    `getIfType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'If Type'.
  See Also:
    `IfType`

### getIfType_TextContent

    public EAttribute getIfType_TextContent()

  Specified by:
    `getIfType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `IfType.getTextContent()`, `FacesConfigPackage.getIfType()`

### getIfType_Id

    public EAttribute getIfType_Id()

  Specified by:
    `getIfType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `IfType.getId()`, `FacesConfigPackage.getIfType()`

### getKeyClassType

    public EClass getKeyClassType()

  Specified by:
    `getKeyClassType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Key Class Type'.
  See Also:
    `KeyClassType`

### getKeyClassType_TextContent

    public EAttribute getKeyClassType_TextContent()

  Specified by:
    `getKeyClassType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `KeyClassType.getTextContent()`, `FacesConfigPackage.getKeyClassType()`

### getKeyClassType_Id

    public EAttribute getKeyClassType_Id()

  Specified by:
    `getKeyClassType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `KeyClassType.getId()`, `FacesConfigPackage.getKeyClassType()`

### getKeyType

    public EClass getKeyType()

  Specified by:
    `getKeyType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Key Type'.
  See Also:
    `KeyType`

### getKeyType_TextContent

    public EAttribute getKeyType_TextContent()

  Specified by:
    `getKeyType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `KeyType.getTextContent()`, `FacesConfigPackage.getKeyType()`

### getKeyType_Id

    public EAttribute getKeyType_Id()

  Specified by:
    `getKeyType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `KeyType.getId()`, `FacesConfigPackage.getKeyType()`

### getLargeIconType

    public EClass getLargeIconType()

  Specified by:
    `getLargeIconType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Large Icon Type'.
  See Also:
    `LargeIconType`

### getLargeIconType_TextContent

    public EAttribute getLargeIconType_TextContent()

  Specified by:
    `getLargeIconType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `LargeIconType.getTextContent()`, `FacesConfigPackage.getLargeIconType()`

### getLargeIconType_Id

    public EAttribute getLargeIconType_Id()

  Specified by:
    `getLargeIconType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `LargeIconType.getId()`, `FacesConfigPackage.getLargeIconType()`

### getLifecycleFactoryType

    public EClass getLifecycleFactoryType()

  Specified by:
    `getLifecycleFactoryType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Lifecycle Factory Type'.
  See Also:
    `LifecycleFactoryType`

### getLifecycleFactoryType_TextContent

    public EAttribute getLifecycleFactoryType_TextContent()

  Specified by:
    `getLifecycleFactoryType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `LifecycleFactoryType.getTextContent()`, `FacesConfigPackage.getLifecycleFactoryType()`

### getLifecycleFactoryType_Id

    public EAttribute getLifecycleFactoryType_Id()

  Specified by:
    `getLifecycleFactoryType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `LifecycleFactoryType.getId()`, `FacesConfigPackage.getLifecycleFactoryType()`

### getLifecycleType

    public EClass getLifecycleType()

  Specified by:
    `getLifecycleType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Lifecycle Type'.
  See Also:
    `LifecycleType`

### getLifecycleType_PhaseListener

    public EReference getLifecycleType_PhaseListener()

  Specified by:
    `getLifecycleType_PhaseListener` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Phase Listener'.
  See Also:
    `LifecycleType.getPhaseListener()`, `FacesConfigPackage.getLifecycleType()`

### getLifecycleType_LifecycleExtension

    public EReference getLifecycleType_LifecycleExtension()

  Specified by:
    `getLifecycleType_LifecycleExtension` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Lifecycle Extension'.
  See Also:
    `LifecycleType.getLifecycleExtension()`, `FacesConfigPackage.getLifecycleType()`

### getLifecycleType_Id

    public EAttribute getLifecycleType_Id()

  Specified by:
    `getLifecycleType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `LifecycleType.getId()`, `FacesConfigPackage.getLifecycleType()`

### getListEntriesType

    public EClass getListEntriesType()

  Specified by:
    `getListEntriesType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'List Entries Type'.
  See Also:
    `ListEntriesType`

### getListEntriesType_ValueClass

    public EReference getListEntriesType_ValueClass()

  Specified by:
    `getListEntriesType_ValueClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Value Class'.
  See Also:
    `ListEntriesType.getValueClass()`, `FacesConfigPackage.getListEntriesType()`

### getListEntriesType_NullValue

    public EReference getListEntriesType_NullValue()

  Specified by:
    `getListEntriesType_NullValue` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Null Value'.
  See Also:
    `ListEntriesType.getNullValue()`, `FacesConfigPackage.getListEntriesType()`

### getListEntriesType_Value

    public EReference getListEntriesType_Value()

  Specified by:
    `getListEntriesType_Value` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Value'.
  See Also:
    `ListEntriesType.getValue()`, `FacesConfigPackage.getListEntriesType()`

### getListEntriesType_Id

    public EAttribute getListEntriesType_Id()

  Specified by:
    `getListEntriesType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ListEntriesType.getId()`, `FacesConfigPackage.getListEntriesType()`

### getLocaleConfigType

    public EClass getLocaleConfigType()

  Specified by:
    `getLocaleConfigType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Locale Config Type'.
  See Also:
    `LocaleConfigType`

### getLocaleConfigType_DefaultLocale

    public EReference getLocaleConfigType_DefaultLocale()

  Specified by:
    `getLocaleConfigType_DefaultLocale` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Default Locale'.
  See Also:
    `LocaleConfigType.getDefaultLocale()`, `FacesConfigPackage.getLocaleConfigType()`

### getLocaleConfigType_SupportedLocale

    public EReference getLocaleConfigType_SupportedLocale()

  Specified by:
    `getLocaleConfigType_SupportedLocale` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Supported Locale'.
  See Also:
    `LocaleConfigType.getSupportedLocale()`, `FacesConfigPackage.getLocaleConfigType()`

### getLocaleConfigType_Id

    public EAttribute getLocaleConfigType_Id()

  Specified by:
    `getLocaleConfigType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `LocaleConfigType.getId()`, `FacesConfigPackage.getLocaleConfigType()`

### getManagedBeanClassType

    public EClass getManagedBeanClassType()

  Specified by:
    `getManagedBeanClassType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Managed Bean Class Type'.
  See Also:
    `ManagedBeanClassType`

### getManagedBeanClassType_TextContent

    public EAttribute getManagedBeanClassType_TextContent()

  Specified by:
    `getManagedBeanClassType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `ManagedBeanClassType.getTextContent()`, `FacesConfigPackage.getManagedBeanClassType()`

### getManagedBeanClassType_Id

    public EAttribute getManagedBeanClassType_Id()

  Specified by:
    `getManagedBeanClassType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ManagedBeanClassType.getId()`, `FacesConfigPackage.getManagedBeanClassType()`

### getManagedBeanNameType

    public EClass getManagedBeanNameType()

  Specified by:
    `getManagedBeanNameType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Managed Bean Name Type'.
  See Also:
    `ManagedBeanNameType`

### getManagedBeanNameType_TextContent

    public EAttribute getManagedBeanNameType_TextContent()

  Specified by:
    `getManagedBeanNameType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `ManagedBeanNameType.getTextContent()`, `FacesConfigPackage.getManagedBeanNameType()`

### getManagedBeanNameType_Id

    public EAttribute getManagedBeanNameType_Id()

  Specified by:
    `getManagedBeanNameType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ManagedBeanNameType.getId()`, `FacesConfigPackage.getManagedBeanNameType()`

### getManagedBeanScopeType

    public EClass getManagedBeanScopeType()

  Specified by:
    `getManagedBeanScopeType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Managed Bean Scope Type'.
  See Also:
    `ManagedBeanScopeType`

### getManagedBeanScopeType_TextContent

    public EAttribute getManagedBeanScopeType_TextContent()

  Specified by:
    `getManagedBeanScopeType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `ManagedBeanScopeType.getTextContent()`, `FacesConfigPackage.getManagedBeanScopeType()`

### getManagedBeanScopeType_Id

    public EAttribute getManagedBeanScopeType_Id()

  Specified by:
    `getManagedBeanScopeType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ManagedBeanScopeType.getId()`, `FacesConfigPackage.getManagedBeanScopeType()`

### getManagedBeanType

    public EClass getManagedBeanType()

  Specified by:
    `getManagedBeanType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Managed Bean Type'.
  See Also:
    `ManagedBeanType`

### getManagedBeanType_Description

    public EReference getManagedBeanType_Description()

  Specified by:
    `getManagedBeanType_Description` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Description'.
  See Also:
    `ManagedBeanType.getDescription()`, `FacesConfigPackage.getManagedBeanType()`

### getManagedBeanType_DisplayName

    public EReference getManagedBeanType_DisplayName()

  Specified by:
    `getManagedBeanType_DisplayName` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Display Name'.
  See Also:
    `ManagedBeanType.getDisplayName()`, `FacesConfigPackage.getManagedBeanType()`

### getManagedBeanType_Icon

    public EReference getManagedBeanType_Icon()

  Specified by:
    `getManagedBeanType_Icon` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Icon'.
  See Also:
    `ManagedBeanType.getIcon()`, `FacesConfigPackage.getManagedBeanType()`

### getManagedBeanType_ManagedBeanName

    public EReference getManagedBeanType_ManagedBeanName()

  Specified by:
    `getManagedBeanType_ManagedBeanName` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Managed Bean Name'.
  See Also:
    `ManagedBeanType.getManagedBeanName()`, `FacesConfigPackage.getManagedBeanType()`

### getManagedBeanType_ManagedBeanClass

    public EReference getManagedBeanType_ManagedBeanClass()

  Specified by:
    `getManagedBeanType_ManagedBeanClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Managed Bean Class'.
  See Also:
    `ManagedBeanType.getManagedBeanClass()`, `FacesConfigPackage.getManagedBeanType()`

### getManagedBeanType_ManagedBeanScope

    public EReference getManagedBeanType_ManagedBeanScope()

  Specified by:
    `getManagedBeanType_ManagedBeanScope` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Managed Bean Scope'.
  See Also:
    `ManagedBeanType.getManagedBeanScope()`, `FacesConfigPackage.getManagedBeanType()`

### getManagedBeanType_ManagedProperty

    public EReference getManagedBeanType_ManagedProperty()

  Specified by:
    `getManagedBeanType_ManagedProperty` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Managed Property'.
  See Also:
    `ManagedBeanType.getManagedProperty()`, `FacesConfigPackage.getManagedBeanType()`

### getManagedBeanType_MapEntries

    public EReference getManagedBeanType_MapEntries()

  Specified by:
    `getManagedBeanType_MapEntries` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Map Entries'.
  See Also:
    `ManagedBeanType.getMapEntries()`, `FacesConfigPackage.getManagedBeanType()`

### getManagedBeanType_ListEntries

    public EReference getManagedBeanType_ListEntries()

  Specified by:
    `getManagedBeanType_ListEntries` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'List Entries'.
  See Also:
    `ManagedBeanType.getListEntries()`, `FacesConfigPackage.getManagedBeanType()`

### getManagedBeanType_ManagedBeanExtension

    public EReference getManagedBeanType_ManagedBeanExtension()

  Specified by:
    `getManagedBeanType_ManagedBeanExtension` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Managed Bean Extension'.
  See Also:
    `ManagedBeanType.getManagedBeanExtension()`, `FacesConfigPackage.getManagedBeanType()`

### getManagedBeanType_Id

    public EAttribute getManagedBeanType_Id()

  Specified by:
    `getManagedBeanType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ManagedBeanType.getId()`, `FacesConfigPackage.getManagedBeanType()`

### getManagedBeanType_Eager

    public EAttribute getManagedBeanType_Eager()

  Specified by:
    `getManagedBeanType_Eager` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Eager'.
  See Also:
    `ManagedBeanType.isEager()`, `FacesConfigPackage.getManagedBeanType()`

### getManagedPropertyType

    public EClass getManagedPropertyType()

  Specified by:
    `getManagedPropertyType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Managed Property Type'.
  See Also:
    `ManagedPropertyType`

### getManagedPropertyType_Description

    public EReference getManagedPropertyType_Description()

  Specified by:
    `getManagedPropertyType_Description` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Description'.
  See Also:
    `ManagedPropertyType.getDescription()`, `FacesConfigPackage.getManagedPropertyType()`

### getManagedPropertyType_DisplayName

    public EReference getManagedPropertyType_DisplayName()

  Specified by:
    `getManagedPropertyType_DisplayName` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Display Name'.
  See Also:
    `ManagedPropertyType.getDisplayName()`, `FacesConfigPackage.getManagedPropertyType()`

### getManagedPropertyType_Icon

    public EReference getManagedPropertyType_Icon()

  Specified by:
    `getManagedPropertyType_Icon` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Icon'.
  See Also:
    `ManagedPropertyType.getIcon()`, `FacesConfigPackage.getManagedPropertyType()`

### getManagedPropertyType_PropertyName

    public EReference getManagedPropertyType_PropertyName()

  Specified by:
    `getManagedPropertyType_PropertyName` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Property Name'.
  See Also:
    `ManagedPropertyType.getPropertyName()`, `FacesConfigPackage.getManagedPropertyType()`

### getManagedPropertyType_PropertyClass

    public EReference getManagedPropertyType_PropertyClass()

  Specified by:
    `getManagedPropertyType_PropertyClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Property Class'.
  See Also:
    `ManagedPropertyType.getPropertyClass()`, `FacesConfigPackage.getManagedPropertyType()`

### getManagedPropertyType_MapEntries

    public EReference getManagedPropertyType_MapEntries()

  Specified by:
    `getManagedPropertyType_MapEntries` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Map Entries'.
  See Also:
    `ManagedPropertyType.getMapEntries()`, `FacesConfigPackage.getManagedPropertyType()`

### getManagedPropertyType_NullValue

    public EReference getManagedPropertyType_NullValue()

  Specified by:
    `getManagedPropertyType_NullValue` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Null Value'.
  See Also:
    `ManagedPropertyType.getNullValue()`, `FacesConfigPackage.getManagedPropertyType()`

### getManagedPropertyType_Value

    public EReference getManagedPropertyType_Value()

  Specified by:
    `getManagedPropertyType_Value` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Value'.
  See Also:
    `ManagedPropertyType.getValue()`, `FacesConfigPackage.getManagedPropertyType()`

### getManagedPropertyType_ListEntries

    public EReference getManagedPropertyType_ListEntries()

  Specified by:
    `getManagedPropertyType_ListEntries` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'List Entries'.
  See Also:
    `ManagedPropertyType.getListEntries()`, `FacesConfigPackage.getManagedPropertyType()`

### getManagedPropertyType_Id

    public EAttribute getManagedPropertyType_Id()

  Specified by:
    `getManagedPropertyType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ManagedPropertyType.getId()`, `FacesConfigPackage.getManagedPropertyType()`

### getMapEntriesType

    public EClass getMapEntriesType()

  Specified by:
    `getMapEntriesType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Map Entries Type'.
  See Also:
    `MapEntriesType`

### getMapEntriesType_KeyClass

    public EReference getMapEntriesType_KeyClass()

  Specified by:
    `getMapEntriesType_KeyClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Key Class'.
  See Also:
    `MapEntriesType.getKeyClass()`, `FacesConfigPackage.getMapEntriesType()`

### getMapEntriesType_ValueClass

    public EReference getMapEntriesType_ValueClass()

  Specified by:
    `getMapEntriesType_ValueClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Value Class'.
  See Also:
    `MapEntriesType.getValueClass()`, `FacesConfigPackage.getMapEntriesType()`

### getMapEntriesType_MapEntry

    public EReference getMapEntriesType_MapEntry()

  Specified by:
    `getMapEntriesType_MapEntry` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Map Entry'.
  See Also:
    `MapEntriesType.getMapEntry()`, `FacesConfigPackage.getMapEntriesType()`

### getMapEntriesType_Id

    public EAttribute getMapEntriesType_Id()

  Specified by:
    `getMapEntriesType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `MapEntriesType.getId()`, `FacesConfigPackage.getMapEntriesType()`

### getMapEntryType

    public EClass getMapEntryType()

  Specified by:
    `getMapEntryType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Map Entry Type'.
  See Also:
    `MapEntryType`

### getMapEntryType_Key

    public EReference getMapEntryType_Key()

  Specified by:
    `getMapEntryType_Key` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Key'.
  See Also:
    `MapEntryType.getKey()`, `FacesConfigPackage.getMapEntryType()`

### getMapEntryType_NullValue

    public EReference getMapEntryType_NullValue()

  Specified by:
    `getMapEntryType_NullValue` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Null Value'.
  See Also:
    `MapEntryType.getNullValue()`, `FacesConfigPackage.getMapEntryType()`

### getMapEntryType_Value

    public EReference getMapEntryType_Value()

  Specified by:
    `getMapEntryType_Value` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Value'.
  See Also:
    `MapEntryType.getValue()`, `FacesConfigPackage.getMapEntryType()`

### getMapEntryType_Id

    public EAttribute getMapEntryType_Id()

  Specified by:
    `getMapEntryType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `MapEntryType.getId()`, `FacesConfigPackage.getMapEntryType()`

### getMessageBundleType

    public EClass getMessageBundleType()

  Specified by:
    `getMessageBundleType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Message Bundle Type'.
  See Also:
    `MessageBundleType`

### getMessageBundleType_TextContent

    public EAttribute getMessageBundleType_TextContent()

  Specified by:
    `getMessageBundleType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `MessageBundleType.getTextContent()`, `FacesConfigPackage.getMessageBundleType()`

### getMessageBundleType_Id

    public EAttribute getMessageBundleType_Id()

  Specified by:
    `getMessageBundleType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `MessageBundleType.getId()`, `FacesConfigPackage.getMessageBundleType()`

### getNameType

    public EClass getNameType()

  Specified by:
    `getNameType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Name Type'.
  See Also:
    `NameType`

### getNameType_TextContent

    public EAttribute getNameType_TextContent()

  Specified by:
    `getNameType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `NameType.getTextContent()`, `FacesConfigPackage.getNameType()`

### getNameType_Id

    public EAttribute getNameType_Id()

  Specified by:
    `getNameType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `NameType.getId()`, `FacesConfigPackage.getNameType()`

### getNavigationCaseType

    public EClass getNavigationCaseType()

  Specified by:
    `getNavigationCaseType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Navigation Case Type'.
  See Also:
    `NavigationCaseType`

### getNavigationCaseType_Description

    public EReference getNavigationCaseType_Description()

  Specified by:
    `getNavigationCaseType_Description` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Description'.
  See Also:
    `NavigationCaseType.getDescription()`, `FacesConfigPackage.getNavigationCaseType()`

### getNavigationCaseType_DisplayName

    public EReference getNavigationCaseType_DisplayName()

  Specified by:
    `getNavigationCaseType_DisplayName` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Display Name'.
  See Also:
    `NavigationCaseType.getDisplayName()`, `FacesConfigPackage.getNavigationCaseType()`

### getNavigationCaseType_Icon

    public EReference getNavigationCaseType_Icon()

  Specified by:
    `getNavigationCaseType_Icon` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Icon'.
  See Also:
    `NavigationCaseType.getIcon()`, `FacesConfigPackage.getNavigationCaseType()`

### getNavigationCaseType_FromAction

    public EReference getNavigationCaseType_FromAction()

  Specified by:
    `getNavigationCaseType_FromAction` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'From Action'.
  See Also:
    `NavigationCaseType.getFromAction()`, `FacesConfigPackage.getNavigationCaseType()`

### getNavigationCaseType_FromOutcome

    public EReference getNavigationCaseType_FromOutcome()

  Specified by:
    `getNavigationCaseType_FromOutcome` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'From Outcome'.
  See Also:
    `NavigationCaseType.getFromOutcome()`, `FacesConfigPackage.getNavigationCaseType()`

### getNavigationCaseType_If

    public EReference getNavigationCaseType_If()

  Specified by:
    `getNavigationCaseType_If` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'If'.
  See Also:
    `NavigationCaseType.getIf()`, `FacesConfigPackage.getNavigationCaseType()`

### getNavigationCaseType_ToViewId

    public EReference getNavigationCaseType_ToViewId()

  Specified by:
    `getNavigationCaseType_ToViewId` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'To View Id'.
  See Also:
    `NavigationCaseType.getToViewId()`, `FacesConfigPackage.getNavigationCaseType()`

### getNavigationCaseType_Redirect

    public EReference getNavigationCaseType_Redirect()

  Specified by:
    `getNavigationCaseType_Redirect` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Redirect'.
  See Also:
    `NavigationCaseType.getRedirect()`, `FacesConfigPackage.getNavigationCaseType()`

### getNavigationCaseType_Id

    public EAttribute getNavigationCaseType_Id()

  Specified by:
    `getNavigationCaseType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `NavigationCaseType.getId()`, `FacesConfigPackage.getNavigationCaseType()`

### getNavigationHandlerType

    public EClass getNavigationHandlerType()

  Specified by:
    `getNavigationHandlerType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Navigation Handler Type'.
  See Also:
    `NavigationHandlerType`

### getNavigationHandlerType_TextContent

    public EAttribute getNavigationHandlerType_TextContent()

  Specified by:
    `getNavigationHandlerType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `NavigationHandlerType.getTextContent()`, `FacesConfigPackage.getNavigationHandlerType()`

### getNavigationHandlerType_Id

    public EAttribute getNavigationHandlerType_Id()

  Specified by:
    `getNavigationHandlerType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `NavigationHandlerType.getId()`, `FacesConfigPackage.getNavigationHandlerType()`

### getNavigationRuleType

    public EClass getNavigationRuleType()

  Specified by:
    `getNavigationRuleType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Navigation Rule Type'.
  See Also:
    `NavigationRuleType`

### getNavigationRuleType_Description

    public EReference getNavigationRuleType_Description()

  Specified by:
    `getNavigationRuleType_Description` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Description'.
  See Also:
    `NavigationRuleType.getDescription()`, `FacesConfigPackage.getNavigationRuleType()`

### getNavigationRuleType_DisplayName

    public EReference getNavigationRuleType_DisplayName()

  Specified by:
    `getNavigationRuleType_DisplayName` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Display Name'.
  See Also:
    `NavigationRuleType.getDisplayName()`, `FacesConfigPackage.getNavigationRuleType()`

### getNavigationRuleType_Icon

    public EReference getNavigationRuleType_Icon()

  Specified by:
    `getNavigationRuleType_Icon` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Icon'.
  See Also:
    `NavigationRuleType.getIcon()`, `FacesConfigPackage.getNavigationRuleType()`

### getNavigationRuleType_FromViewId

    public EReference getNavigationRuleType_FromViewId()

  Specified by:
    `getNavigationRuleType_FromViewId` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'From View Id'.
  See Also:
    `NavigationRuleType.getFromViewId()`, `FacesConfigPackage.getNavigationRuleType()`

### getNavigationRuleType_NavigationCase

    public EReference getNavigationRuleType_NavigationCase()

  Specified by:
    `getNavigationRuleType_NavigationCase` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Navigation Case'.
  See Also:
    `NavigationRuleType.getNavigationCase()`, `FacesConfigPackage.getNavigationRuleType()`

### getNavigationRuleType_NavigationRuleExtension

    public EReference getNavigationRuleType_NavigationRuleExtension()

  Specified by:
    `getNavigationRuleType_NavigationRuleExtension` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Navigation Rule Extension'.
  See Also:
    `NavigationRuleType.getNavigationRuleExtension()`, `FacesConfigPackage.getNavigationRuleType()`

### getNavigationRuleType_Id

    public EAttribute getNavigationRuleType_Id()

  Specified by:
    `getNavigationRuleType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `NavigationRuleType.getId()`, `FacesConfigPackage.getNavigationRuleType()`

### getNullValueType

    public EClass getNullValueType()

  Specified by:
    `getNullValueType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Null Value Type'.
  See Also:
    `NullValueType`

### getNullValueType_Id

    public EAttribute getNullValueType_Id()

  Specified by:
    `getNullValueType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `NullValueType.getId()`, `FacesConfigPackage.getNullValueType()`

### getOrderingType

    public EClass getOrderingType()

  Specified by:
    `getOrderingType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Ordering Type'.
  See Also:
    `OrderingType`

### getOrderingType_Before

    public EReference getOrderingType_Before()

  Specified by:
    `getOrderingType_Before` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Before'.
  See Also:
    `OrderingType.getBefore()`, `FacesConfigPackage.getOrderingType()`

### getOrderingType_After

    public EReference getOrderingType_After()

  Specified by:
    `getOrderingType_After` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'After'.
  See Also:
    `OrderingType.getAfter()`, `FacesConfigPackage.getOrderingType()`

### getOrderingOrderingType

    public EClass getOrderingOrderingType()

  Specified by:
    `getOrderingOrderingType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Ordering Ordering Type'.
  See Also:
    `OrderingOrderingType`

### getOrderingOrderingType_Name

    public EReference getOrderingOrderingType_Name()

  Specified by:
    `getOrderingOrderingType_Name` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Name'.
  See Also:
    `OrderingOrderingType.getName()`, `FacesConfigPackage.getOrderingOrderingType()`

### getOrderingOrderingType_Others

    public EReference getOrderingOrderingType_Others()

  Specified by:
    `getOrderingOrderingType_Others` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Others'.
  See Also:
    `OrderingOrderingType.getOthers()`, `FacesConfigPackage.getOrderingOrderingType()`

### getOrderingOthersType

    public EClass getOrderingOthersType()

  Specified by:
    `getOrderingOthersType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Ordering Others Type'.
  See Also:
    `OrderingOthersType`

### getOrderingOthersType_Id

    public EAttribute getOrderingOthersType_Id()

  Specified by:
    `getOrderingOthersType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `OrderingOthersType.getId()`, `FacesConfigPackage.getOrderingOthersType()`

### getPartialViewContextFactoryType

    public EClass getPartialViewContextFactoryType()

  Specified by:
    `getPartialViewContextFactoryType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Partial View Context Factory Type'.
  See Also:
    `PartialViewContextFactoryType`

### getPartialViewContextFactoryType_TextContent

    public EAttribute getPartialViewContextFactoryType_TextContent()

  Specified by:
    `getPartialViewContextFactoryType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `PartialViewContextFactoryType.getTextContent()`, `FacesConfigPackage.getPartialViewContextFactoryType()`

### getPartialViewContextFactoryType_Id

    public EAttribute getPartialViewContextFactoryType_Id()

  Specified by:
    `getPartialViewContextFactoryType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `PartialViewContextFactoryType.getId()`, `FacesConfigPackage.getPartialViewContextFactoryType()`

### getPhaseListenerType

    public EClass getPhaseListenerType()

  Specified by:
    `getPhaseListenerType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Phase Listener Type'.
  See Also:
    `PhaseListenerType`

### getPhaseListenerType_TextContent

    public EAttribute getPhaseListenerType_TextContent()

  Specified by:
    `getPhaseListenerType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `PhaseListenerType.getTextContent()`, `FacesConfigPackage.getPhaseListenerType()`

### getPhaseListenerType_Id

    public EAttribute getPhaseListenerType_Id()

  Specified by:
    `getPhaseListenerType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `PhaseListenerType.getId()`, `FacesConfigPackage.getPhaseListenerType()`

### getPropertyClassType

    public EClass getPropertyClassType()

  Specified by:
    `getPropertyClassType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Property Class Type'.
  See Also:
    `PropertyClassType`

### getPropertyClassType_TextContent

    public EAttribute getPropertyClassType_TextContent()

  Specified by:
    `getPropertyClassType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `PropertyClassType.getTextContent()`, `FacesConfigPackage.getPropertyClassType()`

### getPropertyClassType_Id

    public EAttribute getPropertyClassType_Id()

  Specified by:
    `getPropertyClassType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `PropertyClassType.getId()`, `FacesConfigPackage.getPropertyClassType()`

### getPropertyExtensionType

    public EClass getPropertyExtensionType()

  Specified by:
    `getPropertyExtensionType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Property Extension Type'.
  See Also:
    `PropertyExtensionType`

### getPropertyNameType

    public EClass getPropertyNameType()

  Specified by:
    `getPropertyNameType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Property Name Type'.
  See Also:
    `PropertyNameType`

### getPropertyNameType_TextContent

    public EAttribute getPropertyNameType_TextContent()

  Specified by:
    `getPropertyNameType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `PropertyNameType.getTextContent()`, `FacesConfigPackage.getPropertyNameType()`

### getPropertyNameType_Id

    public EAttribute getPropertyNameType_Id()

  Specified by:
    `getPropertyNameType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `PropertyNameType.getId()`, `FacesConfigPackage.getPropertyNameType()`

### getPropertyResolverType

    public EClass getPropertyResolverType()

  Specified by:
    `getPropertyResolverType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Property Resolver Type'.
  See Also:
    `PropertyResolverType`

### getPropertyResolverType_TextContent

    public EAttribute getPropertyResolverType_TextContent()

  Specified by:
    `getPropertyResolverType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `PropertyResolverType.getTextContent()`, `FacesConfigPackage.getPropertyResolverType()`

### getPropertyResolverType_Id

    public EAttribute getPropertyResolverType_Id()

  Specified by:
    `getPropertyResolverType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `PropertyResolverType.getId()`, `FacesConfigPackage.getPropertyResolverType()`

### getPropertyType

    public EClass getPropertyType()

  Specified by:
    `getPropertyType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Property Type'.
  See Also:
    `PropertyType`

### getPropertyType_Description

    public EReference getPropertyType_Description()

  Specified by:
    `getPropertyType_Description` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Description'.
  See Also:
    `PropertyType.getDescription()`, `FacesConfigPackage.getPropertyType()`

### getPropertyType_DisplayName

    public EReference getPropertyType_DisplayName()

  Specified by:
    `getPropertyType_DisplayName` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Display Name'.
  See Also:
    `PropertyType.getDisplayName()`, `FacesConfigPackage.getPropertyType()`

### getPropertyType_Icon

    public EReference getPropertyType_Icon()

  Specified by:
    `getPropertyType_Icon` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Icon'.
  See Also:
    `PropertyType.getIcon()`, `FacesConfigPackage.getPropertyType()`

### getPropertyType_PropertyName

    public EReference getPropertyType_PropertyName()

  Specified by:
    `getPropertyType_PropertyName` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Property Name'.
  See Also:
    `PropertyType.getPropertyName()`, `FacesConfigPackage.getPropertyType()`

### getPropertyType_PropertyClass

    public EReference getPropertyType_PropertyClass()

  Specified by:
    `getPropertyType_PropertyClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Property Class'.
  See Also:
    `PropertyType.getPropertyClass()`, `FacesConfigPackage.getPropertyType()`

### getPropertyType_DefaultValue

    public EReference getPropertyType_DefaultValue()

  Specified by:
    `getPropertyType_DefaultValue` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Default Value'.
  See Also:
    `PropertyType.getDefaultValue()`, `FacesConfigPackage.getPropertyType()`

### getPropertyType_SuggestedValue

    public EReference getPropertyType_SuggestedValue()

  Specified by:
    `getPropertyType_SuggestedValue` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Suggested Value'.
  See Also:
    `PropertyType.getSuggestedValue()`, `FacesConfigPackage.getPropertyType()`

### getPropertyType_PropertyExtension

    public EReference getPropertyType_PropertyExtension()

  Specified by:
    `getPropertyType_PropertyExtension` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Property Extension'.
  See Also:
    `PropertyType.getPropertyExtension()`, `FacesConfigPackage.getPropertyType()`

### getPropertyType_Id

    public EAttribute getPropertyType_Id()

  Specified by:
    `getPropertyType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `PropertyType.getId()`, `FacesConfigPackage.getPropertyType()`

### getRedirectType

    public EClass getRedirectType()

  Specified by:
    `getRedirectType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Redirect Type'.
  See Also:
    `RedirectType`

### getRedirectType_ViewParam

    public EReference getRedirectType_ViewParam()

  Specified by:
    `getRedirectType_ViewParam` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'View Param'.
  See Also:
    `RedirectType.getViewParam()`, `FacesConfigPackage.getRedirectType()`

### getRedirectType_Id

    public EAttribute getRedirectType_Id()

  Specified by:
    `getRedirectType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `RedirectType.getId()`, `FacesConfigPackage.getRedirectType()`

### getRedirectType_IncludeViewParams

    public EAttribute getRedirectType_IncludeViewParams()

  Specified by:
    `getRedirectType_IncludeViewParams` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Include View Params'.
  See Also:
    `RedirectType.isIncludeViewParams()`, `FacesConfigPackage.getRedirectType()`

### getRedirectViewParamType

    public EClass getRedirectViewParamType()

  Specified by:
    `getRedirectViewParamType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Redirect View Param Type'.
  See Also:
    `RedirectViewParamType`

### getRedirectViewParamType_Name

    public EReference getRedirectViewParamType_Name()

  Specified by:
    `getRedirectViewParamType_Name` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Name'.
  See Also:
    `RedirectViewParamType.getName()`, `FacesConfigPackage.getRedirectViewParamType()`

### getRedirectViewParamType_Value

    public EReference getRedirectViewParamType_Value()

  Specified by:
    `getRedirectViewParamType_Value` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Value'.
  See Also:
    `RedirectViewParamType.getValue()`, `FacesConfigPackage.getRedirectViewParamType()`

### getRedirectViewParamType_Id

    public EAttribute getRedirectViewParamType_Id()

  Specified by:
    `getRedirectViewParamType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `RedirectViewParamType.getId()`, `FacesConfigPackage.getRedirectViewParamType()`

### getReferencedBeanClassType

    public EClass getReferencedBeanClassType()

  Specified by:
    `getReferencedBeanClassType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Referenced Bean Class Type'.
  See Also:
    `ReferencedBeanClassType`

### getReferencedBeanClassType_TextContent

    public EAttribute getReferencedBeanClassType_TextContent()

  Specified by:
    `getReferencedBeanClassType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `ReferencedBeanClassType.getTextContent()`, `FacesConfigPackage.getReferencedBeanClassType()`

### getReferencedBeanClassType_Id

    public EAttribute getReferencedBeanClassType_Id()

  Specified by:
    `getReferencedBeanClassType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ReferencedBeanClassType.getId()`, `FacesConfigPackage.getReferencedBeanClassType()`

### getReferencedBeanNameType

    public EClass getReferencedBeanNameType()

  Specified by:
    `getReferencedBeanNameType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Referenced Bean Name Type'.
  See Also:
    `ReferencedBeanNameType`

### getReferencedBeanNameType_TextContent

    public EAttribute getReferencedBeanNameType_TextContent()

  Specified by:
    `getReferencedBeanNameType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `ReferencedBeanNameType.getTextContent()`, `FacesConfigPackage.getReferencedBeanNameType()`

### getReferencedBeanNameType_Id

    public EAttribute getReferencedBeanNameType_Id()

  Specified by:
    `getReferencedBeanNameType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ReferencedBeanNameType.getId()`, `FacesConfigPackage.getReferencedBeanNameType()`

### getReferencedBeanType

    public EClass getReferencedBeanType()

  Specified by:
    `getReferencedBeanType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Referenced Bean Type'.
  See Also:
    `ReferencedBeanType`

### getReferencedBeanType_Description

    public EReference getReferencedBeanType_Description()

  Specified by:
    `getReferencedBeanType_Description` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Description'.
  See Also:
    `ReferencedBeanType.getDescription()`, `FacesConfigPackage.getReferencedBeanType()`

### getReferencedBeanType_DisplayName

    public EReference getReferencedBeanType_DisplayName()

  Specified by:
    `getReferencedBeanType_DisplayName` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Display Name'.
  See Also:
    `ReferencedBeanType.getDisplayName()`, `FacesConfigPackage.getReferencedBeanType()`

### getReferencedBeanType_Icon

    public EReference getReferencedBeanType_Icon()

  Specified by:
    `getReferencedBeanType_Icon` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Icon'.
  See Also:
    `ReferencedBeanType.getIcon()`, `FacesConfigPackage.getReferencedBeanType()`

### getReferencedBeanType_ReferencedBeanName

    public EReference getReferencedBeanType_ReferencedBeanName()

  Specified by:
    `getReferencedBeanType_ReferencedBeanName` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Referenced Bean Name'.
  See Also:
    `ReferencedBeanType.getReferencedBeanName()`, `FacesConfigPackage.getReferencedBeanType()`

### getReferencedBeanType_ReferencedBeanClass

    public EReference getReferencedBeanType_ReferencedBeanClass()

  Specified by:
    `getReferencedBeanType_ReferencedBeanClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Referenced Bean Class'.
  See Also:
    `ReferencedBeanType.getReferencedBeanClass()`, `FacesConfigPackage.getReferencedBeanType()`

### getReferencedBeanType_Id

    public EAttribute getReferencedBeanType_Id()

  Specified by:
    `getReferencedBeanType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ReferencedBeanType.getId()`, `FacesConfigPackage.getReferencedBeanType()`

### getRendererClassType

    public EClass getRendererClassType()

  Specified by:
    `getRendererClassType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Renderer Class Type'.
  See Also:
    `RendererClassType`

### getRendererClassType_TextContent

    public EAttribute getRendererClassType_TextContent()

  Specified by:
    `getRendererClassType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `RendererClassType.getTextContent()`, `FacesConfigPackage.getRendererClassType()`

### getRendererClassType_Id

    public EAttribute getRendererClassType_Id()

  Specified by:
    `getRendererClassType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `RendererClassType.getId()`, `FacesConfigPackage.getRendererClassType()`

### getRendererExtensionType

    public EClass getRendererExtensionType()

  Specified by:
    `getRendererExtensionType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Renderer Extension Type'.
  See Also:
    `RendererExtensionType`

### getRendererType

    public EClass getRendererType()

  Specified by:
    `getRendererType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Renderer Type'.
  See Also:
    `RendererType`

### getRendererType_Description

    public EReference getRendererType_Description()

  Specified by:
    `getRendererType_Description` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Description'.
  See Also:
    `RendererType.getDescription()`, `FacesConfigPackage.getRendererType()`

### getRendererType_DisplayName

    public EReference getRendererType_DisplayName()

  Specified by:
    `getRendererType_DisplayName` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Display Name'.
  See Also:
    `RendererType.getDisplayName()`, `FacesConfigPackage.getRendererType()`

### getRendererType_Icon

    public EReference getRendererType_Icon()

  Specified by:
    `getRendererType_Icon` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Icon'.
  See Also:
    `RendererType.getIcon()`, `FacesConfigPackage.getRendererType()`

### getRendererType_ComponentFamily

    public EReference getRendererType_ComponentFamily()

  Specified by:
    `getRendererType_ComponentFamily` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Component Family'.
  See Also:
    `RendererType.getComponentFamily()`, `FacesConfigPackage.getRendererType()`

### getRendererType_RendererType

    public EReference getRendererType_RendererType()

  Specified by:
    `getRendererType_RendererType` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Renderer Type'.
  See Also:
    `RendererType.getRendererType()`, `FacesConfigPackage.getRendererType()`

### getRendererType_RendererClass

    public EReference getRendererType_RendererClass()

  Specified by:
    `getRendererType_RendererClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Renderer Class'.
  See Also:
    `RendererType.getRendererClass()`, `FacesConfigPackage.getRendererType()`

### getRendererType_Facet

    public EReference getRendererType_Facet()

  Specified by:
    `getRendererType_Facet` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Facet'.
  See Also:
    `RendererType.getFacet()`, `FacesConfigPackage.getRendererType()`

### getRendererType_Attribute

    public EReference getRendererType_Attribute()

  Specified by:
    `getRendererType_Attribute` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Attribute'.
  See Also:
    `RendererType.getAttribute()`, `FacesConfigPackage.getRendererType()`

### getRendererType_RendererExtension

    public EReference getRendererType_RendererExtension()

  Specified by:
    `getRendererType_RendererExtension` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Renderer Extension'.
  See Also:
    `RendererType.getRendererExtension()`, `FacesConfigPackage.getRendererType()`

### getRendererType_Id

    public EAttribute getRendererType_Id()

  Specified by:
    `getRendererType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `RendererType.getId()`, `FacesConfigPackage.getRendererType()`

### getRendererTypeType

    public EClass getRendererTypeType()

  Specified by:
    `getRendererTypeType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Renderer Type Type'.
  See Also:
    `RendererTypeType`

### getRendererTypeType_TextContent

    public EAttribute getRendererTypeType_TextContent()

  Specified by:
    `getRendererTypeType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `RendererTypeType.getTextContent()`, `FacesConfigPackage.getRendererTypeType()`

### getRendererTypeType_Id

    public EAttribute getRendererTypeType_Id()

  Specified by:
    `getRendererTypeType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `RendererTypeType.getId()`, `FacesConfigPackage.getRendererTypeType()`

### getRenderKitClassType

    public EClass getRenderKitClassType()

  Specified by:
    `getRenderKitClassType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Render Kit Class Type'.
  See Also:
    `RenderKitClassType`

### getRenderKitClassType_TextContent

    public EAttribute getRenderKitClassType_TextContent()

  Specified by:
    `getRenderKitClassType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `RenderKitClassType.getTextContent()`, `FacesConfigPackage.getRenderKitClassType()`

### getRenderKitClassType_Id

    public EAttribute getRenderKitClassType_Id()

  Specified by:
    `getRenderKitClassType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `RenderKitClassType.getId()`, `FacesConfigPackage.getRenderKitClassType()`

### getRenderKitFactoryType

    public EClass getRenderKitFactoryType()

  Specified by:
    `getRenderKitFactoryType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Render Kit Factory Type'.
  See Also:
    `RenderKitFactoryType`

### getRenderKitFactoryType_TextContent

    public EAttribute getRenderKitFactoryType_TextContent()

  Specified by:
    `getRenderKitFactoryType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `RenderKitFactoryType.getTextContent()`, `FacesConfigPackage.getRenderKitFactoryType()`

### getRenderKitFactoryType_Id

    public EAttribute getRenderKitFactoryType_Id()

  Specified by:
    `getRenderKitFactoryType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `RenderKitFactoryType.getId()`, `FacesConfigPackage.getRenderKitFactoryType()`

### getRenderKitIdType

    public EClass getRenderKitIdType()

  Specified by:
    `getRenderKitIdType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Render Kit Id Type'.
  See Also:
    `RenderKitIdType`

### getRenderKitIdType_TextContent

    public EAttribute getRenderKitIdType_TextContent()

  Specified by:
    `getRenderKitIdType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `RenderKitIdType.getTextContent()`, `FacesConfigPackage.getRenderKitIdType()`

### getRenderKitIdType_Id

    public EAttribute getRenderKitIdType_Id()

  Specified by:
    `getRenderKitIdType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `RenderKitIdType.getId()`, `FacesConfigPackage.getRenderKitIdType()`

### getRenderKitType

    public EClass getRenderKitType()

  Specified by:
    `getRenderKitType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Render Kit Type'.
  See Also:
    `RenderKitType`

### getRenderKitType_Description

    public EReference getRenderKitType_Description()

  Specified by:
    `getRenderKitType_Description` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Description'.
  See Also:
    `RenderKitType.getDescription()`, `FacesConfigPackage.getRenderKitType()`

### getRenderKitType_DisplayName

    public EReference getRenderKitType_DisplayName()

  Specified by:
    `getRenderKitType_DisplayName` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Display Name'.
  See Also:
    `RenderKitType.getDisplayName()`, `FacesConfigPackage.getRenderKitType()`

### getRenderKitType_Icon

    public EReference getRenderKitType_Icon()

  Specified by:
    `getRenderKitType_Icon` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Icon'.
  See Also:
    `RenderKitType.getIcon()`, `FacesConfigPackage.getRenderKitType()`

### getRenderKitType_RenderKitId

    public EReference getRenderKitType_RenderKitId()

  Specified by:
    `getRenderKitType_RenderKitId` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Render Kit Id'.
  See Also:
    `RenderKitType.getRenderKitId()`, `FacesConfigPackage.getRenderKitType()`

### getRenderKitType_RenderKitClass

    public EReference getRenderKitType_RenderKitClass()

  Specified by:
    `getRenderKitType_RenderKitClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Render Kit Class'.
  See Also:
    `RenderKitType.getRenderKitClass()`, `FacesConfigPackage.getRenderKitType()`

### getRenderKitType_Renderer

    public EReference getRenderKitType_Renderer()

  Specified by:
    `getRenderKitType_Renderer` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Renderer'.
  See Also:
    `RenderKitType.getRenderer()`, `FacesConfigPackage.getRenderKitType()`

### getRenderKitType_ClientBehaviorRenderer

    public EReference getRenderKitType_ClientBehaviorRenderer()

  Specified by:
    `getRenderKitType_ClientBehaviorRenderer` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Client Behavior Renderer'.
  See Also:
    `RenderKitType.getClientBehaviorRenderer()`, `FacesConfigPackage.getRenderKitType()`

### getRenderKitType_RenderKitExtension

    public EReference getRenderKitType_RenderKitExtension()

  Specified by:
    `getRenderKitType_RenderKitExtension` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Render Kit Extension'.
  See Also:
    `RenderKitType.getRenderKitExtension()`, `FacesConfigPackage.getRenderKitType()`

### getRenderKitType_Id

    public EAttribute getRenderKitType_Id()

  Specified by:
    `getRenderKitType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `RenderKitType.getId()`, `FacesConfigPackage.getRenderKitType()`

### getSmallIconType

    public EClass getSmallIconType()

  Specified by:
    `getSmallIconType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Small Icon Type'.
  See Also:
    `SmallIconType`

### getSmallIconType_TextContent

    public EAttribute getSmallIconType_TextContent()

  Specified by:
    `getSmallIconType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `SmallIconType.getTextContent()`, `FacesConfigPackage.getSmallIconType()`

### getSmallIconType_Id

    public EAttribute getSmallIconType_Id()

  Specified by:
    `getSmallIconType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `SmallIconType.getId()`, `FacesConfigPackage.getSmallIconType()`

### getSourceClassType

    public EClass getSourceClassType()

  Specified by:
    `getSourceClassType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Source Class Type'.
  See Also:
    `SourceClassType`

### getSourceClassType_TextContent

    public EAttribute getSourceClassType_TextContent()

  Specified by:
    `getSourceClassType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `SourceClassType.getTextContent()`, `FacesConfigPackage.getSourceClassType()`

### getSourceClassType_Id

    public EAttribute getSourceClassType_Id()

  Specified by:
    `getSourceClassType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `SourceClassType.getId()`, `FacesConfigPackage.getSourceClassType()`

### getStateManagerType

    public EClass getStateManagerType()

  Specified by:
    `getStateManagerType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'State Manager Type'.
  See Also:
    `StateManagerType`

### getStateManagerType_TextContent

    public EAttribute getStateManagerType_TextContent()

  Specified by:
    `getStateManagerType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `StateManagerType.getTextContent()`, `FacesConfigPackage.getStateManagerType()`

### getStateManagerType_Id

    public EAttribute getStateManagerType_Id()

  Specified by:
    `getStateManagerType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `StateManagerType.getId()`, `FacesConfigPackage.getStateManagerType()`

### getSuggestedValueType

    public EClass getSuggestedValueType()

  Specified by:
    `getSuggestedValueType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Suggested Value Type'.
  See Also:
    `SuggestedValueType`

### getSuggestedValueType_TextContent

    public EAttribute getSuggestedValueType_TextContent()

  Specified by:
    `getSuggestedValueType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `SuggestedValueType.getTextContent()`, `FacesConfigPackage.getSuggestedValueType()`

### getSuggestedValueType_Id

    public EAttribute getSuggestedValueType_Id()

  Specified by:
    `getSuggestedValueType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `SuggestedValueType.getId()`, `FacesConfigPackage.getSuggestedValueType()`

### getSupportedLocaleType

    public EClass getSupportedLocaleType()

  Specified by:
    `getSupportedLocaleType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Supported Locale Type'.
  See Also:
    `SupportedLocaleType`

### getSupportedLocaleType_TextContent

    public EAttribute getSupportedLocaleType_TextContent()

  Specified by:
    `getSupportedLocaleType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `SupportedLocaleType.getTextContent()`, `FacesConfigPackage.getSupportedLocaleType()`

### getSupportedLocaleType_Id

    public EAttribute getSupportedLocaleType_Id()

  Specified by:
    `getSupportedLocaleType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `SupportedLocaleType.getId()`, `FacesConfigPackage.getSupportedLocaleType()`

### getSystemEventClassType

    public EClass getSystemEventClassType()

  Specified by:
    `getSystemEventClassType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'System Event Class Type'.
  See Also:
    `SystemEventClassType`

### getSystemEventClassType_TextContent

    public EAttribute getSystemEventClassType_TextContent()

  Specified by:
    `getSystemEventClassType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `SystemEventClassType.getTextContent()`, `FacesConfigPackage.getSystemEventClassType()`

### getSystemEventClassType_Id

    public EAttribute getSystemEventClassType_Id()

  Specified by:
    `getSystemEventClassType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `SystemEventClassType.getId()`, `FacesConfigPackage.getSystemEventClassType()`

### getSystemEventListenerClassType

    public EClass getSystemEventListenerClassType()

  Specified by:
    `getSystemEventListenerClassType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'System Event Listener Class Type'.
  See Also:
    `SystemEventListenerClassType`

### getSystemEventListenerClassType_TextContent

    public EAttribute getSystemEventListenerClassType_TextContent()

  Specified by:
    `getSystemEventListenerClassType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `SystemEventListenerClassType.getTextContent()`, `FacesConfigPackage.getSystemEventListenerClassType()`

### getSystemEventListenerClassType_Id

    public EAttribute getSystemEventListenerClassType_Id()

  Specified by:
    `getSystemEventListenerClassType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `SystemEventListenerClassType.getId()`, `FacesConfigPackage.getSystemEventListenerClassType()`

### getSystemEventListenerType

    public EClass getSystemEventListenerType()

  Specified by:
    `getSystemEventListenerType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'System Event Listener Type'.
  See Also:
    `SystemEventListenerType`

### getSystemEventListenerType_SystemEventListenerClass

    public EReference getSystemEventListenerType_SystemEventListenerClass()

  Specified by:
    `getSystemEventListenerType_SystemEventListenerClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'System Event Listener Class'.
  See Also:
    `SystemEventListenerType.getSystemEventListenerClass()`, `FacesConfigPackage.getSystemEventListenerType()`

### getSystemEventListenerType_SystemEventClass

    public EReference getSystemEventListenerType_SystemEventClass()

  Specified by:
    `getSystemEventListenerType_SystemEventClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'System Event Class'.
  See Also:
    `SystemEventListenerType.getSystemEventClass()`, `FacesConfigPackage.getSystemEventListenerType()`

### getSystemEventListenerType_SourceClass

    public EReference getSystemEventListenerType_SourceClass()

  Specified by:
    `getSystemEventListenerType_SourceClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Source Class'.
  See Also:
    `SystemEventListenerType.getSourceClass()`, `FacesConfigPackage.getSystemEventListenerType()`

### getSystemEventListenerType_Id

    public EAttribute getSystemEventListenerType_Id()

  Specified by:
    `getSystemEventListenerType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `SystemEventListenerType.getId()`, `FacesConfigPackage.getSystemEventListenerType()`

### getTagHandlerDelegateFactoryType

    public EClass getTagHandlerDelegateFactoryType()

  Specified by:
    `getTagHandlerDelegateFactoryType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Tag Handler Delegate Factory Type'.
  See Also:
    `TagHandlerDelegateFactoryType`

### getTagHandlerDelegateFactoryType_TextContent

    public EAttribute getTagHandlerDelegateFactoryType_TextContent()

  Specified by:
    `getTagHandlerDelegateFactoryType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `TagHandlerDelegateFactoryType.getTextContent()`, `FacesConfigPackage.getTagHandlerDelegateFactoryType()`

### getTagHandlerDelegateFactoryType_Id

    public EAttribute getTagHandlerDelegateFactoryType_Id()

  Specified by:
    `getTagHandlerDelegateFactoryType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `TagHandlerDelegateFactoryType.getId()`, `FacesConfigPackage.getTagHandlerDelegateFactoryType()`

### getToViewIdType

    public EClass getToViewIdType()

  Specified by:
    `getToViewIdType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'To View Id Type'.
  See Also:
    `ToViewIdType`

### getToViewIdType_TextContent

    public EAttribute getToViewIdType_TextContent()

  Specified by:
    `getToViewIdType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `ToViewIdType.getTextContent()`, `FacesConfigPackage.getToViewIdType()`

### getToViewIdType_Id

    public EAttribute getToViewIdType_Id()

  Specified by:
    `getToViewIdType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ToViewIdType.getId()`, `FacesConfigPackage.getToViewIdType()`

### getValidatorClassType

    public EClass getValidatorClassType()

  Specified by:
    `getValidatorClassType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Validator Class Type'.
  See Also:
    `ValidatorClassType`

### getValidatorClassType_TextContent

    public EAttribute getValidatorClassType_TextContent()

  Specified by:
    `getValidatorClassType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `ValidatorClassType.getTextContent()`, `FacesConfigPackage.getValidatorClassType()`

### getValidatorClassType_Id

    public EAttribute getValidatorClassType_Id()

  Specified by:
    `getValidatorClassType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ValidatorClassType.getId()`, `FacesConfigPackage.getValidatorClassType()`

### getValidatorIdType

    public EClass getValidatorIdType()

  Specified by:
    `getValidatorIdType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Validator Id Type'.
  See Also:
    `ValidatorIdType`

### getValidatorIdType_TextContent

    public EAttribute getValidatorIdType_TextContent()

  Specified by:
    `getValidatorIdType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `ValidatorIdType.getTextContent()`, `FacesConfigPackage.getValidatorIdType()`

### getValidatorIdType_Id

    public EAttribute getValidatorIdType_Id()

  Specified by:
    `getValidatorIdType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ValidatorIdType.getId()`, `FacesConfigPackage.getValidatorIdType()`

### getValidatorType

    public EClass getValidatorType()

  Specified by:
    `getValidatorType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Validator Type'.
  See Also:
    `ValidatorType`

### getValidatorType_Description

    public EReference getValidatorType_Description()

  Specified by:
    `getValidatorType_Description` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Description'.
  See Also:
    `ValidatorType.getDescription()`, `FacesConfigPackage.getValidatorType()`

### getValidatorType_DisplayName

    public EReference getValidatorType_DisplayName()

  Specified by:
    `getValidatorType_DisplayName` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Display Name'.
  See Also:
    `ValidatorType.getDisplayName()`, `FacesConfigPackage.getValidatorType()`

### getValidatorType_Icon

    public EReference getValidatorType_Icon()

  Specified by:
    `getValidatorType_Icon` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Icon'.
  See Also:
    `ValidatorType.getIcon()`, `FacesConfigPackage.getValidatorType()`

### getValidatorType_ValidatorId

    public EReference getValidatorType_ValidatorId()

  Specified by:
    `getValidatorType_ValidatorId` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Validator Id'.
  See Also:
    `ValidatorType.getValidatorId()`, `FacesConfigPackage.getValidatorType()`

### getValidatorType_ValidatorClass

    public EReference getValidatorType_ValidatorClass()

  Specified by:
    `getValidatorType_ValidatorClass` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference 'Validator Class'.
  See Also:
    `ValidatorType.getValidatorClass()`, `FacesConfigPackage.getValidatorType()`

### getValidatorType_Attribute

    public EReference getValidatorType_Attribute()

  Specified by:
    `getValidatorType_Attribute` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Attribute'.
  See Also:
    `ValidatorType.getAttribute()`, `FacesConfigPackage.getValidatorType()`

### getValidatorType_Property

    public EReference getValidatorType_Property()

  Specified by:
    `getValidatorType_Property` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Property'.
  See Also:
    `ValidatorType.getProperty()`, `FacesConfigPackage.getValidatorType()`

### getValidatorType_ValidatorExtension

    public EReference getValidatorType_ValidatorExtension()

  Specified by:
    `getValidatorType_ValidatorExtension` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Validator Extension'.
  See Also:
    `ValidatorType.getValidatorExtension()`, `FacesConfigPackage.getValidatorType()`

### getValidatorType_Id

    public EAttribute getValidatorType_Id()

  Specified by:
    `getValidatorType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ValidatorType.getId()`, `FacesConfigPackage.getValidatorType()`

### getValueClassType

    public EClass getValueClassType()

  Specified by:
    `getValueClassType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Value Class Type'.
  See Also:
    `ValueClassType`

### getValueClassType_TextContent

    public EAttribute getValueClassType_TextContent()

  Specified by:
    `getValueClassType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `ValueClassType.getTextContent()`, `FacesConfigPackage.getValueClassType()`

### getValueClassType_Id

    public EAttribute getValueClassType_Id()

  Specified by:
    `getValueClassType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ValueClassType.getId()`, `FacesConfigPackage.getValueClassType()`

### getValueType

    public EClass getValueType()

  Specified by:
    `getValueType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Value Type'.
  See Also:
    `ValueType`

### getValueType_TextContent

    public EAttribute getValueType_TextContent()

  Specified by:
    `getValueType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `ValueType.getTextContent()`, `FacesConfigPackage.getValueType()`

### getValueType_Id

    public EAttribute getValueType_Id()

  Specified by:
    `getValueType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ValueType.getId()`, `FacesConfigPackage.getValueType()`

### getVariableResolverType

    public EClass getVariableResolverType()

  Specified by:
    `getVariableResolverType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Variable Resolver Type'.
  See Also:
    `VariableResolverType`

### getVariableResolverType_TextContent

    public EAttribute getVariableResolverType_TextContent()

  Specified by:
    `getVariableResolverType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `VariableResolverType.getTextContent()`, `FacesConfigPackage.getVariableResolverType()`

### getVariableResolverType_Id

    public EAttribute getVariableResolverType_Id()

  Specified by:
    `getVariableResolverType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `VariableResolverType.getId()`, `FacesConfigPackage.getVariableResolverType()`

### getViewHandlerType

    public EClass getViewHandlerType()

  Specified by:
    `getViewHandlerType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'View Handler Type'.
  See Also:
    `ViewHandlerType`

### getViewHandlerType_TextContent

    public EAttribute getViewHandlerType_TextContent()

  Specified by:
    `getViewHandlerType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `ViewHandlerType.getTextContent()`, `FacesConfigPackage.getViewHandlerType()`

### getViewHandlerType_Id

    public EAttribute getViewHandlerType_Id()

  Specified by:
    `getViewHandlerType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ViewHandlerType.getId()`, `FacesConfigPackage.getViewHandlerType()`

### getResourceBundleType

    public EClass getResourceBundleType()

  Specified by:
    `getResourceBundleType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Resource Bundle Type'.
  See Also:
    `ResourceBundleType`

### getResourceBundleType_Description

    public EReference getResourceBundleType_Description()

  Specified by:
    `getResourceBundleType_Description` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Description'.
  See Also:
    `ResourceBundleType.getDescription()`, `FacesConfigPackage.getResourceBundleType()`

### getResourceBundleType_DisplayName

    public EReference getResourceBundleType_DisplayName()

  Specified by:
    `getResourceBundleType_DisplayName` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Display Name'.
  See Also:
    `ResourceBundleType.getDisplayName()`, `FacesConfigPackage.getResourceBundleType()`

### getResourceBundleType_Icon

    public EReference getResourceBundleType_Icon()

  Specified by:
    `getResourceBundleType_Icon` in interface `FacesConfigPackage`
  Returns:
    the meta object for the containment reference list 'Icon'.
  See Also:
    `ResourceBundleType.getIcon()`, `FacesConfigPackage.getResourceBundleType()`

### getResourceBundleType_BaseName

    public EReference getResourceBundleType_BaseName()

  Specified by:
    `getResourceBundleType_BaseName` in interface `FacesConfigPackage`
  Returns:
    the meta object for the reference 'Base Name'.
  See Also:
    `ResourceBundleType.getBaseName()`, `FacesConfigPackage.getResourceBundleType()`

### getResourceBundleType_Var

    public EReference getResourceBundleType_Var()

  Specified by:
    `getResourceBundleType_Var` in interface `FacesConfigPackage`
  Returns:
    the meta object for the reference 'Var'.
  See Also:
    `ResourceBundleType.getVar()`, `FacesConfigPackage.getResourceBundleType()`

### getResourceBundleType_Id

    public EAttribute getResourceBundleType_Id()

  Specified by:
    `getResourceBundleType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ResourceBundleType.getId()`, `FacesConfigPackage.getResourceBundleType()`

### getBaseNameType

    public EClass getBaseNameType()

  Specified by:
    `getBaseNameType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Base Name Type'.
  See Also:
    `BaseNameType`

### getBaseNameType_TextContent

    public EAttribute getBaseNameType_TextContent()

  Specified by:
    `getBaseNameType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `BaseNameType.getTextContent()`, `FacesConfigPackage.getBaseNameType()`

### getBaseNameType_Id

    public EAttribute getBaseNameType_Id()

  Specified by:
    `getBaseNameType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `BaseNameType.getId()`, `FacesConfigPackage.getBaseNameType()`

### getVarType

    public EClass getVarType()

  Specified by:
    `getVarType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Var Type'.
  See Also:
    `VarType`

### getVarType_TextContent

    public EAttribute getVarType_TextContent()

  Specified by:
    `getVarType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `VarType.getTextContent()`, `FacesConfigPackage.getVarType()`

### getVarType_Id

    public EAttribute getVarType_Id()

  Specified by:
    `getVarType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `VarType.getId()`, `FacesConfigPackage.getVarType()`

### getViewDeclarationLanguageFactoryType

    public EClass getViewDeclarationLanguageFactoryType()

  Specified by:
    `getViewDeclarationLanguageFactoryType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'View Declaration Language Factory Type'.
  See Also:
    `ViewDeclarationLanguageFactoryType`

### getViewDeclarationLanguageFactoryType_TextContent

    public EAttribute getViewDeclarationLanguageFactoryType_TextContent()

  Specified by:
    `getViewDeclarationLanguageFactoryType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `ViewDeclarationLanguageFactoryType.getTextContent()`, `FacesConfigPackage.getViewDeclarationLanguageFactoryType()`

### getViewDeclarationLanguageFactoryType_Id

    public EAttribute getViewDeclarationLanguageFactoryType_Id()

  Specified by:
    `getViewDeclarationLanguageFactoryType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ViewDeclarationLanguageFactoryType.getId()`, `FacesConfigPackage.getViewDeclarationLanguageFactoryType()`

### getVisitContextFactoryType

    public EClass getVisitContextFactoryType()

  Specified by:
    `getVisitContextFactoryType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Visit Context Factory Type'.
  See Also:
    `VisitContextFactoryType`

### getVisitContextFactoryType_TextContent

    public EAttribute getVisitContextFactoryType_TextContent()

  Specified by:
    `getVisitContextFactoryType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `VisitContextFactoryType.getTextContent()`, `FacesConfigPackage.getVisitContextFactoryType()`

### getVisitContextFactoryType_Id

    public EAttribute getVisitContextFactoryType_Id()

  Specified by:
    `getVisitContextFactoryType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `VisitContextFactoryType.getId()`, `FacesConfigPackage.getVisitContextFactoryType()`

### getRenderKitExtensionType

    public EClass getRenderKitExtensionType()

  Specified by:
    `getRenderKitExtensionType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Render Kit Extension Type'.
  See Also:
    `RenderKitExtensionType`

### getResourceHandlerType

    public EClass getResourceHandlerType()

  Specified by:
    `getResourceHandlerType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Resource Handler Type'.
  See Also:
    `ResourceHandlerType`

### getResourceHandlerType_TextContent

    public EAttribute getResourceHandlerType_TextContent()

  Specified by:
    `getResourceHandlerType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `ResourceHandlerType.getTextContent()`, `FacesConfigPackage.getResourceHandlerType()`

### getResourceHandlerType_Id

    public EAttribute getResourceHandlerType_Id()

  Specified by:
    `getResourceHandlerType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ResourceHandlerType.getId()`, `FacesConfigPackage.getResourceHandlerType()`

### getNavigationRuleExtensionType

    public EClass getNavigationRuleExtensionType()

  Specified by:
    `getNavigationRuleExtensionType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Navigation Rule Extension Type'.
  See Also:
    `NavigationRuleExtensionType`

### getValidatorExtensionType

    public EClass getValidatorExtensionType()

  Specified by:
    `getValidatorExtensionType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Validator Extension Type'.
  See Also:
    `ValidatorExtensionType`

### getFacesConfigExtensionType

    public EClass getFacesConfigExtensionType()

  Specified by:
    `getFacesConfigExtensionType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Extension Type'.
  See Also:
    `FacesConfigExtensionType`

### getFactoryExtensionType

    public EClass getFactoryExtensionType()

  Specified by:
    `getFactoryExtensionType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Factory Extension Type'.
  See Also:
    `FactoryExtensionType`

### getLifecycleExtensionType

    public EClass getLifecycleExtensionType()

  Specified by:
    `getLifecycleExtensionType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Lifecycle Extension Type'.
  See Also:
    `LifecycleExtensionType`

### getManagedBeanExtensionType

    public EClass getManagedBeanExtensionType()

  Specified by:
    `getManagedBeanExtensionType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Managed Bean Extension Type'.
  See Also:
    `ManagedBeanExtensionType`

### getConverterExtensionType

    public EClass getConverterExtensionType()

  Specified by:
    `getConverterExtensionType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Converter Extension Type'.
  See Also:
    `ConverterExtensionType`

### getExtensionType

    public EClass getExtensionType()

  Specified by:
    `getExtensionType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Extension Type'.
  See Also:
    `ExtensionType`

### getExtensionType_ChildNodes

    public EReference getExtensionType_ChildNodes()

  Specified by:
    `getExtensionType_ChildNodes` in interface `FacesConfigPackage`
  Returns:
    the meta object for the reference list 'Child Nodes'.
  See Also:
    `ExtensionType.getChildNodes()`, `FacesConfigPackage.getExtensionType()`

### getExtensionType_TextContent

    public EAttribute getExtensionType_TextContent()

  Specified by:
    `getExtensionType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `ExtensionType.getTextContent()`, `FacesConfigPackage.getExtensionType()`

### getExtensionType_Id

    public EAttribute getExtensionType_Id()

  Specified by:
    `getExtensionType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ExtensionType.getId()`, `FacesConfigPackage.getExtensionType()`

### getExternalContextFactoryType

    public EClass getExternalContextFactoryType()

  Specified by:
    `getExternalContextFactoryType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'External Context Factory Type'.
  See Also:
    `ExternalContextFactoryType`

### getExternalContextFactoryType_TextContent

    public EAttribute getExternalContextFactoryType_TextContent()

  Specified by:
    `getExternalContextFactoryType_TextContent` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Text Content'.
  See Also:
    `ExternalContextFactoryType.getTextContent()`, `FacesConfigPackage.getExternalContextFactoryType()`

### getExternalContextFactoryType_Id

    public EAttribute getExternalContextFactoryType_Id()

  Specified by:
    `getExternalContextFactoryType_Id` in interface `FacesConfigPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `ExternalContextFactoryType.getId()`, `FacesConfigPackage.getExternalContextFactoryType()`

### getApplicationExtensionType

    public EClass getApplicationExtensionType()

  Specified by:
    `getApplicationExtensionType` in interface `FacesConfigPackage`
  Returns:
    the meta object for class 'Application Extension Type'.
  See Also:
    `ApplicationExtensionType`

### getFacesConfigFactory

    public FacesConfigFactory getFacesConfigFactory()

  Specified by:
    `getFacesConfigFactory` in interface `FacesConfigPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.